    Welcome to Microsoft Application Center 2000

      • Introduction
      • Features
      • Requirements
      • Help
      • Readme
      • Resources

    Copyright © 1999–2000 Microsoft Corporation.
    All rights reserved.


Before You Begin

Microsoft® Application Center 2000

Copyright © 2000 Microsoft Corp. All rights reserved.

This section provides general information about Microsoft Application Center 2000 (Application Center). Click the following topics for information including release notes, features, requirements, installation, and troubleshooting.

This section includes:

  • Application Center Release Notes
  • Application Center Online Help
  • Introducing Application Center
  • Application Center Feature Set
  • Supplemental Installation Information
  • Accessibility Features
  • Other Resources
Did you find this information useful? Please send your suggestions and comments about the documentation to acdocs@microsoft.com.


Microsoft Application Center 2000 Release Notes

These release notes provide the most current information about Microsoft Application Center 2000 (Application Center) installation, features, documentation, and known issues.

About this Build

See the end-user licensing agreement (EULA) in the product for more information about how you can use this release.

Application Center requires Microsoft® SQL Server™ 2000 Desktop Engine (formerly known as MSDE) for its performance and event logging functionality. The SQL Server Desktop Engine is not certified for Microsoft® Windows logo compliance. For more information about Application Center Windows 2000 Certification Results for Windows 2000 Server and Advanced Server, see http://www.veritest.com/mslogos/windows2000/certification.

Note Application Center contains a maintenance release version of Msxml3.dll which has been tested for use on Application Center servers only. This file should not be applied on other computers and cannot be redistributed.

  • Product Installation
  • Cluster Creation and Membership
  • Monitoring
  • Deployment / Synchronization
  • Load Balancing and Request Forwarding
  • Miscellaneous

Product Installation

Installation Requirements

Caution All servers to be added to the cluster must have the same directory and drive structure as the cluster controller. Ensure that the server being added has the same System Root, and Program Files paths, and Application Center installation directory paths as the controller.

Installing the full version of Microsoft Application Center 2000, which includes all of the necessary components, requires the following:

  • Pentium-compatible 400–MHz or higher processor
  • 256 MB of RAM (minimum recommended)
  • FAT32 or NTFS file system (FAT16 is supported for Administrative client installations only)
  • 110 MB of available hard-disk space to install the full server installation or 20 MB for the Administrative client installation; additional space required for site content and databases
  • Two network adapters required for using Windows 2000 Network Load Balancing (NLB) - one supported otherwise (see your load balancing solution's documentation for network requirements)
  • Windows 2000-compatible video graphics adapter with 800x600 minimum resolution
  • Microsoft Mouse or compatible pointing device
  • Microsoft Internet Information Services 5.0 (IIS) must be installed as part of the Windows 2000 installation

You can install the full version of Microsoft Application Center 2000, which includes all of the necessary components, on the following operating systems:

  • Microsoft® Windows® 2000 Server

    Note The default installation of Application Center on Windows 2000 Server will automatically install Windows 2000 Network Load Balancing (NLB) . Upon installation NLB is not enabled until an NLB cluster is first created. Because Advanced Server already installs NLB, Application Center installation on these operating systems does not install NLB.

  • Microsoft® Windows® 2000 Advanced Server

Note Installation on a computer running the operating system known as "Whistler" is not supported in this release.

Caution To install Application Center on these platforms you must also install Service Pack 1 (SP1) and the Pre-Service Pack 2 (SP2) components. Following the recommended setup procedure (using Setup.hta) will install these for you. If you already have all of the pre-requisites installed, you can install Application Center by using Setup.exe.

Application Center Administrative Client

You can use the Application Center Administrative client for remote administration of Application Center clusters. To install only the components that are required to run the Application Center snap-in, the prerequisites are:

  • Pentium-compatible 266 MHz or higher processor
  • 128 MB of RAM minimum recommended
  • 20 MB of available hard-disk space
  • One network adapter
  • Windows 2000-compatible video graphics adapter with 800x600 minimum resolution
  • Microsoft Mouse or compatible pointing device

You can install the Administrative client on the following operating systems:

  • Microsoft® Windows 2000 Professional
  • Microsoft® Windows 2000 Server
  • Microsoft® Windows 2000 Advanced Server

Unsupported Installation Configurations

The following configurations are not supported:

  • Installation on a mapped drive
  • Installation on FAT16 file system (This does not apply to Administrative Client installations)
  • Installation without IIS (does not apply to Administrative Client installations)
  • Installation on a domain controller
  • Creation of Application Center clusters on a computer that is part of a Microsoft Cluster Services (MSCS) cluster
  • Installation on a computer running the operating system known as "Whistler"
  • Installation on a computer running Microsoft® Windows® 2000 Datacenter Server

    Note "Installation Requirements" in the Application Center Help indicates that Datacenter Server is a supported. This is not correct.

Installing Application Center

The following installation order must be followed for this release:

  1. If you have installed the Component Load Balancing (CLB) Technology Preview, you must uninstall it. Application Center will install the updated CLB components.
  2. If you have installed a previous version of Application Center, such as a beta release, you must uninstall it.
  3. Insert the Application Center CD into your CD-ROM drive. The Microsoft Application Center 2000 Setup dialog box (Setup.hta) appears. In the dialog box, click Setup Microsoft Application Center 2000 to proceed with the installation. If this dialog box does not appear, you can open it directly from the root directory on the Application Center CD.
  4. If you do not have Service Pack 1 already installed, in the Microsoft Application Center 2000 Setup dialog box, click Step 1:Install Microsoft Windows 2000 Service Pack 1. This step might take several minutes to complete and will automatically restart your computer. After the computer has restarted, run Setup.hta.
  5. In the Microsoft Application Center 2000 Setup dialog box, click Step 2:Install Microsoft Windows 2000 Pre-Service Pack 2 fixes. This will install the hotfixes described later in "Hotfixes Installed by Setup." This step might take several minutes to complete and will automatically restart your computer. After the computer has restarted, run Setup.hta.
  6. In the Microsoft Application Center 2000 Setup dialog box, click Step 3:Install Microsoft Application Center 2000. This step might take several minutes to complete. You are ready to create or join an Application Center cluster.

    Caution If you elect to perform a custom installation, and then use the Back button to go back and change to a default installation, the installation will continue to follow the custom installation directions. To change the installation type, cancel the installation, and then restart the installation by using the correct installation type.

    Note If only the Administrative client was installed the cause might be that the prerequisites for the full server installation of Application Center were not installed. Make sure that you have installed SP1 and Pre-SP2 hotfixes correctly.

    Note If you choose to install the Sample Monitors then you must use the default installation directory during setup.

Setup Logging Available

Setup logging is automatically enabled by Setup.hta. If you experience any difficulties during setup, you can send this log to one of the Application Center newsgroups. The log is located in %InstallDrive%:\WINNT\Ac_setup.log. To use this logging, you must set up Application Center by using Setup.hta.

Unattended (Programmatic) Installation Options

You can install Application Center programmatically by using the command line or batch files. Four configurations are available.

Note Unattended (programmatic) installation requires that you specify the Product ID (PID) for Application Center. To specify the PID, add to the command: PIDKEY=QD4E9F63XR43C73WQH2GD5VK9. The PID key here is only an example.

Option | Command | Notes
Default installation | MSIEXEC /i <path> /q /l*v <logfile> | Server, Administrative client, and Application Center Event and Performance Logging are installed (this is the default configuration). All features are available with this installation. This option will install only the Administrative client if the hotfixes have not been installed prior to using it.
No AC Logging | MSIEXEC /i <path> /q /l*v <logfile> ADDLOCAL=Server,Client | Server and Administrative client are installed. Server and Administrative client features are available, but specific logging features are not. For more information, see "Installing Without Logging Features" in the Application Center Help.
With AC Logging | MSIEXEC /i <path> /q /l*v <logfile> ADDLOCAL=Server,Client,ACLogging | Server and Administrative client are installed. Server and Administrative client features are available, with all logging features. All of the members in a cluster must have the same logging configuration, that is, all of them must have the logging installed or none of them have it installed.
Server only | MSIEXEC /i <path> /q /l*v <logfile> ADDLOCAL=Server | Administrative client and Application Center Event and Performance Logging are not installed. To include logging, use ADDLOCAL=Server,ACLogging.
Administrative Client only | MSIEXEC /i <path> /q /l*v ADDLOCAL=Client | This installation is for remote administration of a cluster. The computer with this option installed cannot become a cluster member. The Administrative Client installation cannot not include the With AC Logging option.
Sample monitors | MSIEXEC /i <path> /q /l*v ADDLOCAL=SampleHealthMonMonitors | Several Health Monitor rules for SQL and other monitoring tasks are installed. For more information, see "Monitoring Samples" in the Application Center Help. The Sample Monitors are not installed by default in any of above options. To install them with another option, add "SampleHealthMonMonitors" to the ADDLOCAL parameter. This option cannot be used on an Administrative Client only install. Note If you choose to install the Sample Monitors then you must use the default installation directory.
Specifying the Product ID (PID) | MSIEXEC /i "e:\Microsoft Application Center 2000.msi" /q PIDKEY=QD4E9F63XR43C73WQH2GD5VK9. | The installs the default installation. You can add different parameters to customize as stated earlier. The PID key might appear on the CD packaging as QD4E9-F63XR-43C73-WQH2G-D2VK9, but must be entered as a 25 digit code with no intervening dashes. The PID key here is only an example. Note The PIDKEY parameter is required for all unattended installation scripts.

Notes

  • <path> - is the physical path to Application Center 2000.msi on the CD.
  • /i - is required and specifies install.
  • /q - specifies a quiet installation (no user interface).
  • /lv* - the l flag specifies a path to log file and the v* flag specifies logging of all parameters, including verbose output.
  • <logfile> - is the physical path to a user-created setup log file.
  • ADDLOCAL - specifies the program features to install. These options can be used in any combination, except ADDLOCAL=Client,ACLOGGING. The default settings are ADDLOCAL = Server,Client,ACLOGGING

For example, to install the Administrative client Only (without Application Center Event and Performance Logging, Server components, or Sample Monitors):MSIEXEC /i "E:\Microsoft Application Center 2000.msi" /q /l*v RemoteInstallLog.log ADDLOCAL=Client. The path to the .MSI file must have quotes around it, if it contains and spaces.

Additional information about MSIEXEC utility can be found at MSDN Online (http://msdn.microsoft.com/default.asp).

Uninstalling this Release of Application Center

To completely uninstall Application Center:

  1. Use Add/Remove Programs to remove Application Center 2000 and Health Monitor 2.1.

    Caution Do not click Cancel or quit the uninstallation process while it is underway. This can cause unpredictable results on your server.

  2. Use Add/Remove Programs to remove all of the hotfixes installed by Application Center (if desired).

Changing Your Installation Configuration

To change your Application Center set up, such as adding the sample monitors, use the command line as described in "Unattended (Programmatic) Installation Options" earlier in these Release Notes.

Hotfixes Installed by Setup

The following hotfixes are installed as part of the Application Center setup (they are located in the Hotfix directory on the Application Center CD):

Fix Number | Description of Fixes | Components Fixed
Q257760_W2K_SP2_x86_en.exe | Fixes NBT performance counter firing events 1/min | perfctrs.dll
Q263119_W2K_SP2_x86_en.exe | Fixes race condition in WinMgt (WMI) | wbemcore.dll
Q265419_W2K_SP2_x86_en.exe | Fixes Winlogon shutdown with no restart from a Terminal Services client | Winlogon.exe
Q268258_W2K_SP2_x86_en.exe | Fixes: Changing port rule or host ID on host with initial cluster state off, stops a started host | netcfgx.dll
Q269879_W2K_SP2_x86_en.exe | Fixes DHCP routing table update issue | Dhcpsvc.dll
Q274172_W2K_SP2_x86_en.exe | Fixes Lsass.exe memory leak | adsldpc.dll advapi32.dll dnsapi.dll dnsrslvr.dll instlsa5.dll kdcsvc.dll kerberos.dll ksecdd.sys lsasrv.dll lsass.exe msv1_0.dll netapi32.dll netlogon.dll ntdsa.dll samsrv.dll wldap32.dll
Q275491_W2K_SP2_x86_en.exe | Fixes various issues with IIS performance counters | asp.dll, aspperf.dll, authfilt.dll, compfilt.dll, ddrop.dll, fscfg.dll, ftpctrs2.dll, ftpmib.dll, ftpsvc2.dll, httpmib.dll, httpodbc.dll ,iiscrmap.dll, iisprobe.dll, inetmgr.dll, infoadmn.dll, infocomm.dll, infoctrs.dll, ldapsvcx.dll, lnfoadmn.dll, lnfocomm.dll, md5filt.dll, nntpfs.dll, nntpsvc.dll, smtpdbg.dll, smtpsvc.dll, ssinc.dll, sspifilt.dll, w3ctrs.dll, w3scfg.dll, w3svc.dll
Q277884_W2K_SP2_x86_en.exe | Fixes race condition in Win32NetworkAdapterConfiguration | cimwin32.dll
Q278670_W2K_SP2_x86_en.exe | Allows distribution of NLB on Windows 2000 Server | netwlbsm.inf wlbs.chm wlbs.exe wlbs.hlp wlbs.sys wlbsctrl.dll wlbsprov.dll wlbsprov.mfl wlbsprov.mof
Q278952_W2K_SP2_x86_en.exe | Fixes Health Monitor actions not reporting the execution result of VBScript files | fastprox.dll, scrcons.exe
Q279103_W2K_SP2_x86_en.exe | Fixes memory leak in Services.exe during IIS tracing due to asynchronous RPC calls | rpcns4.dll, rpcproxy.dll, rpcrt4.dll
Q279247_W2K_SP2_x86_en.exe | Fixes access violation in Inetinfo | isatq.dll
Q279731_W2K_SP2_x86_en.exe | Fixes conflicting versions of coadmin.dll | metadata.dll, coadmin.dll
Q285805_W2K_SP2_x86_en.exe | Fixes various issues with COM+ | catsrv.dll, catsrvut.dll, clbcatex.dll, clbcatq.dll, colbact.dll, comsvcs.dll, dtcsetup.exe, es.dll, msdtcprx.dll, msdtctm.dll, mtstocom.exe, mtxclu.dll, mtxdm.dll, mtxoci.dll, ole32.dll, rpcss.dll, txfaux.dll, comadmin.dll

Adding Features After Installing Hotfixes

Due to how Windows 2000 file system protection works, if you install hotfixes and want to install other features, such as NNTP or SMTP, you must re-install the hotfixes after these added features are installed.

Digital Signature Not Found Error During Setup

If Application Center 2000 setup fails with the error message: Digital Signature Not Found, or error message: timeout error [0x800705b4], restart the computer, and then reinstall Application Center.

Digital Signature Not Found Error on Cluster Creation or Add Member

If either the Cluster Creation or Add Member Wizard fails with the error message: Digital Signature Not Found or the error message: timeout error [0x800705b4], you can correct this problem by using the Chktrust.exe utility included in the Support directory of the Application Center CD. To fix this problem, type at the command line Chktrust.exe -win2k %System%/system32/ntdll.dll where %System% is your Windows 2000 installation directory.

If the command line returns the failure: %Install Partition%\WINNT\system32\ntdll.dll: Failed, run AC CLUSTER /CLEAN and then run the CatFix.bat utility included in the Support directory of the Application Center CD.

This failure occurs very rarely and only on the first attempt to create or join a cluster by using a new installation of Application Center. Once you have successfully created or joined a server to a cluster, it will not occur on that server unless you re-install Application Center.

Locating the Application Center Snap-in in Windows 2000 Professional

In Windows 2000 Professional, the shortcut for the Application Center snap-in is in %Application Center Installation Partition%\Program Files\Microsoft Application Center 2000\Microsoft Application Center 2000.msc.

Installation Error 0x70000 with OemSetup.exe

If you receive error 0x70000 during OEM setup re-run %Application Center Installation Partition%\Program Files\Microsoft Application Center 2000\ oemsetup.exe. If this does not fix the problem, call your support representative.

Cluster Creation and Membership

Recommended Configuration for Clusters That Are Using NLB

To increase the reliability of intra-cluster communication, before creating an Application Center NLB cluster and adding members to it, it is recommended to execute the following steps (on each server you are planning on adding to an Application Center cluster, including the controller):

  • When possible, configure the front-end (that is, the load-balancing network adapter on which HTTP traffic is handled) and the back-end (that is, the management network adapter) on separate IP subnets.
  • If configuring the front-end and back-end network adapters on the same subnet, ensure that the Interface Metric (in the Advanced TCP/IP Properties dialog box) is set to "2" for the front-end network adapter, and "1" for the back-end network adapter. If you choose to allow Application Center to configure NLB, this setting will be made automatically.
  • Assign a static IP address to the back-end network adapter. Although DHCP-assigned addresses are supported, using static IP addresses can increase the reliability of intra-cluster communication.
  • Update the hosts file on every member. The file is located in %WINNT%\system32\drivers\etc\hosts and needs to have entries for each server that you are adding to the cluster. Follow the example in the hosts file for adding entries, and ensure that the entries you add are for the back-end IP address of each member.
  • Finally, to ensure that all appropriate settings are applied, restart each server before proceeding with the cluster creation or member addition process.

Add Cluster Member Wizard Fails with Error

If you have attempted to add a member back into the cluster while the Application Center snap-in is connected to the member, the Add Cluster Member Wizard might fail to add the member and display the error: The required installation settings are incorrect or could not be read Application Center may need to be reinstalled. (0xc014007d). To fix this situation, try the following (in order of preference):

  1. Restart the Application Center Administrative service.
  2. Restart the computer being added.

Extraneous Events When Creating a Cluster or Adding a Member

When creating a cluster or adding/removing a member, several online and offline events will be logged. This is the expected behavior and does not affect the cluster topology.

Cannot Disconnect from Member

If you are connected directly to a cluster member and you cannot disconnect from the member, close the Application Center snap-in without saving any changes. If you have already saved the snap-in, create another Microsoft Management Console (MMC) instance, add the Application Center snap-in and open the newly-created MMC console.

Removing a Member

When removing a cluster member, if you encounter the error message: The server has been removed from the cluster. However, some or all settings could not be removed from the member because the member was not reachable or too busy. you can use the AC CLUSTER /CLEAN command (locally) on the particular member(s). This command removes the member and all of its settings from the cluster. When the /CLEAN command is used, the change might not be reflected immediately in the Application Center snap-in. The /CLEAN command should be used on the controller only after all members have been removed. Using this command on the controller effectively disbands the entire cluster.

Note If you use the /CLEAN command on a member without first removing it from the cluster, you must use the AC CLUSTER /REMOVE command specifying /CONTROLLER:<controllername>.

Pressing ESC Key While Removing a Member

If you press the ESC key while removing a member, the animated dialog will disappear and the status of the removal process is unavailable. The removal process will complete, and closing and re-opening the Application Center snap-in will display the correct cluster status.

Question Mark Icon for Cluster Member

Under certain situations cluster members might have a Question Mark icon. If this occurs, refresh the snap-in tree view by pressing F5 or by right-clicking the node, and then clicking Refresh.

Renaming a Member

You can change the name of a member, however these changes are not automatically picked up by Application Center. This will cause communication problems between the renamed member and the rest of the cluster members. To successfully rename a cluster member:

  1. Remove the member from the cluster.
  2. Rename the member using Windows 2000 and restart the member. For more information, see the Windows 2000 Help.
  3. If you are aware of any name-resolution related issues specific to your network or enterprise configuration (for example, DNS servers requiring some time to pick up the new name registration, caches which require manual flushing or renewal, and so on) ensure those are resolved before re-adding the member to the cluster.
  4. Add the server to the cluster.

Note If you have already renamed your cluster member, renaming it back to the original name will fix any problems. You can then use the preceding steps rename it properly.

Using Incorrect Credentials When Removing a Cluster Member

If you are trying to remove a member and you use incorrect credentials, the member might be partially removed, with the user interface indicating that some of the member's settings could not be removed. Having a member partially removed can cause inconsistent behavior in your cluster. To get the member out of this state and add it to the cluster again, on the member that was partially removed, from the command line, type the following command: AC CLUSTER / CLEAN and then re-add the server to the cluster.

Monitoring

Some Monitoring Features Will Not Work if Logging Is Not Installed

If you install Application Center without Application Center Events and Performance Logging, the options for logging will still appear in the user interface, but they will not work because these features are not present. Ignore any logging settings. For more information see, "Monitoring Without the Application Center Log" in the Application Center Help.

Getting Error "Failed to authenticate or connect to SQL Server"

If you change the configuration of one or both of your back-end network adapters, SQL Server 2000 will not automatically detect the change, and this might cause this error to occur when trying to view events or performance counter data. To fix, this problem restart the MSSQL$MSAC service. This is a known issue with SQL Server 2000.

Use the Server Name in Health Monitor

If you are connecting to a server in the Health Monitor snap-in, specify the server name. If you specify the server by using an IP address, use the back–end (management) network adapter's IP address and not the load–balanced IP address. If you use the load balanced IP address you might see the error: The object exporter specified was not found.

Text Log Corrupted

If you are specifying the same text log file for more than one action in Health Monitor, the text log can become corrupt. The most common manifestation of this is missing log entries. This is caused by the two text log consumers trying to create an entry at approximately the same time. To fix this problem, use a separate text log for each action.

Restoring Default Monitors

If you want to restore the default monitors to their original settings, type the following at the command line in the %Program Files%\Microsoft Application Center 2000 directory:

  • mofcomp acsdefaultpolicies.mof
  • actionsetup.exe

Application Center Logging Version Installed

This build of Application Center installs a named instance of SQL Server 2000 Runtime release version.

Application Center Installs MDAC 2.6 Upgrade

Application Center installs the Microsoft Data Access Components (MDAC) 2.6 upgrade as part of the Application Center Events and Performance Logging installation.

Deployment / Synchronization

Full Synchronization When Automatic Updates Disabled

If a member is in the synchronization loop and is restarted unexpectedly or loses its connection with the cluster controller, a full synchronization to that member is performed automatically even if automatic updates have been disabled. If you want to disable all automatic synchronization to a member, take that member out of the synchronization loop.

COM GUID Not Completely Visible in Synchronization View

For event 5141 - Unable to install COM+ application, if the COM application is represented in the Synchronization View as a globally unique identifier (GUID) it might not be completely visible. The GUID can be seen in the Events view (by clicking the cluster Events node).

Load Balancing and Request Forwarding

Web Request Forwarding Off by Default

Request forwarding for Web requests is turned off by default. To activate it, select the Enable Web request forwarding check box on the Request Forwarding tab of the cluster properties.

Using Different Subnets for Front-End and Back-End

If the back-end and front-end network adapters are on the same subnet, incoming connections, such as requests for an Active Server Pages (ASP) page, will come in on the front-end network adapters and outgoing connections, such as the response for the ASP page request, will go out the back-end network adapters. To avoid this, use separate subnets for the front-end and back-end network adapters.

Using a Default Gateway for Back-End Network Adapters

If you have the back-end and front-end network adapters on the same subnet and you are using NLB, you must configure a default gateway for the back-end network adapters. This might help avoid some network configuration problems, and increase reliability of intra-cluster communication.

NLB and Network Adapter Media Access Control Addresses

In Unicast mode, NLB overwrites the network adapter's media access control (MAC) address with its own virtual media access control address by using the registry. Some network adapter drivers do not allow their MAC address to be overwritten in the registry. To fix this, use Multicast mode, which adds a virtual MAC address to the existing network adapter's MAC address, or use a different network adapter that allows overwriting the MAC address.

To switch from Unicast to Multicast mode, you can pre-configure your NLB cluster to use Multicast, and then create an Application Center cluster, choosing Keep my existing NLB settings in the New Cluster Wizard. Alternatively, you can switch to Multicast mode after creating the Application Center cluster. In the latter case, you will have to manually switch each node in the cluster (using the Network Load Balancing Properties dialog box for your local connection) from Unicast to Multicast.

For more information about Unicast and Multicast modes, see the Network Load Balancing documentation in the Windows 2000 Help or "Load Balancing" in the Application Center Help.

Note All existing cluster connections will be terminated during such an operation. Additionally, you might want to remove all load-balanced IP addresses before making this change, to avoid IP address conflicts. You can re-add those IP addresses once the cluster has been configured for Multicast mode.

Third-Party Load Balancing Is Not Integrated with Application Center

Application Center does not integrate support for third-party load–balancing solutions. Although many load balancing solutions can be used and are compatible with Application Center 2000, Application Center does not currently have integrated management support for these devices.

IP Bindings Always Synchronized for Third-Party Load Balancing

When you are using a third-party load balancing solution, Application Center synchronizes IP address bindings for all Web sites from the controller to new members. Using Internet Services Manager, you should configure all IP addresses for all Web sites on the controller before adding any members to the cluster. For more information, see "Using Other Load Balancers" in the Application Center Help.

Synchronization of the NLB Remote Control Password

It is not advised to enable remote control in an NLB cluster for various security reasons. However, if you chose to do so, you must set the remote-control password locally on every cluster member. To do this, in the Network Load Balancing Properties dialog box, on the Cluster Parameters tab, enter the password. The password is not synchronized automatically by Application Center. The NLB Remote Control Enabled property, the Remote Control Port and Remote Control Password are not synchronized automatically by Application Center.

FrontPage Publishing Must Use Cluster Name

When using Microsoft FrontPage® or DAV to publish to a cluster, use the cluster name rather than the member name to ensure that the publishing is properly forwarded.

FrontPage and DAV Publishing Will Fail When Controller Is Offline

Any FrontPage or DAV changes made to a cluster (and not directly to the controller) when the controller is offline, will fail.

Miscellaneous

Command-Line Tool (AC.EXE) Not Working Properly On Client-Only Install

The Command Line Tool (AC.EXE) in the Administrative client only installation of Application Center does not work properly for some commands. To fix this problem, copy the fndmstrp.dll file from the Application Center CD (located in the "Program Files\Microsoft Application Center" directory) to the Application Center installation directory on the hard drive. Then type at the command line regsvr32 fndmstrp.dll in the Application Center installation directory on the member where the Administrative client is installed.

Online Status of Controller Incorrect After Restarting WMI

If the Windows Management Instrumentation (WMI) service is restarted, the online status of the cluster might be incorrect or inconsistent until the Application Center Cluster Service is restarted.

Web View Right Pane not Loading

Fully Qualified Domain Names (FQDN) do not resolve for the Web View and might cause the right pane to not load. To work around this, on the computer at which you are viewing the Web view (client), map the NetBIOS name to the IP address that the FQDN resolves to (the remote cluster member). This mapping is in the hosts file located at %WINNT%\system32\drivers\etc\hosts. The client must be restarted after this change has been made.

Web View Not Working on Some Configurations

You might experience problems viewing the Events or Performance Chart views with some configurations of Microsoft® Windows® 98. This is a known issue and the views work on Windows 2000.

Using Application Center and SiteServer 3.0 Commerce Edition

The are some known integration issue with this situation that might require a hotfix. For more information, see the Knowledge Base (KB) article Q281828.

Exposing Cluster Information to the Active Directory

Application Center 2000 servers can expose their existence in the Active directory using the ACRegSvr,exe tool. This tool can be used to create, update or delete a serviceConnectionPoint object that publishes the existence of the server's Application Center 2000 service. No schema extensions are required to use ACRegSvr. For more information about its use, see the KB article Q286432.

Related-Product Release Notes

Application Center installs, or works closely with, other products, and issues with these products might affect features in Application Center. The location of the release notes for these products are included in the following list:

  • Health Monitor - %HealthMonitorInstallationPartition%\Winnt\System32\Webm\HealthMonitor\Readme.htm.
  • SQL 2000 Runtime - %CDRoot%\MSDEReadme.txt.

Public Newsgroup

Peer-to-peer newsgroups are available to help you interact with other users of our products. You can use any newsreader software to access these newsgroups, but you might need to configure it in order to read them. When prompted for News Server, specify msnews.microsoft.com or your default news server. The public newsgroup is microsoft.public.applicationcenter. Before posting to the newsgroups, please review the Microsoft Newsgroup Rules of Conduct.


Application Center Online Help

Welcome to the Microsoft Application Center 2000 (Application Center) product documentation. Click one of the following links to go to a specific section in the online Help, or use the table of contents, perform a search, scan through the index, or use Favorites to find topics that you have placed there.

Sections

Before You Begin

Provides information about product requirements and installation.

Creating a Cluster

Describes how to create and join Application Center clusters and includes information about cluster types and load-balancing mechanisms.

Managing a Cluster

Explains how to administer existing clusters and how to configure the request forwarder and remote administration.

Synchronizing and Deploying Applications

Describes how to publish content to Application Center clusters, manage Application Center applications, and synchronize and deploy content across a cluster and beyond.

Securing a Cluster

Describes issues related to securing Application Center clusters, which includes firewalls, cluster topology, and content management. Additionally, this section provides tips for securing Internet Information Services 5.0 (IIS).

Monitoring a Cluster

Explains how to use the Application Center monitoring features, which include events, monitors, performance counters, and Microsoft Health Monitor 2.1 data collectors.

Command-Line Administration

Describes how to use the command-line tool to automate Application Center administration and management.

References

Includes a glossary and other reference information.


Introducing Application Center

For customers who are building and managing Web applications, three key issues must be addressed:

  • Manageability. How easy is it to update and upgrade the Web site content?
  • Scalability. How does the Web site cope with additional demand?
  • Availability. Will the Web site be available 99.99 percent of the time?
Microsoft Application Center 2000 (Application Center) is the management and deployment tool that solves these issues for Web and COM+ applications.

The Cluster

The fundamental basic of Application Center is the cluster. This is a set of servers that serve the same content to cluster users.

An Application Center cluster can serve internal corporate intranet clients or external Internet clients. The client software can be "thin-client" (such as Web browsers) or "thick-client" applications (such as Microsoft® Visual Basic® programs). Application Center clusters are designed to manage both the Web tier, which serves HTTP clients and the business logic tier, which serves DCOM traffic.

Using Application Center clusters, Web site administrators can address the issues of manageability, scalability, and availability.

Note Note Application Center clusters are not the same as clusters as defined by Microsoft Windows® Clustering. The Windows Clustering model was designed to handle stateful back-end applications, such as Microsoft SQL Server™ databases or Microsoft Exchange Server stores; Windows Clustering uses a shared disk resource to coordinate between cluster members. Application Center clusters are designed for stateless, middle-tier applications, such as Web sites and COM+ applications, and they do not require a shared disk (or any special hardware).

Note Note You can use Application Center to manage availability and application deployment on stand-alone (non-clustered) servers or servers that are not running Web sites. In these cases, Application Center treats the stand-alone server as a "cluster of one."

Manageability

The Application Center snap-in provides a single, unified image of the content that is installed across a cluster. Application Center provides wizards that simplify the process of creating and managing clusters and deploying content. Furthermore, Application Center supports remote, browser-based administration and provides a command-line tool.

In Application Center, the concept of an application is used to define the content that a cluster serves to its clients. An Application Center application includes all the necessary elements (that is, Web sites, COM+ components, configuration settings, and so on) for a given business solution. The application is used as the unit of content deployment across a cluster. Once you have defined an application, Application Center can keep the contents for the application synchronized across a cluster, or it can deploy a new version of the application within a cluster and to other clusters.

Scalability

Client demand on Web sites changes frequently. Application Center can easily accommodate changing throughput needs because it simplifies the process for adding members to or removing members from a cluster. This is done with no interruption to Web site availability. Furthermore, Application Center uses load balancing to distribute workload throughout a cluster. Application Center is compatible with the leading hardware load-balancing devices. Application Center includes two software load-balancing technologies: Network Load Balancing (NLB) and Component Load Balancing (CLB). NLB is used to balance IP requests across a cluster and CLB is used to balance the activation of DCOM requests. Appllication Center is also compatible with other load-balancing devices.

Availability

To provide high availability, Application Center clusters have no single point of failure. If one member fails, clients can continue to access the application through other members. The monitoring tools that are provided with Application Center detect hardware and software failures automatically, and can trigger actions, such as running scripts or sending e-mail notification, in response to a failure. Additionally, Application Center monitoring is tightly integrated with NLB, so that you can easily configure a member to go offline when an application level failure occurs.

To help you pro-actively improve system performance and availability, Application Center rolls up event and performance logs across a cluster, enabling a cluster-wide view of performance trends and simplifying event management.

Related Topics

  • For more information about the hardware and software requirements for clusters, see Installation Requirements.
  • For more information about setting up cluster communication, see Configure Cluster Communication.


Application Center Feature Set

Microsoft Application Center 2000 (Application Center) provides a number of features designed to simplify cluster management.

Cluster Services

An Application Center cluster is a set of servers that serve the same content to clients (for example, Web pages and COM+ components). Application Center simplifies the creation and management of clusters through the use of wizards and a Microsoft Management Console (MMC)–based user interface.

Application Center supports the following cluster types:

  • General (Web-tier) cluster
  • COM+ application cluster
  • COM+ routing cluster

General (Web-tier) Cluster

A general cluster is any standard cluster that uses a group of servers to process client requests. These clusters can include:

  • Web servers
  • Database servers
  • E-mail servers
  • Staging/deployment servers
  • COM+ load-balanced routing servers
  • Stand-alone servers (clusters with one member only)

COM+ Application Cluster

A COM+ application cluster handles processing of COM+ components exclusively. When Web servers or clusters instantiate objects for COM+ components, the method calls to instantiate the objects can be load balanced across multiple cluster members within a COM+ cluster.

For clusters that handle both COM+ activations and Web sites, use the general cluster type.

COM+ Routing Cluster

A COM+ routing cluster uses Component Load Balancing (CLB) to route requests for COM+ components from a general cluster to a COM+ application cluster.

Note Note Most of the time, COM+ routing clusters are not needed. Web clusters can communicate to back-end COM+ clusters over load-balanced DCOM without an intervening COM+ routing cluster. This works because each general cluster member acts as its own router for determining which remote COM+ server should receive remote COM+ component activation.

COM+ routing clusters are useful when COM+ load balancing is required from one general cluster across multiple COM+ application clusters. This is because this release of Application Center CLB is limited to a single list of remote servers for every routing server (that is, every member in a general cluster). This means that if you require load-balanced COM+ activations from one general cluster across multiple COM+ clusters, a COM+ routing cluster is required for load balancing the second and subsequent COM+ clusters.

A COM+ routing cluster typically comprises two members that are using Network Load Balancing (NLB) to ensure availability of the COM+ router.

Load Balancing

Load balancing is used to distribute workload among cluster members. Application Center supports three types of load balancing:

  • NLB
  • CLB
  • Other load-balancing devices

NLB

NLB is the IP load-balancing technology that is provided as part of Microsoft Windows® 2000 Advanced Server and Microsoft Windows 2000 Datacenter Server. It is also shipped with Application Center to allow Windows 2000 Server to support NLB while running Application Center. With NLB, incoming TCP traffic, User Datagram Protocol (UDP) traffic, and Generic Routing Encapsulation (GRE) traffic requests are distributed among cluster members.

CLB

COM+ allows developers to write software components in a variety of languages. Because the location of COM+ components is transparent, they can run in a distributed environment. Using CLB, Application Center takes advantage of this to provide load-balanced activation of COM+ components across a cluster. CLB ships as part of Application Center.

Other Load-Balancing Devices

Application Center is compatible with other load-balancing devices and they can be used together with the deployment and monitoring capabilities provided by Application Center. However, in this version, Application Center does not actively manage these devices. The Microsoft Application Center Resource Kit includes software that allows limited integration of other load-balancing devices. This software allows you to set members offline and online from both the Application Center snap-in and the command line. You can also use a Windows Management Interface (WMI) provider (included in the Resource Kit) for the device to monitor the state of cluster members.

Synchronization and Deployment

Application Center manages cluster synchronization and deployment. Application Center uses a single application image to represent all of the required content for a solution (for example, a Web site). The application image can include Web sites, Web pages, COM+ applications, system settings, and any other content that must be installed on each cluster member.

Deployment is the process of copying an initial application image from one cluster to another. Typically, deployment occurs from a staging, or a prepatory, cluster to a production cluster that holds the live content. During deployment, the application image is copied to the cluster controller of the recipient cluster.

A cluster controller maintains the latest, most accurate content for a cluster. The controller is responsible for synchronizing its content to all of the cluster members. If the content on the controller changes, perhaps as a result of an incoming deployment, changes are synchronized automatically to each cluster member. You can also perform synchronization manually.

Note Note Application Center is not intended for use as a deployment tool for operating systems, system components (such as Service Packs [SPs]), or computer programs, such as Microsoft Word.

Monitoring

To maximize availability, you must understand events and performance metrics of a cluster. For example, a certain event might represent impending failure, or a CPU utilization metric creeping upwards of 90 percent can indicate that you need to add an additional server to the cluster. Application Center provides a rich set of monitoring features that allow you to detect, analyze, and fix performance and availability problems.

Events and performance metrics are stored on each member. Performance metrics can be aggregated across a cluster and viewed in real-time or over long periods, enabling you to spot immediate problems or chart long-running trends. Application Center also rolls up events from multiple members into a single view, which expedites processing and filtering events for the system administrator.

The Microsoft Health Monitor 2.1 functionality that is built into Application Center allows you to set thresholds on a wide variety of system and application information, such as Windows Event Logs, HTTP calls, Windows service failures, any WMI event or instance, and when thresholds are exceeded. You can use this functionality to send automated e-mail notification or run command-line scripts.

Administration

The primary administrative interface for Application Center is the MMC, which is a Windows 2000 tool that is used to create, save, and open collections of administrative tools, called consoles.

Through MMC, you can administer an Application Center cluster locally or through a secure remote connection. Additionally, limited administration can be performed remotely via the Web-based management interface (the Web-based Administrative client).

Whichever user interface is used, Application Center provides a view of the cluster and its members. With both the Application Center MMC snap-in and Web-based Administrative client, you can administer more than one cluster at the same time.

Application Center also includes a command-line tool, which you can use to automate administration and management of Application Center.


Supplemental Installation Information

This section provides supplemental information about installing Microsoft Application Center 2000 (Application Center).

This section includes:

  • Installation Requirements
  • Unsupported Installation Configurations
  • Unattended (Programmatic) Installation
  • Installing Without Application Center Events and Performance Logging


Installation Requirements

Microsoft Application Center 2000 (Application Center) has two installation types:

  • The full server installation, which includes all of the functionality that is required for Application Center.
  • The Administrative client installation, which allows you to administer clusters remotely by using the Application Center snap-in.

Each installation type has various hardware and software requirements, listed in the following sections.

Full Server Installation Requirements

Operating Systems

You can install the full server version of Application Center on the following operating systems:

  • Microsoft® Windows® 2000 Server
  • Microsoft® Windows® 2000 Advanced Server
  • Microsoft® Windows® 2000 Datacenter Server

Notes Notes

    • To install Application Center on the Windows 2000 Server and Windows 2000 Advanced Server operating systems, you must install the Windows 2000 Service Pack 1 (SP1) and Pre-Service Pack 2 (SP2) components. Installation on Windows 2000 Datacenter does not require SP1. Application Center Setup allows you to install these pre-requisites.
    • Internet Information Services 5.0 (IIS) must be installed as part of the Windows 2000 installation and the IIS Administration Service must be enabled.
    • The default installation of Application Center on Windows 2000 Server automatically installs Network Load Balancing (NLB). Upon installation, NLB is not enabled until you create an NLB cluster. Because Windows 2000 Advanced Server and Windows 2000 Datacenter Server already contain NLB, when you install Application Center on either of these operating systems, Application Center Setup does not install NLB.

    Caution Caution All servers added to a cluster must have the same directory and drive structure as the cluster controller. Ensure that the server being added has the same System Root, Program Files path, and Application Center installation directory path as the controller.

Hardware

The following requirements are for both cluster controllers and cluster members:

  • A Pentium-compatible processor that is 400 MHz or higher.
  • A CD-ROM drive, unless you are installing from a network share.
  • One or more network adapters if you are not using Windows 2000 NLB.
  • Two or more network adapters if you are using Windows 2000 NLB.
  • A minimum of 155 MB of available hard-disk space. This does not include the disk space requirements for the Windows 2000 Service Packs.
  • 256 MB of RAM (128-MB minimum; 4-GB maximum).
  • A Windows 2000–compatible graphics adapter with a minimum resolution of 800x600.
  • A mouse or compatible pointing device.

Note Note The network adapters must be compatible with Windows 2000 (see the Windows 2000 Hardware Compatibility List [HCL]). To view the list released with Windows 2000, on the Windows 2000 CD, open the Support folder, and then open Hcl.txt. Updated versions of the HCL are available on the Windows HCL Web site (http://www.microsoft.com).

NLB

If you use NLB with Application Center, the controller and members each require at least two network adapters. Additionally, the controller requires one static IP address. This will be the primary (virtual) address of the cluster. The members do not require static IP addresses.

Administrative Client Requirements

Operating Systems

You can install the Administrative client on the following operating systems:

  • Windows 2000 Professional
  • Windows 2000 Server
  • Windows 2000 Advanced Server
  • Windows 2000 Datacenter Server

Note Note Windows 2000 SP 1 is required for an Administrative client installation.

Hardware Requirements

The Administrative client has the following hardware requirements:

  • A Pentium-compatible processor that is 266 MHz or higher.
  • A minimum of 128 MB of RAM is recommended.
  • 20 MB of available hard-disk space. This does not include the disk space requirements for the Windows 2000 Service Packs.
  • A CD-ROM drive.
  • One network adapter.
  • A Windows 2000–compatible graphics adapter with a minimum resolution of 800x600.
  • A mouse or compatible pointing device.

Administrative Web Site

Application Center has a Web-based Administrative client, described in Web-based Administrative Client, which allows you to perform certain administrative tasks by using Microsoft Internet Explorer 5.0 or later.


Unsupported Installation Configurations

Application Center does not support the following installation configurations:

  • Installation without the correct Windows 2000 Service Packs. The full server installation requires Service Pack 1 and Pre-Service Pack 2. The Administrative client installation requires Service Pack 1. Installation on Windows 2000 Datacenter does not require SP1. These Service Packs are provided on the product CD.
  • Installation on a computer with an operating system later than Windows 2000. This does not include any Windows 2000 Service Packs.
  • Installation on FAT16 partitions (except for Administrative client installations).
  • Installation on either a domain controller or a backup domain controller.
  • Installation from a mapped drive via Terminal Services.
  • Installation without the IIS Admin Service enabled. (This does not apply to Administrative client installations.)
  • A full server installation on Windows 2000 Professional. The Administrative client installation on Windows 2000 Professional is supported.

Note Note Installation support on a computer with Microsoft Cluster Service (MSCS) installed is limited. It is not possible to create a cluster, but other tasks, such as monitoring, are available.


Unattended (Programmatic) Installation

You can install Application Center programmatically from the command line or by using batch files. The following unattended installation configurations are available:

  • Default installation: Server, Administrative client, and Application Center Events and Performance Logging are installed (this is the default configuration). All features are available with this installation.
  • No AC Logging: The full server and Administrative client are installed. The full server and Administrative client features are available, but specific logging features are not.
  • With AC Logging: The full server and Administrative client are installed. The full server and Administrative client features are available, with all logging features.
  • Server only: only the full server, not the Administrative client and Application Center Events and Performance Logging, is installed.
  • Administrative Client only: only the Administrative client, not the full server and Application Center Events and Performance Logging, is installed. Use this installation for remote administration. The computer on which this option is installed cannot become a cluster member.
  • Sample monitors: several Microsoft Health Monitor 2.1 rules for Microsoft SQL Server™ and other monitoring tasks are installed.

Note Note Unattended (programmatic) installation requires the Product ID (PID) for Application Center. The PID is a 25 digit value. To specify the PID, use the PIDKEY command, for example:

PIDKEY=EEH2GD2VK9QD4M9F63XE43C33

Option | Command | Notes
Default installation | msiexec /i "path" /q /lv* filename.log | This option installs the Administrative client if you have not installed the hotfixes first.
No AC Logging | msiexec /i "path"/q /lv* filename.log ADDLOCAL=Server,Client |
With AC Logging | msiexec /i "path"/q /lv* filename/log ADDLOCAL = Server,Client,ACLogging |
Server only | msiexec /i "path"/q /lv* filename.log ADDLOCAL=Server | No AC Logging is included by default. To exclude No AC Logging for Server only, use No AC Logging.
Administrative Client only | msiexec /i "path" /q /lv* filename.log ADDLOCAL=Client | An Administrative Client only installation must include With AC Logging.
Sample monitors | msiexec /i "path" /q /lv* filename.log ADDLOCAL=SampleHealthMonMonitors | The sample monitors are not installed by default in any of the preceding options. To install them with another option, to the ADDLOCAL parameter, add SampleHealthMonMonitors.
Specifying the PID | msiexec /i "root\Microsoft Application Center 2000.msi" /q PIDKEY=pid_key Note Note The value for pid_key might appear on the CD packaging as QD4M9-F63XZ-43C33-WQH2G-D2VK9 (this is only an example, not the actual PID), but you must enter it as a 25 digit number with no intervening dashes. | This installs the default installation. You can add different parameters.

Notes Notes

    • Where path is the physical path to Microsoft Application Center 2000.msi on the CD image. Enclose path within quotation marks.
    • The /i parameter is required and specifies install.
    • The /q parameter specifies a quiet installation (no user interface).
    • The /lv* parameter specifies the path to the log file. The v parameter specifies logging of all parameters, including verbose output.
    • The ADDLOCAL parameter specifies the program features to install. These options can be used in any combination, except ADDLOCAL=Client,ACLOGGING. The default settings are ADDLOCAL = Server,Client,ACLOGGING

For example, to install the Administrative client only, without Application Center Events and Performance Logging, server components, and sample monitors), type

msiexec /i "E:\Microsoft Application Center 2000.msi" /q /lv* RemoteInstallLog.log ADDLOCAL=Client

Related Topics

  • For more information about installing without logging features, see Installing Without Application Center Events and Performance Logging.
  • For more information about the sample monitors, see Monitoring a Cluster.


Installing Without Application Center Events and Performance Logging

Installations Without Logging Functionality

Application Center uses the logging features to provide data in one place that would normally be available in many different places, or not at all. These feature can reduce administrative overhead for cluster management. These features are not available for Application Center installations without Application Center Events and Performance Logging.

The following table provides possible workarounds for some of these logging features.

Features not available | Administrative impact | Workarounds (must be done for every cluster member)
Performance view | Cluster-wide aggregation of performance data and server-specific performance data is not available. | Use Windows 2000 Performance Monitor: click the Windows Start button, point to Programs, point to Administrative Tools, and then click Performance.
Events view | Cluster-wide aggregation and server-specific event data is not available. Links to the troubleshooting information and Support Online is not available and there is no workaround for this. | Use Windows 2000 Event Viewer: click the Windows Start button, point to Programs, point to Administrative Tools, and then click Event Viewer.
Health Monitor alerts | These alerts are aggregated in the Application Center snap-in. This information is available in its entirety in Health Monitor, but it must be obtained in several different places. The aggregation of the alerts in the details view for clusters and members is not available. | Use Health Monitor: click the Windows Start button, point to Programs, point to Administrative Tools, and then click Health Monitor.
Application Center Events and Performance Counter Logging | This information is not available for archiving and reporting. | None available, except for third-party solutions. Note Note Both Warning and Error events are written to the Windows Event Log. Informational events are not available.
Web monitoring | The remote monitoring features available with the Web-based Administrative client are not available. You cannot monitor your members or clusters over the Web. | None available, except for third-party solutions.

One reason to install Application Center without Application Center Events and Performance Logging is that less hard-disk space and CPU resources are used, compared to installing with it. This is usually only a concern for servers with resource problems that cannot be fixed by adding resources.

Reasons to install Application Center with Application Center Events and Performance Logging include:

  • Simplified administration.

    Application Center represents a single-point-of-administration for clusters. Much of this benefit is lost without the centralized logging features.

  • Event management.

    Many of the non-error level events are lost without the centralized logging features. These events might not be available in the Windows 2000 Event Viewer.

  • Special queries and reports.

    Although not directly supplied by Application Center, specialized event queries and reports are simplified by the Application Center logging features.

  • Remote monitoring.

    The Web-based monitoring that is provided by Application Center requires the use of the logging features. Web-based monitoring includes monitoring Web-accessible events, the performance counter chart, and cluster health.


Accessibility Features

Microsoft Application Center 2000 (Application Center) uses Microsoft® Windows® 2000 accessibility features to allow users to meet their vision, hearing, and mobility needs.

Windows 2000 Accessibility Features
  • Magnifier.

    Enlarges a portion of your screen in a separate window for easier viewing.

  • Narrator.

    Reads information on your screen, including dialog box names, menus, entered text, and so on. Narrator provides a minimum level of accessibility so that people who are blind or who have low vision can interact with Windows 2000 during configuration or emergency situations. Note: Narrator is available with U.S. English only.

  • On-Screen Keyboard.

    Displays a virtual keyboard so that you can enter information by using a pointing device, such as a mouse or a switch input device. On-Screen Keyboard is compatible with many, but not all, keyboards and keyboard settings. Windows 2000 also offers customizable options for users who are blind, have motion disabilities, or are deaf or hard of hearing:

    • High-contrast desktop color schemes, which provide more options for changing colors and font sizes on your screen.
    • Sound schemes, which provide useful audio feedback for important on-screen events, such as the opening and closing windows.
    • High-visibility mouse pointer schemes, which provide more options to help you keep track of the pointer visually.

Related Topics

  • For more information about accessibility, see the Microsoft Accessibility Web site.
  • For more information about Windows 2000 accessibility features, see the Windows 2000 Help.


Other Resources

The following list provides links to additional information about Microsoft Application Center 2000 (Application Center) and its supporting technologies.

Related Topics

  • http://www.microsoft.com/applicationcenter: The Application Center Web site provides the latest product information.
  • Application Center Resource Kit: The Resource Kit contains detailed information about using Application Center. Further information is available on the Application Center Web site.
  • Microsoft Product Support Services: Microsoft Support Online offers technical assistance for a wide variety of software products.
  • MSDN Online: The Microsoft Developer Network (MSDN) has a vast array of developer-based information and samples.
  • Microsoft Windows 2000: The Windows 2000 Web site provides late-breaking information about Windows products.
  • Microsoft TechNet: The Microsoft TechNet site provides solutions and information for many products and technologies.


Creating a Cluster

This section provides procedural information about creating and joining clusters as well as configuring network adapters for cluster communication. This section also provides conceptual information about clustering scenarios and load balancing.

This section includes:

  • How To...
  • Concepts


How To...

This section includes:

  • Configure Cluster Communication
  • Create a Cluster
  • Start the New Cluster Wizard
  • Join an Existing Cluster


Configure Cluster Communication

You must configure cluster communication before you can create a cluster. For Microsoft Application Center 2000 (Application Center) clusters to function properly, you must establish two types of communication: communication with clients and communication with cluster members. To establish communication with clients, first you must decide how to load balance client requests across the cluster. To load balance the incoming client requests, Application Center provides seamless integration with Network Load Balancing (NLB) and is compatible with third-party load balancing devices.

You must configure cluster communication so that Application Center can properly send management requests between members. Cluster management communication can include synchronization and cluster administration requests.

This section includes:

  • Establish Communication in NLB Clusters
  • Establish Communication in Non-NLB Clusters


Establish Communication in NLB Clusters

The tasks associated with configuring network communication vary, depending on your clustering environment. The following procedure provides guidelines for typical network configuration of Application Center clusters that are using NLB.

For NLB clusters, each cluster member must have at least two network adapters: a load-balanced adapter that handles communication with clients and a management-traffic adapter that handles communication within the cluster (between cluster members). On the controller, the load-balanced adapter must have at least one static IP address that is used as the cluster IP address, or virtual IP address (VIP). You should configure NLB by using the New Cluster Wizard; you should not configure NLB manually through the Network Properties dialog box. If the default settings applied by the wizard are not sufficient, you can modify them by using the Application Center user interface or the NLB configuration dialog box in the network_adapter Properties dialog box. If you previously configured NLB prior to creating a cluster in Application Center, the wizard allows you to keep your existing settings or helps you reconfigure them.

To establish communication in an NLB cluster

  1. Assign one static IP address to the load-balanced adapter.

    This address is the cluster IP address, or VIP, that is load balanced across the cluster.

    Members that you add subsequently will acquire the VIP from the cluster controller.

    The management-traffic adapter can use DHCP or static IP addresses. The following illustration shows the recommended IP address configuration on both load-balanced and management-traffic adapters.

  2. Configure DNS and Microsoft® Windows® Internet Name Service (WINS) on the management-traffic adapter.

    Confirm that DNS is functioning properly by ensuring that server names resolve to the management-traffic adapter rather than the load-balanced adapter. To use the Application Center name resolution service, NetBios over TCP/IP is enabled during cluster creation.

    Note Note Application Center does not disable NetBios over TCP/IP if you disband the cluster or remove members.

  3. Ensure that all management-traffic adapters are connected on the same subnet and that all members can communicate with each other over this adapter.

    Load-balanced adapters should be on a separate subnet from the management-traffic adapters.

    Note Note If both the load-balanced and management-traffic adapters exist on the same subnet, you can separate network traffic by using a default gateway.

  4. Remove any single-host port rules, if they exist.

Related Topics

  • For more information about NLB, see Using NLB.
  • For more information about the types of clusters you can create, see Create a Cluster.
  • For more information about creating a cluster, see Cluster Creation Process.
  • For more information about configuring network communication, see the Help for your load balancing device.


Establish Communication in Non-NLB Clusters

The tasks associated with configuring network communication in non-NLB clusters vary depending on your clustering environment and load balancing implementation. The following procedure provides guidelines for typical network configuration of non-NLB clusters.

To establish communication in a non-NLB cluster

  1. Assign a static, dedicated IP address to the load-balanced adapter for each cluster member.
  2. Assign the cluster IP address, or VIP, to your load-balanced adapter.

    The management-traffic adapter can use DHCP or static IP addresses. The following illustration shows the recommended IP address configuration on both load-balanced and management-traffic adapters.

  3. Using Internet Services Manager, bind all IP addresses from other members to the corresponding Web sites on the controller.

    For example, if Web site A has an IP address of 1.1.1.1 on the controller but 1.1.1.2 on Member A, you must bind 1.1.1.2 to Web site A on the controller. Because Application Center synchronizes all content and configuration from the controller, member-specific settings (such as IP address bindings) will be overwritten on members. Therefore, make sure all settings exist on the controller before adding any members, or you can modify settings on the controller as you add members.

    Note Note These additional IP address bindings will not degrade performance because IIS only detects IP addresses that are bound to network adapters.

  4. Configure DNS and WINS on the management-traffic adapter.

    Confirm that DNS is functioning properly by ensuring that server names resolve to the management-traffic adapter rather than the load-balanced adapter. To use the Application Center name resolution service, NetBios over TCP/IP is enabled during cluster creation.

    Note Note Application Center does not disable NetBios over TCP/IP if you disband the cluster or remove members.

  5. Ensure that the load-balanced adapter is on a separate subnet from the management-traffic adapter and that all members can communicate with each other over the management-traffic adapter.

    If both of the network adapters exist on the same subnet, you can separate network traffic by using a default gateway.

Related Topics

  • For more information about configuring network communication, see the Help for your load balancing device.
  • For more information about binding additional IP addresses to Web sites in IIS, see Add and Remove IP Address Bindings.
  • For more information about hosting multiple Web sites on non-NLB clusters, see Using Other Load Balancers.
  • For more information about creating a cluster, see Cluster Creation Process.


Create a Cluster

This section provides procedures for creating the different types of clusters that Microsoft Application Center 2000 (Application Center) supports.

This section includes:

  • Create a Stager
  • Create a Web Cluster
  • Create a COM+ Application Cluster
  • Create a COM+ Routing Cluster


Create a Stager

You use a stager to deploy content from testing and development environments to Application Center clusters. A stager is essentially a stand-alone, single-node cluster of one.

To create a stager

  1. Start the New Cluster Wizard.
  2. On the Cluster Type page, click General/Web cluster, and then click Next.
  3. On the Load Balancing page, click No load balancing, and then click Next.
  4. Click Next until you reach the end of the wizard, and then click Finish.

    Note Note After the New Cluster Wizard completes, you should disable synchronization and request forwarding.

Related Topics

  • For more information about stagers, see Single-Node Cluster.
  • For more information about disabling synchronization, see Enable or Disable Synchronization.
  • For more information about disabling the request forwarder, see Enable / Disable the Request Forwarder for Web Sites.
  • For more information about creating a cluster, see Cluster Creation Process.


Create a Web Cluster

A Web cluster serves Web content and local COM+ applications. With Application Center, Web clusters can activate COM+ applications on separate COM+ application clusters by using CLB.

To create a Web cluster

  1. Configure Cluster Communication.
  2. Start the New Cluster Wizard.
  3. On the Cluster Type page, click General/Web cluster, and then click Next.
  4. On the Load Balancing page, select the appropriate load balancing option, and then click Next.
  5. On the Load Balancing Options page, select the network adapter to use for cluster synchronization and management.
  6. To receive notification of cluster events, on the Monitoring Options page, enter an e-mail address and e-mail server name, and then click Next.
  7. Click Finish.

Related Topics

  • For more information about the cluster types that you can create, see Clustering Scenarios.
  • For more information about load balancing across a cluster, see Load Balancing.
  • For more information about creating a cluster, see Cluster Creation Process.


Create a COM+ Application Cluster

A COM+ application cluster primarily handles the processing of COM+ components. When Web or Windows-based applications activate COM+ components, these activation requests can be load balanced across the multiple members within a COM+ application cluster. To perform the load balancing, you must configure CLB on the Web or COM+ routing cluster.

To create a COM+ application cluster

  1. Configure Cluster Communication.
  2. Start the New Cluster Wizard.
  3. On the Cluster Type page, click COM+ application cluster, and then click Next.
  4. On the COM+ Application Clients page, select the clients that will be activating components on this COM+ application cluster, and then click Next.
  5. To receive notification of cluster events, on the Monitoring Options page, enter an e-mail address and e-mail server name, and then click Next.
  6. Click Finish.

Related Topics

  • For more information about the cluster types that you can create, see Clustering Scenarios.
  • For more information about CLB and load balancing across a cluster, see Load Balancing.
  • For more information about creating a cluster, see Cluster Creation Process.


Create a COM+ Routing Cluster

A COM+ routing cluster uses CLB to route activation requests for COM+ components from clients to a COM+ application cluster. A COM+ routing cluster is essentially a load balancer for COM+ components that are on a COM+ application cluster. COM+ routing clusters are useful when requests for COM+ applications come from a combination of Web and Windows-based applications. For most cases, you do not need to create a separate COM+ routing cluster; you can create Web clusters that perform CLB.

To create a COM+ routing cluster

  1. Configure Cluster Communication.
  2. Start the New Cluster Wizard.
  3. On the Cluster Type page, click COM+ routing cluster, and then click Next.
  4. On the Load Balancing page, select the appropriate load balancing option, and then click Next.
  5. On the Load Balancing Options page, select the network adapter that Application Center will use for member management.
  6. To receive notification of cluster events, on the Monitoring Options page, enter an e-mail address and e-mail server name, and then click Next.
  7. Click Finish.

Related Topics

  • For more information about the cluster types that you can create, see Clustering Scenarios.
  • For more information about load balancing across a cluster, see Load Balancing.
  • For more information about creating a cluster, see Cluster Creation Process.


Start the New Cluster Wizard

This procedure describes how to start the New Cluster Wizard, which helps you create a new cluster in Application Center. Before starting this wizard, you should be familiar with the clustering scenarios and load balancing implementations that Application Center supports.

To start the New Cluster Wizard

  1. In the Application Center snap-in, right-click Application Center, and then click Connect.

    The Connect to Server dialog box appears.

  2. In the Server name box, type the name of the server, and then click OK.

    This name must be a valid NetBIOS name, DNS name, or IP address.

    This server will be the first member in the cluster and therefore, the cluster controller. After subsequent members are added, you can designate any member as the cluster controller.

    • If you are not logged on with administrative privileges on this server, select the Connect As check box, and then enter the user name, password, and domain (optional) for an account with administrative privileges.
    • If you are connecting to the local server, the Connect As check box is ignored, and the account with which you logged on is used. This account must have administrative privileges to create a cluster.
  3. In the New Server dialog box, click Create a new cluster, and then click OK.

    The New Cluster Wizard appears. For information about using this wizard, click Help as you proceed through the wizard.

Related Topics

  • For more information about the cluster types that you can create, see Clustering Scenarios.
  • For more information about load balancing across a cluster, see Load Balancing.
  • For more information about creating a cluster, see Cluster Creation Process.


Join an Existing Cluster

You can add a server to an existing cluster by using the Add Cluster Member Wizard. To run this wizard, you must establish a connection to the server that you wish to join to an existing cluster. Once the server is added to the cluster and all applications have been synchronized to it, this member can begin to handle requests that are sent to the cluster.

You can also use the Add Cluster Member Wizard from the cluster, specifying this server as the server to add.

To join an existing cluster

  1. In the Application Center snap-in, right-click Application Center, and then click Connect.
  2. In the Server Name box, type the name of the server to add to the cluster.

    This name must be a valid NetBios name, DNS name, or IP address.

  3. Under Connection options, click Manage cluster for the specified server.
    • If you are not logged on with administrative privileges on this server, select the Connect as check box, and then enter the user name, password, and domain (optional) for an account with administrative privileges.
  4. In the resulting dialog box, click Join an existing cluster, and then click OK.

    The Add Cluster Member Wizard appears. For information about using this wizard, click Help as you proceed through the wizard.

Related Topics

  • For more information about adding servers to or removing members from a cluster, see Add and Remove Members.


Concepts

This section includes:

  • Cluster Creation Process
  • Clustering Scenarios
  • Load Balancing


Cluster Creation Process

To create a cluster in Microsoft Application Center 2000 (Application Center), first you must create a cluster on one server and then, to expand the cluster, add subsequent servers individually. To create a cluster on one server, use the New Cluster Wizard. To add servers to a cluster or to join an existing cluster, use the Add Cluster Member Wizard. Before you can start either wizard, you must establish a connection with the server by using appropriate administrative credentials.

Since all cluster members are synchronized with the cluster controller, you should ensure that all content and configuration exist on the controller before adding members. Unpredictable behavior might result if content or configuration on members is different from the controller.

In clusters that are not using Network Load Balancing (NLB), where each member typically has a different IP address, you must bind the IP address from each member to the controller. With the controller containing all the Web site information for all members (including the additional IP addresses of the members, bound to the respective Web sites on the cluster controller), Application Center can synchronize members effectively. For more information see "Handling Member-specific Settings" in Using Other Load Balancers.

Configuring the Network

Before you can create a cluster, you must configure network communication so that cluster members can communicate properly. The tasks for configuring network communication for a cluster vary depending on your specific clustering environment. However, for most Application Center clusters, you must configure two types of communication—client communication and cluster communication:

  • You establish client communication so that the cluster can receive incoming client requests and send responses properly. Typically, a load balancing system is used for client communication so that incoming client requests can be distributed evenly across multiple members.
  • You establish cluster communication so that Application Center can properly send management requests between members (to synchronize members and provide cluster administration capabilities). This communication is required because it is not possible to send these requests over the load-balanced network adapter with NLB in Unicast mode.

You should configure network communication before starting the New Cluster Wizard. If the options presented in the wizard are not sufficient, you can modify them after creating the cluster. For NLB, you should configure network settings while the cluster consists of a single member, before adding any members. Configuring network communication before adding any members ensures that when you add members, they acquire the proper NLB network settings from the controller. Modifying network settings after adding members might require you to disband and recreate the cluster.

Using the New Cluster Wizard

With new or existing servers, you can create Application Center clusters by using the New Cluster Wizard. This wizard simplifies cluster creation by applying typical configuration settings for a cluster based on the options that you specify in the wizard. After the cluster has been created, you can use the cluster Properties dialog box to adjust the settings.

Essentially, the New Cluster Wizard determines the type of cluster being created. You might create stagers, or Web, COM+ application, or COM+ routing clusters. In addition, the wizard allows you to select the type of load balancing that will be used by the cluster:

  • If you select NLB, the wizard sets affinity to single and allows you to select network adapters for load balancing and cluster communication.

    If you configured NLB prior to creating a cluster in Application Center, the wizard allows you to keep your existing settings or reconfigure them.

  • If you are using Component Load Balancing (CLB), you must configure CLB on the Web or COM+ routing cluster rather than the COM+ application cluster; you cannot use the New Cluster Wizard to configure CLB. On the Web or COM+ routing cluster, you must enable dynamic load balancing support for each component and update the routing list to include each COM+ application member.

If you are creating a COM+ application cluster, the wizard allows you to select the client types for the cluster:

  • If the clients are Server applications, NLB is not used and you must configure CLB on the Web servers or COM+ routing servers.
  • If the clients are Client applications, the wizard allows you to configure NLB (assuming that the server has two network adapters with at least one static IP address on one of the network adapters.)

While creating a cluster, the New Cluster Wizard detects your network adapters. If the wizard detects:

  • One network adapter, NLB is disabled (because it requires two network adapters) as a load balancing option and you must use either Other Load Balancing or None as your load balancing implementation.
  • Two network adapters, you must select the network adapter to use for cluster communication.
  • Two network adapters with at least one static IP address on one of the network adapters, NLB is enabled and you must specify which network adapter to use for cluster communication.
  • Two network adapters with at least one static IP address on each network adapter, you must select a network adapter for load balancing and a network adapter for cluster communication.
  • More than two network adapters, you must select which network adapter to use for cluster communication.

To manually specify the network adapters for Application Center to use for cluster communication, see the Knowledge Base (KB) article Q262217.

New Cluster Wizard Process

When creating a cluster with the New Cluster Wizard, the following process occurs:

  1. Application Center Setup analyzes the server for network adapters and IP addresses.
  2. You enter a name and description for the cluster.
  3. You select one of three cluster types.
  4. You select load balancing options.

    Note Note If you select No load balancing but want to add members, you must ensure that all IP addresses on all members are accessible to one another. Or, you can manually specify the network adapters that Application Center should use for cluster communication as described in KB article Q262217.

  5. To receive monitoring notification, you enter an e-mail address and the name of an SMTP server to receive the notifications.

Note Note While creating a cluster and adding members, multiple events are logged about members that are being set online and offline. These events are expected under normal operation.

Note Note With NLB, Application Center enables NetBios over TCP/IP. By default, it is not disabled if you remove members or disband a cluster; you must manually disable NetBios over TCP/IP in the TCP/IP Properties dialog box for the appropriate network adapter.

Related Topics

  • For more information about creating a cluster, see Create a Cluster.
  • For more information about adding members, see Managing a Cluster.
  • For more information about selecting the cluster type, see Clustering Scenarios.
  • For more information about load balancing, see Load Balancing.
  • For more information about the user groups and accounts created by Application Center, see Managing User Accounts.


Clustering Scenarios

Microsoft Application Center 2000 (Application Center) supports three primary clustering scenarios. This section provides general information for each type of clustering scenario.

This section includes:

  • Single-Node Cluster
  • Standard Web Cluster
  • COM+ Application Cluster


Single-Node Cluster

It can be useful to operate Application Center on a single server, without the context of a multi-member cluster. Application Center treats a single-node cluster, or stand-alone server, as a cluster of one member. Typically, the most common single-node cluster is a stager. A stager is a server where content is placed on a "stage." On this stager, you can experiment with and fully test the quality and functionality of content from development and test environments before deploying the content to production environments.

In addition to stagers, other single-node clusters can benefit from Application Center without operating in a clustered environment. These servers can use Application Center for such tasks as:

  • Deploying applications to or from other members or clusters.
  • Viewing health and status alongside other clusters.
  • Viewing performance data and event logs alongside other clusters.

Related Topics

  • For more information about creating stagers, see Create a Stager.


Standard Web Cluster

The most typical Application Center clustering scenario is a Web cluster serving Web sites and local COM+ components. Such clusters can be distinguished by their load balancing implementation, whether they use NLB or other load balancing devices. The advantages of clustering multiple servers together include:

  • Failover protection— each member is essentially a backup of the cluster controller.
  • Increased application availability— with multiple members serving sites and applications, clients can experience uninterrupted service even through failures or problems on individual members.
  • Increased scalability— you can add and remove members without affecting client availability.
  • Increased performance— client workload is distributed throughout the cluster, so that each individual member receives less load, which enhances performance.
While the advantages of using clusters are numerous, the tasks associated with cluster administration can become complex and labor intensive. Application Center removes many of these obstacles and provides the following capabilities:
  • Quick setup and configuration of clusters— the New Cluster Wizard greatly simplifies the process of creating a cluster.
  • Simplified cluster administration— you can manage multiple cluster members from a single computer, even remotely.
  • Seamless integration with NLB— You can use Application Center to configure and manage NLB.
  • Cluster synchronization— you can synchronize all members by setting an interval for periodic synchronization or manually initiating synchronization (this includes synchronizing server configuration, application content, and configuration, and network settings for NLB).
  • CLB capabilities— you can load balance components for COM+ applications and process COM+ applications on designated application servers.
  • Simplified application deployment— you can use the Deployment Wizard to deploy applications.
  • Monitoring capabilities— you can view the health of and performance for members, applications, and clusters.
  • Automation of administrative tasks— you can use Application Center monitors and the command-line tool for automating common administrative tasks, such as restarting services or setting members online and offline.

NLB Web Clusters

With NLB, Application Center provides seamless integration such that NLB cluster creation and member addition is simplified and common administrative tasks, such as setting members online and offline, can be handled through the Application Center user interface. NLB dynamically distributes client workload as members are set online and offline. The following illustration shows a typical one-tier Web cluster that is running NLB.

To increase performance and availability, you can add members to the cluster by using the Add Cluster Member Wizard.

Non-NLB Web Clusters

For typical non-NLB clusters, an external load balancing device is used to distribute incoming client requests. The following illustration shows a typical one-tier, non-NLB Web cluster.

To create a cluster that uses an external load balancing device, in the New Cluster Wizard, select Other load balancing. For information about third-party load balancing integration, see the Microsoft Application Center 2000 Resource Kit.

Related Topics

  • For more information about creating a Web cluster, see Create a Web Cluster.
  • For more information about NLB, see Using NLB.
  • For more information about activating requests for COM+ applications on remote COM+ application clusters, see Using CLB.


COM+ Application Cluster

A COM+ application cluster processes COM+ application requests for clients. These clients can include Windows-based clients and Web clusters. A COM+ application cluster relieves Web clusters and Windows-based clients from processing COM+ components. To support Windows-based clients by using DCOM, the cluster can use NLB or other load balancers to distribute incoming client requests. The following illustration shows a COM+ application cluster that is running NLB.

You can create Web clusters that use CLB to load balance the activation requests for COM+ components, and forward these requests from the Web cluster to the COM+ application cluster for processing. In a two-tier Application Center clustering environment, one tier handles requests for Web sites while the second tier handles requests for COM+ components. The performance for this environment may not match the performance of a single Web cluster because data must be transmitted between the Web cluster and COM+ application cluster. While the best performance is achieved by activating COM+ applications locally, creating a separate cluster to process COM+ components has the following advantages:

  • Increased security because you can place firewalls between Web clusters and COM+ application clusters so that clients accessing the Web cluster are restricted from accessing the COM+ application cluster.
  • If the COM+ applications consume extensive processing resources, Web servers may become unresponsive. You can create a separate COM+ application cluster to relieve the Web cluster of processing these COM+ applications. Since the Web cluster does not process the COM+ applications, it can achieve better performance in serving Web sites.
  • Increased manageability of server applications because COM+ applications are isolated on a separate cluster from Web clusters. The two separate clusters allow you to have different developers and administrators maintaining each cluster independently.
  • Support for clients of mixed environments; COM+ application clusters can accept requests from both clients accessing the Web cluster and clients running Windows-based applications.

To configure a two-tier Application Center cluster where one tier handles requests for Web sites and another tier processes COM+ components, you must complete the following steps:

  1. Create a Web cluster and a COM+ application cluster.
  2. Install the COM+ applications on both clusters.
  3. On the Web cluster:
    • Use the Component Services snap-in to enable dynamic load balancing support for the components you want load balanced by CLB.
    • Restart the COM+ component load balancing service.
    • Configure the COM+ routing list to include each of the members comprising the COM+ application cluster.
  4. On the COM+ application cluster, disable dynamic load balancing support for each component.

As clients send activation requests for COM+ components, the Web cluster determines if the components support dynamic load balancing and if so, forwards the request to one of the COM+ application cluster members on the routing list.

Related Topics

  • For more information about CLB, see Using CLB.
  • For more information about creating a COM+ application cluster, see Create a COM+ Application Cluster.
  • For more information about creating a Web cluster, see Create a Web Cluster.


Load Balancing

To distribute incoming client requests across a cluster, you can use a load balancer. These load balancers operate independently of Microsoft Application Center 2000 (Application Center) but you can use Application Center to manage them. With the ability to manage load balancing, Application Center provides complete cluster administration capabilities. This section provides information about using the different types of load balancers that Application Center supports.

This section includes:

  • Using NLB
  • Using CLB
  • Handling Requests in Load-Balanced Environments

Related Topics

  • For more information about load balancing, see the Windows 2000 Help.
  • For more information about the cluster types that Application Center supports, see Clustering Scenarios.


Using NLB

You can use the Application Center New Cluster Wizard to quickly set up and configure NLB, without any manual configuration tasks. If the default settings applied by the wizard are not sufficient, you can use the Application Center user interface to modify them after creating the cluster, or the NLB configuration dialog box in the Properties dialog box for the appropriate network adapter. Application Center also provides seamless integration with NLB so that you can use the Application Center user interface to complete common administrative tasks, such as setting members online and offline.

If you previously configured NLB prior to creating a cluster in Application Center, you should reconfigure the settings through the wizard. Alternatively, if you select Keep existing settings in the wizard, Application Center will use your existing NLB settings and replicate them to members.

If you want to modify the settings applied by the New Cluster Wizard, you should do so before adding any members. By doing so, the members that you add acquire the proper settings. If you modify settings after adding members, you might disrupt the cluster.

For NLB to function properly on an Application Center cluster, each member must have a minimum of two network adapters: one that handles communication with clients and one that handles intracluster communication (between cluster members). Typically, some form of load balancing is implemented for the network adapter that handles communication with clients. This load-balanced adapter must have at least one static IP address that is used as the cluster IP address, or virtual IP address. If you have an NLB cluster with multiple cluster IP addresses, you can use the Application Center user interface to add and remove all but the primary IP address.

Application Center does not support single-host failover port rules in NLB. By default, NLB is configured in Unicast mode. To enable Multicast mode, you must configure NLB in Multicast mode manually before starting the New Cluster Wizard. Then, you should select Keep existing settings when the wizard detects your NLB installation. Or, you can create an NLB cluster in Unicast mode and after the cluster is created, but before adding members, enable Multicast in the NLB configuration dialog box for the appropriate network adapter. Then, you can begin adding members. In this manner, members that you add subsequently acquire the appropriate settings (including NLB configuration in Multicast mode).

In Unicast mode, NLB overwrites the network adapter's media access control (MAC) address with its own virtual media access control address by using the registry. Some network adapter drivers do not allow their media access control address to be overwritten in the registry. In this case, use a different network adapter (one that allows its media access control address to be overwritten in the registry) or use Multicast mode, which adds a virtual media access control address to the existing network adapter's media access control address.

Note Note Application Center does not synchronize the NLB remote control password, port, and NLB Remote Control Enabled property. You must set these values manually on each member.

NLB Background

NLB distributes incoming client requests for TCP and Universal Datagram Protocol (UDP) protocols, including HTTP, across multiple members. Unlike other load balancers, which require dedicated hardware, NLB is a software-based load balancer that resides on each member.

Periodically, each member transmits an NLB exchange message over the load-balanced adapters. This message is used to coordinate actions between each member. By default, the period of message exchange is 1 second. As the state of the cluster changes (for example, you add or remove members or set members offline or online), the message exchanges for NLB are disrupted. After a certain number of failed-message exchanges, NLB initiates a process to determine the current state of the cluster so that it can load balance the cluster properly. By default, NLB initiates this process after five failed-message exchanges. NLB automatically redistributes requests among the active, remaining members. This redistribution ensures that non-active members do not receive any requests, and requests are only processed by active members.

Each member in an NLB cluster receives all incoming requests. NLB uses a fully distributed algorithm to determine which member processes the request; all other members discard the request. This method of load balancing is more efficient than using traditional load balancing devices, because filtering unwanted requests is faster than routing them.

Client Affinity

NLB offers three types of client affinity to minimize response time to clients and provide generic support for preserving session state. Each affinity specifies a different method for distributing client requests. In Application Center, the New Cluster Wizard sets affinity to Single by default. Later, you can use the cluster Properties dialog box to modify the affinity. The following table describes the three types of affinity.

Affinity | Description
None | Multiple requests from the same client can access any member; useful for clusters that do not store session state information on individual members.
Single | Multiple requests from the same client must access the same member; useful for clusters within an intranet.
Class C | Multiple requests from the same TCP/IP Class C address range must access the same member; useful for clusters on the Internet.

No Affinity

With No affinity, NLB does not associate clients with a particular member. Every client request can be load balanced to any member. This affinity provides the best performance but might disrupt clients with established sessions, because subsequent requests might be load balanced to other members where the session information does not exist.

Single Affinity

In Single affinity, NLB associates clients with particular members by using the client's IP address. Thus, requests coming from the same client IP address always reach the same member. This affinity provides the best support for clients that use sessions on an intranet. These clients cannot use No affinity because their sessions could be disrupted. Additionally, these clients cannot use Class C affinity because intranet clients typically have IP addresses within a narrow range. It is likely that this range is so narrow that all clients on an intranet have the same Class C address, which means that one member might process all of the requests while other members remain idle.

Class C Affinity

With Class C affinity, NLB associates clients with particular members by using the Class C portion of the client's IP address. Thus, clients coming from the same Class C address range always access the same member. This affinity provides the best performance for clusters serving the Internet.

Note Note It is not efficient for Internet clients to use Single affinity because, in Single affinity, NLB load balances each client by the client's entire IP address, which can span a broad range. By using Class C affinity, NLB associates clients with only the same Class C portion of the IP address with particular members. Therefore, you essentially reduce the range of IP addresses by which NLB load balances clients.

Related Topics

  • For more information about NLB, see the NLB Help for the appropriate network adapter.
  • For more information about configuring communication for NLB, see Establish Communication in NLB Clusters.
  • For more information about NLB configuration in the New Cluster Wizard, see Cluster Creation Process.
  • For more information about specifying a different affinity, see Modify Affinity.


Using CLB

On one-tier clusters, Application Center can use NLB to distribute requests across a COM+ application cluster. On multi-tier clusters, Application Center can use CLB to load balance requests to activate COM+ applications. Because CLB load balances only the activation requests, this method is more efficient than NLB for a COM+ application cluster.

By creating a COM+ application cluster, you can simplify management of your server applications because your COM+ components are now isolated on a separate cluster. You can increase or decrease the size of your COM+ application cluster independently of your Web cluster, and vice versa. Security is also improved because you can place firewalls between your Web and COM+ application clusters (which requires you to open ports for DCOM). CLB does not support Microsoft Message Queue Server (MSMQ) nor queued components.

How CLB Works

Using CLB, each server in a Web cluster acts as a router for a COM+ application cluster. Each Web server maintains a routing list of the individual COM+ servers comprising a COM+ application cluster. CLB polls the COM+ servers on this routing list every 800 milliseconds to obtain their response time. CLB arranges the COM+ servers in an internal routing list by response time. Then, CLB uses a round-robin technique against this internal list to determine which COM+ server should create the COM object for the client. If CLB determines that a COM+ server is unavailable, it distributes creation requests among the other COM+ servers on the routing list.

When a client accesses a COM+ component by calling CoCreateInstance or CoGetClassObject, CLB checks to see if the component supports dynamic load balancing. If so, CLB forwards the request to a COM+ server on the routing list. If not, the COM+ object is created locally on the Web server. The COM+ server returns an object reference directly to the client. Subsequent requests for the created object are routed directly to the COM+ server.

To perform CLB, the Web cluster uses the CLB activator, COM+ load balancing service, and routing list. The COM+ application cluster uses the AC_Load Balancer COM+ application.

Implementing CLB

For CLB to function properly, you must complete the following steps:

  1. Add each COM+ server to the routing list on the controller for the Web cluster.
  2. Install the COM+ components that comprise a COM+ application on both the Web cluster and the COM+ application cluster.
  3. Use the Component Services snap-in to enable dynamic load balancing support for each COM+ component on the Web cluster.
  4. Restart the COM+ component load balancing service on the Web cluster.
  5. Disable support for dynamic load balancing on the COM+ server for each COM+ component.

Before deploying COM+ applications, enable or disable support for dynamic load balancing appropriately. For example, if you are deploying from a Web cluster to a COM+ application cluster, disable support for dynamic load balancing before performing the deployment. Otherwise, the COM+ application cluster attempts to load balance the applications instead of activating them because they have been marked as supporting dynamic load balancing. When enabling or disabling the support for dynamic load balancing of a COM+ component, you must restart the COM+ Component Load Balancing Service for the changes to take effect.

CLB with Different COM+ Components

CLB performs load balancing for COM+ application clusters in which each member in the cluster has the same COM+ components. To support a COM+ application cluster with different COM+ components, you can separate the COM+ application clusters and create COM+ routing clusters for each of the separate COM+ components you want to load balance.

For example, if you want to load balance two different COM+ applications, composed of components ABC and components XYZ, first create two separate COM+ application clusters, one for each set of components. If COM+ application cluster 1 contains components ABC, enable dynamic load balancing support for these components on the Web cluster. Then, add each member of COM+ application cluster 1 to the Web cluster routing list. This is the standard configuration for a two-tier cluster.

To load balance components XYZ in COM+ application cluster 2, create a COM+ routing cluster in which the routing list contains each member in COM+ application cluster 2. The routing cluster uses NLB to load balance the incoming requests and CLB to load balance the outgoing requests (requests to activate COM+ applications). The following illustration shows this configuration.

Related Topics

  • For more information about configuring a COM+ application cluster, see Create a COM+ Application Cluster.
  • For more information about routing lists, see Update the CLB Routing List.
  • For more information about CLB in two-tier and three-tier clusters, see Clustering Scenarios.


Using Other Load Balancers

To distribute incoming client requests, Application Center provides integration with NLB and also supports other load balancers. These third-party load balancing devices can be monitored and managed through Application Center to provide a complete cluster administration solution. With third-party load balancing integration, Application Center monitors cluster member status, sets members online and offline, and synchronizes content and configuration for all Web sites, including IP addresses bound to Web sites. To integrate these devices with Application Center, you must configure communication between the device and Application Center.

Because all members are synchronized with the cluster controller, you should ensure that all content and configuration exist on the controller before adding any members. Unpredictable behavior might result if content or configuration on members is different from the controller.

The Microsoft Application Center 2000 Resource Kit provides tools for third-party load balancing integration, including a Windows Management Instrumentation (WMI) provider that you can use to monitor your device. This provider allows your device to indicate member status, such as online and offline status or if a member encounters errors. With this provider, you can view member status from the Application Center user interface rather than from the device. This capability allows you to view all aspects of the cluster from within Application Center; you do not need to view some aspects (such as synchronization status) from Application Center, and other aspects (such as member status) from your load balancing device.

You can use .mof files to define your device's configuration, allowing Application Center to recognize and use your device. To perform administrative tasks on the device, such as setting members online and offline, you can use the command line tool for third-party load balancing.

Using Microsoft Health Monitor 2.1, the WMI provider and command-line tool for third-party load balancing, you can automate cluster administration of non-NLB clusters through Application Center. You can write scripts and batch files so that when certain events occur (such as when a member encounters errors or goes offline), you can take action on the member (such as restarting it) without disrupting the cluster.

Handling Member-specific Settings

Using IIS, you can host multiple Web sites on a single cluster by assigning each Web site a different port number, IP address, or host header name. When using other load balancers, this type of configuration is problematic because each Web site typicallly is distinguished by different IP addresses on each member. Because Application Center synchronizes all content and configuration from the controller, some members might never respond to clients because their member-specific settings were overwritten by the controller. To ensure proper functionality, you must add all settings for all Web sites on each member to the controller.

For example, a cluster comprising three members might host two different Web sites: Web site A and Web site B. Each Web site is distinguished by a different IP address for each site on each member. The following table shows an example of IP addresses for each site on each member.

Server | Web site A | Web site B
Controller | 1.1.1.1 | 2.2.2.1
Member A | 1.1.1.2 | 2.2.2.2
Member B | 1.1.1.3 | 2.2.2.3

After Application Center synchronizes this cluster, the settings on Members A and B would be overwritten by those of the controller. Consequently, client requests would always reach the controller because the IP addresses of Members A and B are not bound to Web sites A and B on the controller. The following table shows the IP address bindings after synchronization.

Server | Web site A | Web site B
Controller | 1.1.1.1 | 2.2.2.1
Member A | 1.1.1.1 | 2.2.2.1
Member B | 1.1.1.1 | 2.2.2.1

Client requests for Web site A would always reach 1.1.1.1 (controller) and would never reach 1.1.1.2 (Member A) or 1.1.1.3 (Member B). Likewise, client requests for Web site B would always reach 2.2.2.1 (controller) and would never reach 2.2.2.2 (Member A) or 2.2.2.3 (Member B). For Members A and B to respond, you must bind their IP addresses to Web sites A and B on the controller. The following table shows this configuration.

Server | Web site A | Web site B
Controller | 1.1.1.1, 1.1.1.2, 1.1.1.3 | 2.2.2.1, 2.2.2.2, 2.2.2.3
Member A | 1.1.1.2 | 2.2.2.2
Member B | 1.1.1.3 | 2.2.2.3

After synchronization, all settings for all Web sites exist on every member. So client requests for Web site A could reach any member, since Web site A corresponds with 1.1.1.1 on the controller, 1.1.1.2 on Member A, and 1.1.1.3 on Member B. The following table shows the IP address bindings on each member after synchronization.

Server | Web site A | Web site B
Controller | 1.1.1.1, 1.1.1.2, 1.1.1.3 | 2.2.2.1, 2.2.2.2, 2.2.2.3
Member A | 1.1.1.1, 1.1.1.2, 1.1.1.3 | 2.2.2.1, 2.2.2.2, 2.2.2.3
Member B | 1.1.1.1, 1.1.1.2, 1.1.1.3 | 2.2.2.1, 2.2.2.2, 2.2.2.3

While Member A might acquire IP address bindings from other members that do not actually exist on Member A, these unused IP address bindings will not impact performance. Adding these additional IP address bindings to Web sites in IIS will not result in any performance degradation because IIS only detects IP addresses that are bound to network adapters.

If you decided to add a fourth member (Member C) to the cluster where Web site A has an IP address binding of 1.1.1.4 and Web site B has a binding of 2.2.2.4, you would need to add these IP address bindings to the controller before adding the member. As the member is added to the cluster, Application Center synchronizes the appropriate IP address bindings. The following table shows these bindings for this four-member cluster.

Server | Web site A | Web site B
Controller | 1.1.1.1, 1.1.1.2, 1.1.1.3, 1.1.1.4 | 2.2.2.1, 2.2.2.2, 2.2.2.3, 2.2.2.4
Member A | 1.1.1.1, 1.1.1.2, 1.1.1.3, 1.1.1.4 | 2.2.2.1, 2.2.2.2, 2.2.2.3, 2.2.2.4
Member B | 1.1.1.1, 1.1.1.2, 1.1.1.3, 1.1.1.4 | 2.2.2.1, 2.2.2.2, 2.2.2.3, 2.2.2.4
Member C | 1.1.1.1, 1.1.1.2, 1.1.1.3, 1.1.1.4 | 2.2.2.1, 2.2.2.2, 2.2.2.3, 2.2.2.4

Do not add these additional IP addresses to any network adapters on the controller or members. Use Internet Services Manager to bind IP addresses to Web sites. Adding these IP addresses from other servers to any network adapter on the controller can result in IP address conflicts on your network.

Related Topics

  • For more information about supporting third-party load balancing devices, see the Microsoft Application Center 2000 Resource Kit.
  • For more information about adding and removing IP address bindings, see Add and Remove IP Address Bindings.
  • For more information about configuring cluster communication in non-NLB clusters, Establish Communication in Non-NLB Clusters.


Handling Requests in Load-Balanced Environments

In load-balanced environments, all client requests are subject to load balancing. Load balancing presents some unique challenges, because all requests sent to a cluster might not benefit from load balancing. For example, requests to deploy applications must be processed by the controller. Otherwise, application deployment on members will be overwritten by synchronization. Clients who have established session state must also have their requests processed by particular members. Otherwise, clients can experience disruption in their sessions if their requests are load balanced to a member on which the session information does not exist.

To forward HTTP requests to particular members in load-balanced environments, Application Center provides the request forwarder. The request forwarder ensures that the following types of requests are forwarded to the controller:

  • Internet Information Services 5.0 (IIS) administration requests.
  • Microsoft FrontPage® publishing.
  • Web Distributed Authoring and Versioning (WebDAV) publishing.
  • Web-based administration requests.

Maintaining Session State

The request forwarder provides generic support for maintaining session state by using cookies to associate clients with particular members. Subsequent requests containing the cookie are forwarded to the appropriate member.

For example, if a client creates a session on member A, subsequent requests might be load balanced to member B. Because member B might not have the appropriate session information (thus disrupting the session), the request forwarder sends subsequent requests to member A by using information supplied in a cookie.

By default, request forwarding is enabled for only sites that use Active Server Pages (ASP) session state. These sites have session state enabled as an option under Application Configuration in IIS. The alternative is to enable request forwarding for all Web sites.

Request forwarding might slightly impact performance because the request forwarder processes requests after they have been load balanced; it does not eliminate load balancing for any requests.

Generally, the best performance is achieved by eliminating the Web cluster from having any involvement with session state. For example, you can keep session information in a Microsoft SQL Server™ database while state is maintained in a client's cookie. Since the Web cluster does not manage session state, you can disable or remove the request forwarder.

You may also want to disable or remove the request forwarder to optimize Web clusters that do not use ASP session state.

Optimizing Performance

Request forwarding imposes minimal overhead as it forwards requests. To minimize performance degradation, you can disable request forwarding for certain file types. To bypass request forwarding for a certain file type, see Exclude Specific File Types from Request Forwarding.

Request Forwarder Implementation

The request forwarder exists as an ISAPI filter and extension. If other ISAPI filters are unaware of request forwarding and require the services provided by the request forwarder, install these filters after installing the request forwarder filter. You can install ISAPI filters that do not require request forwarding before installing the request forwarder filter. With ASP sessions that don't use cookies, the cookie handler must be installed before the request forwarder filter.

By default, the request forwarder limits the number of concurrent requests that can be forwarded to 50. You can change this value in the metabase as described in Knowledge Base (KB) article Q281439. To function properly, the request forwarder should exist on all members or on no members. Unpredictable behavior can result if you install the request forwarder on some members and not on other members.

As a cluster receives client requests, the request forwarder considers the URL, virtual directory, file name, and file type of each request. From this information, the request forwarder determines whether to forward the request:

  • If the request is for a static file, it will not be forwarded.

    You can use the cluster Properties dialog box to specify which file types are static and do not need to be forwarded.

  • If the request is for a dynamic file, the request forwarder checks the request for a cookie.

    If it finds a valid cookie, the request forwarder detects the status of the target. If the target is online and alive, the request is forwarded. If the target is offline or inactive, the request is processed locally and the request forwarder removes the session identifier from the cookie.

    If the request forwarder cannot find a cookie in the request or the cookie is invalid, the request forwarder creates a cookie that identifies the current server.

  • If the request is a FrontPage or WebDAV publishing request, it is forwarded to the controller.

Note Note The request forwarder supports only one Secure Sockets Layer (SSL) site per IP address because it uses host headers to determine the destination member for forwarding (and these headers are encrypted in HTTP requests). For more details, see KB article Q262780.

Related Topics

  • For more information about using the request forwarder, see Configure the Request Forwarder.
  • For more information about NLB and setting affinity, see Using NLB.


Managing a Cluster

This section contains information about managing your cluster after you have created it. This includes information about performing Network Load Balancing (NLB) cluster administration, configuring Component Load Balancing (CLB), and performing remote administration. This section also provides conceptual information about managing a cluster.

This section includes:

  • How To...
  • Concepts


How To...

This section includes:

  • Perform Local Administration
  • Configure CLB
  • Perform Remote Administration
  • Configure the Request Forwarder


Perform Local Administration

This section provides procedures for performing basic administrative tasks on Microsoft Application Center 2000 (Application Center) clusters.

This section includes:

  • Add and Remove Members
  • Add and Remove Cluster IP Addresses
  • Add and Remove IP Address Bindings
  • Set a Dedicated IP Address
  • Set a Member Online or Offline
  • Adjust Server Weight
  • Modify Affinity
  • Restart a Member
  • Restart IIS
  • Select Another Controller
  • Disband a Cluster

This section does not include information on:

  • Configuring Component Load Balancing (CLB); see Configure CLB.
  • Performing remote administration; see Perform Remote Administration.
  • Configuring the request forwarder; see Configure the Request Forwarder.


Add and Remove Members

You can add and remove cluster members to accomodate fluctuations in client workload. For example, if demand for resources in cluster A increases, you can add additional members to support this increased demand. As demand decreases, you can remove members and add them to other clusters as needed.

You cannot remove a cluster controller. To remove a controller, you must promote another member to controller before you can remove the original controller. If the controller is the last member of a cluster, you will disband the cluster.

To add a member

  1. In the Application Center snap-in, right-click the cluster to which to add the member.
  2. On the pop-up menu, point to All Tasks, and then click Add Cluster Member.

    Note Note When adding members, you must supply log-on credentials that have administrative privileges on both the controller and the member.

    The Add Cluster Member Wizard appears. For information about using this wizard, click More Info as you proceed through the wizard.

To remove a member

  1. In the Application Center snap-in, right-click the member to remove.
  2. On the pop-up menu, point to All Tasks, and then click Remove Cluster Member.

    Notes Notes

      Note Note Content on the member is not deleted when you remove the member from the cluster.

      Note Note When removing members, you must supply log-on credentials that have administrative privileges on both the controller and the member.

      Note Note If you receive errors about settings that could not be removed on the member, on the member, at the command prompt, type

      ac cluster /clean

Related Topics

  • For more information about managing members, see Cluster Management Fundamentals.
  • For more information about using the command line to add or remove members programmatically, see CLUSTER Command.


Add and Remove Cluster IP Addresses

For clusters that are using NLB, you can add and remove cluster IP addresses, or virtual IP addresses (VIPs), by using the Application Center user interface. For NLB clusters, Application Center does not support modification of the cluster's primary IP address, which is the first IP address listed.

For clusters that are not using NLB, you cannot configure IP addresses for the cluster through the Application Center user interface. Most likely, you will need to add and remove IP addresses directly on the load balancing device.

To modify the cluster's primary IP address, remove all members, and then modify the primary IP address in the NLB Properties dialog box. Then, add each member back to the cluster. As you add members, they acquire the new primary IP address from the controller.

To add a cluster IP address

  1. In the Application Center snap-in, click the cluster on which to add the IP address.
  2. In the details pane, click Edit IP Addresses.

    If this option does not appear or appears dimmed, Application Center did not detect NLB on the cluster.

  3. In the Cluster IP Address Editor dialog box, click Add.
  4. In the Add New IP Address dialog box, enter the IP address to add to the cluster, and then click OK.
  5. Click Close to return to the previous view or click Add to add another IP address.

To remove a cluster IP address

  1. In the Application Center snap-in, click the cluster on which to remove the IP address.
  2. In the details pane, click Edit IP Addresses.

    If this option does not appear or appears dimmed, Application Center did not detect NLB on the cluster.

  3. In the Cluster IP Address Editor dialog box, select the IP address to remove from the cluster, and then click Remove.
  4. Click OK to confirm removal of the selected IP address.
  5. Click Close to return to the previous view or select another IP address to remove.

Related Topics

  • For more information about configuring IP addresses for NLB, see the NLB Help.
  • For more information about assigning IP addresses, see the IIS Help.


Add and Remove IP Address Bindings

This procedure describes how to add and remove IP address bindings for Web sites in IIS. You can use IP address bindings, TCP ports, and host header names to host multiple Web sites on a single member or cluster. Because all members are synchronized with the controller, you should add all Web site information from all members to the controller. Unpredictable behavior might result if IP bindings are not consistent across all cluster members.

To host multiple Web sites in NLB clusters, add the cluster IP address (or VIP) to the load-balanced network adapter on the controller.

In typical non-NLB clusters, you must bind all member-specific Web site settings (such as IP address) to the respective Web sites on the controller.

To add an IP address binding

  1. In the IIS snap-in, right-click the Web site on which to add an IP address binding, and then on the pop-up menu, click Properties.

    The Web_site Properties dialog box appears.

  2. Click the Web Site tab.
  3. Under Web Site Identification, click Advanced.

    The Advanced Multiple Web Site Configuration dialog box appears.

  4. Under Multiple identities for this Web Site, click Add.
  5. In the Advanced Web Site Identification dialog box, enter the appropriate values for IP Address, TCP Port, and Host Header Name, and then click OK.
  6. Click OK twice to return to the IIS snap-in.

To remove an IP address that is bound to a Web site

  1. In the IIS snap-in, right-click the Web site from which to remove an IP address binding, and then on the pop-up menu, click Properties.

    The Web_site Properties dialog box appears.

  2. Click the Web Site tab.
  3. Under Web Site Identification, click Advanced.

    The Advanced Multiple Web Site Configuration dialog box appears.

  4. Under Multiple identities for this Web site, select the IP address to remove, and then click Remove.
  5. Click OK to confirm the removal of the IP address.
  6. Click OK twice to return to the IIS snap-in.

Related Topics

  • For more information about hosting multiple Web sites on a non-NLB cluster, see Using Other Load Balancers.
  • For more information about assigning IP addresses when creating non-NLB clusters, see Establish Communication in Non-NLB Clusters.
  • For more information about using multiple IP addresses to host multiple Web sites, see About Name Resolution in the IIS Help.


Set a Dedicated IP Address

This procedure describes how to set a dedicated IP address for cluster members.

To set a dedicated IP address

  1. In the Application Center snap-in, right-click the member on which to set the dedicated IP address, and then click Properties.

    The member_name Properties dialog box appears.

  2. Under Load balancing options, in the Dedicated IP address box, enter the dedicated IP address, and then click OK.

Related Topics

  • For more information about using Application Center to configure IP addresses, see Configure Cluster Communication.
  • For more information about assigning IP addresses, see the IIS Help.


Set a Member Online or Offline

Use this procedure to set a member offline or to bring a member online. A member that is offline is no longer receiving new requests for content, but it might still be synchronized with the controller. When setting members offline, you can specify a period of time for the server to drain existing client connections. This option helps prevent disruptions in client connections because it allows these connections to complete before the member is taken offline.

To set a member offline

  1. In the Application Center snap-in, right-click the member to set offline.
  2. On the pop-up menu, click Set Offline.

    The Set Offline dialog box appears.

  3. To set a member offline immediately, click Take offline now.
  4. To specify a period of time for the member to drain existing connections, click Drain current connections for, and then enter the time to drain the member's current connections.
  5. Click OK.

To set a member online

  1. In the Application Center snap-in, right-click the member to set online.
  2. On the pop-up menu, click Set Online.

Related Topics

  • For more information about managing a cluster, see Cluster Management Fundamentals.
  • For more information about using the command line to set members online or offline, see LOADBALANCE Command.
  • For more information about monitors that can take a member offline, see Thresholds and Actions.


Adjust Server Weight

This procedure describes how to adjust server weight in NLB. By adjusting server weight, you can specify how much workload a member will handle in relation to other members.

To adjust server weight

  1. In the Application Center snap-in, right-click the member on which to adjust server weight, and then on the pop-up menu, click Properties.

    The member_name Properties dialog box appears.

  2. Under Select request load, relative to other cluster members, move the slider to the right to increase or to the left to decrease the workload for the member, relative to other members.

Related Topics

  • For more information about using NLB in Application Center, see Using NLB.
  • For more information about adjusting server weight by using the command line, see LOADBALANCE Command.
  • For more information about NLB, see the NLB Help for the appropriate network adapter.


Modify Affinity

This procedure describes how to modify affinity for NLB clusters.

To modify affinity

  1. In the Application Center snap-in, right-click the cluster on which to modify affinity, and then on the pop-up menu, click Properties.
  2. Click the General tab.
  3. Under Load balancing, in the NLB client affinity box, click the appropriate affinity setting, and then click OK.

Related Topics

  • For more information about affinity and NLB in Application Center, see Using NLB.
  • For more information about NLB, see the NLB Help for the appropriate network adapter.


Restart a Member

This procedure describes how to restart a member.

To restart a member

  1. In the Application Center snap-in, right-click the member to restart.
  2. On the pop-up menu, point to All Tasks, and then click Restart Cluster Member.
  3. Click OK to confirm restart of the member.

    Application Center restarts the member immediately.

Caution Caution When you restart a member, client requests are not drained and all existing connections are terminated. Users will not be able to connect to the member while it is restarting. Before restarting a member, set it offline and drain existing connections.

Related Topics

  • For more information about setting servers offline and draining existing connections, see Set a Member Online or Offline.
  • For more information about managing a cluster, see Cluster Management Fundamentals.


Restart IIS

The following procedure describes how to restart IIS on a member. You can also restart IIS from the command line, the IIS snap-in, or Services.

To restart IIS

  1. In the Application Center snap-in, right-click the member on which to restart IIS.
  2. On the pop-up menu, point to All Tasks, and then click Restart IIS.
  3. Click OK to confirm restart of IIS.

    Application Center restarts IIS immediately.

Caution Caution Restarting IIS terminates all existing connections. Users will not be able to use the member to access any Web sites while IIS is restarting.

Related Topics

  • For more information about promoting a member to controller, see Select Another Controller.
  • For more information about restarting IIS and starting, stopping, or pausing Web sites, see the IIS Help.


Select Another Controller

The following procedure describes how to promote a member to cluster controller. Before performing this procedure, synchronize the new controller with the old controller.

To select another controller

  1. In the Application Center snap-in, right-click the member to promote to controller.
  2. On the pop-up menu, point to All Tasks, and then click Designate as Controller.

Caution Caution The new controller becomes the source of all synchronized content and configuration for the cluster. If the previous controller is left in the synchronization cycle, its content are overwritten by the new controller.

Related Topics

  • For more information about managing a cluster, see Cluster Management Fundamentals.
  • For more information about using the command line to promote a member to controller, see CLUSTER Command.


Disband a Cluster

The following procedure describes how to disband a cluster. Disbanding a cluster involves removing each member, and then removing the controller. Before removing each member, you should set the member offline and drain existing connections.

To disband a cluster

  1. In the Application Center snap-in, right-click a member.
  2. On the pop-up menu, point to All Tasks, and then click Remove Server from Cluster.
  3. Repeat steps one and two for each member (except the controller).
  4. When you have removed all members from the cluster, right-click the controller.
  5. On the pop-up menu, point to All Tasks, and then click Disband Cluster.
  6. Click OK to confirm disbanding of the cluster.

Note Note When a cluster is disbanded, the applications and other content are still intact on the controller. Only Application Center features are stopped.

Related Topics

  • For more information about managing a cluster, see Cluster Management Fundamentals.
  • For more information about removing members, see Add and Remove Members.


Configure CLB

This section contains information about configuring a cluster to perform Component Load Balancing (CLB). CLB can function on Web or COM+ routing clusters to remotely activate requests for COM+ components. You must configure CLB on the Web or COM+ routing clusters rather than the COM+ application cluster.

This section includes:

  • Enable Dynamic Load Balancing Support
  • Update the CLB Routing List


Enable Dynamic Load Balancing Support

This procedure describes how to enable a COM+ component to support dynamic load balancing for CLB. While the component must be installed on both the Web or COM+ routing cluster and the COM+ application cluster, you must only enable dynamic load balancing support for the component on the Web or COM+ routing cluster. You must disable dynamic load balancing support for the component on the COM+ application cluster.

To enable support for dynamic load balancing

  1. In the Component Services snap-in, right-click the component on which to enable support for dynamic load balancing, and then click Properties.

    The component Properties dialog box appears.

  2. Click the Activation tab.
  3. Select the Component supports dynamic load balancing check box, and then click OK.
  4. Restart the COM+ Component Load Balancing Service.

Related Topics

  • For more information about CLB, see Using CLB.
  • For more information about Component Services, see the Component Services Help.


Update the CLB Routing List

You can designate which COM+ servers participate in CLB by updating the routing list. Application Center uses CLB to distribute activation requests for COM+ components across a COM+ application cluster. The routing list exists on the cluster performing CLB, either a COM+ routing cluster or Web cluster, not the COM+ application cluster. Each of the members in the COM+ application cluster must be listed on this routing list. Additionally, each component that is load balanced must also be configured to support dynamic load balancing.

To add a COM+ server

  1. In the Application Center snap-in, right-click the routing cluster that performs CLB, and then on the pop-up menu, click Properties.
  2. In the Cluster Properties dialog box, click the Component Services tab.
  3. Click Add.
  4. In the Name box, type the name of the COM+ server, and then click OK.

    This name must be a valid NetBios name, DNS name, or IP address.

To remove a COM+ server

  1. In the Application Center snap-in, right-click the routing cluster that performs CLB, and then click Properties.
  2. In the Cluster Properties dialog box, click the Component Services tab.
  3. Click the COM+ server to remove from CLB, and then click Remove.

Related Topics

  • For more information about enabling support for dynamic load balancing, see Enable Dynamic Load Balancing Support.
  • For more information about CLB, see Using CLB.
  • For more information about using the command line to update the routing list, see CLB Command.


Perform Remote Administration

This section provides procedures for remote administration of Microsoft Application Center 2000 (Application Center) clusters.

This section includes:

  • Install and Start the Administrative Client
  • Use a Browser
  • Use Terminal Services

Related Topics

  • For more information about remote cluster administration, see Remote Administration.


Install and Start the Administrative Client

The following procedures describe how to install and start the Application Center Administrative client.

To install the Administrative client

  1. Start Application Center Setup.
  2. In the Setup Type dialog box, click Custom.
  3. In the Custom Setup dialog box, click Client.

    The Administrative client supports all administrative functionality in the same manner as the Server version of Application Center; however, computers running the client cannot be cluster members.

To start the administrative client

  1. Start the Administrative client.
  2. In the Application Center snap-in, right-click Application Center, and then click Connect.

    The Connect to Server dialog box appears.

  3. In the Server name box, type the name of a member or controller of the cluster to manage, and then click OK.

    This name must be a valid NetBIOS name, DNS name, or IP address.

Related Topics

  • For more information about the Administrative client, see Administrative Client.
  • For more information about the Administrative client installation requirements, see Installation Requirements.


Use a Browser

This procedure describes how to perform remote administration of an Application Center cluster by using Microsoft Internet Explorer version 5.0 or later.

To use a browser

  1. Start Internet Explorer.
  2. In the Address box, type

    http://server_name (or cluster_name):4242

    By default, the Application Center administrative site uses port 4242. The following procedure describes how to configure the port that is used for the Application Center Administrative site.

To configure the port that is used for the Application Center Administrative site

  1. In the Application Center snap-in, expand Internet Information Services.
  2. Expand the cluster on which to configure the port for the Application Center administrative site.
  3. Under the expanded cluster, right-click Application Center 2000 Administrative Site, and then on the pop-up menu, click Properties.
  4. In the Application Center 2000 Administrative Site Properties dialog box, click the Web Site tab.
  5. In the Web Site Identification box, change the value for TCP Port to the port to use for Application Center administration, and then click OK.

Related Topics

  • For more information about using a browser to manage a cluster, see Web-based Administrative Client.


Use Terminal Services

This procedure describes how to use Terminal Services to perform remote administration of an Application Center cluster.

To use Terminal Services

  1. Install Terminal server on the controller.

    Note Note Be sure to configure Terminal server in Remote administration mode.

  2. On a client, install, and then run Terminal Services Client.
  3. In Terminal Services Client, establish a connection to the controller, and then run Application Center.

Related Topics

  • For more information about using Terminal Services and Application Center, see Terminal Services.
  • For more information about using Terminal Services, see the Windows 2000 Help.


Configure the Request Forwarder

This section provides procedurs for configuring the request forwarder. The request forwarder allows specific requests to be forwarded to the cluster controller in load-balanced environments. The request forwarder also forwards misrouted requests for session-state enabled applications. The request forwarder is implemented as an ISAPI filter and extension.

This section includes:

  • Enable / Disable the Request Forwarder for Web Sites
  • Enable / Disable the Request Forwarder for Publishing Requests
  • Add and Remove the Request Forwarder
  • Exclude Specific File Types from Request Forwarding

Related Topics

  • For more information about the request forwarder, see Handling Requests in Load-Balanced Environments.


Enable / Disable the Request Forwarder for Web Sites

The following procedures describe how to enable and disable the request forwarder for Web sites. You can enable Web request forwarding to ensure that client requests are forwarded to appropriate members in a cluster.

When Web request forwarding is enabled, you can choose to enable request forwarding for Web sites using ASP session state only, or for all Web sites. By default, when you enable Web request forwarding, request forwarding is enabled for Web sites using ASP session state only.

To enable the request forwarder

  1. In the Application Center snap-in, right-click the cluster on which to enable the request forwarder, and then on the pop-up menu, click Properties.
  2. In the cluster_name Properties dialog box, click the Request Forwarding tab.
  3. Select the Enable Web request forwarding check box.
  4. Click OK.

To disable the request forwarder

  1. In the Application Center snap-in, right-click the cluster on which to disable the request forwarder, and then on the pop-up menu, click Properties.
  2. In the cluster_name Properties dialog box, click the Request Forwarding tab.
  3. Clear the Enable Web request forwarding check box.
  4. Click OK.

Related Topics

  • For more information about the request forwarder, see Handling Requests in Load-Balanced Environments.


Enable / Disable the Request Forwarder for Publishing Requests

The following procedures describe how to enable and disable the request forwarder for publishing requests. Publishing requests must be sent to the controller because content published on members are overwritten during synchronization. You can enable the request forwarder for publishing requests to ensure that requests to publish content are sent to the controller.

Application Center supports forwarding for the following types of publishing requests:

  • Web Distributed Authoring and Versioning (WebDAV) requests
  • Microsoft FrontPage® publishing requests

To enable the request forwarder for publishing

  1. In the Application Center snap-in, right-click the cluster on which to enable the request forwarder for publishing, and then on the pop-up menu, click Properties.
  2. In the cluster_name Properties dialog box, click the Request Forwarding tab.
  3. Under Publishing request forwarding, select the appropriate check boxes.
  4. Click OK.

To disable the request forwarder for publishing

  1. In the Application Center snap-in, right-click the cluster on which to disable the request forwarder for publishing, and then on the pop-up menu, click Properties.
  2. In the cluster_name Properties dialog box, click the Request Forwarding tab.
  3. Under Publishing request forwarding, clear the appropriate check boxes.
  4. Click OK.

Related Topics

  • For more information about the request forwarder, see Handling Requests in Load-Balanced Environments.


Add and Remove the Request Forwarder

The request forwarder is installed by default and consists of two parts: an ISAPI filter and an ISAPI extension. To function properly, the reqest forwarder should exist on all or none of the cluster members. You cannot have the request forwarder installed on some members and not others. To ensure consistency across the cluster, complete the following procedures on the cluster controller. Members acquire the appropriate request forwarding settings when the cluster is synchronized.

The following procedures describe how to add and remove the ISAPI filter and extension for the request forwarder.

To remove the ISAPI filter for the request forwarder

  1. In the IIS snap-in, right-click the cluster controller from which to remove the request forwarder, and then on the pop-up menu, click Properties.

    The controller_name Properties dialog box appears.

  2. Under Master Properties, click WWW Service, and then click Edit.

    The WWW Service Master Properties dialog box appears.

  3. Click the ISAPI Filters tab.
  4. Click RfFiltExt, and then click Remove.
  5. Click Apply.
  6. Click OK twice to return to the IIS snap-in.
  7. Restart IIS.

To remove the ISAPI extension for the request forwarder

  1. In the IIS snap-in, right-click the cluster controller from which to remove the request forwarder, and then click Properties.

    The controller_name Properties dialog box appears.

  2. Under Master Properties, click WWW Service, and then click Edit.

    The WWW Service Master Properties dialog box appears.

  3. Click the Home Directory tab.
  4. Under Application Settings, click Configuration.
  5. Click the App Mappings tab, from the Application Mappings list, click .rqfw, and then click Remove.

    The Applications/Script Mappings dialog box appears.

  6. Click Yes to confirm removal of .rqfw, and then click Apply.
  7. Click OK three times to return to the IIS snap-in.

To reload the ISAPI filter for the request forwarder

  1. In the IIS snap-in, right-click the cluster controller on which to reload the request forwarder, and then on the pop-up menu, click Properties.

    The cluster_name Properties dialog box appears.

  2. Under Master Properties, click WWW Service, and then click Edit.

    The WWW Service Master Properties dialog box appears.

  3. Click the ISAPI Filters tab, and then click Add.
  4. In the Filter Name box, enter RfFiltExt.
  5. In the Executable box, enter the location of the file name for the request forwarder executable or click Browse to locate the file.

    The default location for the executable file is %root%\Program Files\Microsoft Application Center\RfFilExt.dll.

  6. Click OK, and then click Apply.
  7. Click OK twice to return to the IIS snap-in.
  8. Restart IIS.

To reload the ISAPI extension for the request forwarder

  1. In the IIS snap-in, right-click the cluster controller on which to reload the request forwarder, and then on the pop-up menu, click Properties.

    The controller_name Properties dialog box appears.

  2. Under Master Properties, click WWW Service, and then click Edit.

    The WWW Service Master Properties dialog box appears.

  3. Click the Home Directory tab.
  4. Under Application Settings, click Configuration, and then click Add.
  5. In the Add/Edit Application Extension Mapping dialog box, in the Executable box, enter %root%/Program Files/Microsoft Application Center/RfFilExt.dll
  6. In the Extension box, enter .rqfw, and then click OK.
  7. Click Apply.
  8. Click OK three times to return to the IIS snap-in.

Related Topics

  • For more information about limiting the types of files that are forwarded, see Exclude Specific File Types from Request Forwarding.
  • For more information about the request forwarder, see Handling Requests in Load-Balanced Environments.


Exclude Specific File Types from Request Forwarding

You can optimize the performance of the request forwarder by limiting the types of files that are forwarded. Use the following procedure to specify which file types are not forwarded. For best results, keep the list of file types short and use one common extension for static files. For example, .htm instead of .htm and .html or .jpg instead of .jpg and .jpeg.

To exclude file types from request forwarding

  1. In the Application Center snap-in, right-click the cluster for which to modify the request forwarder settings.
  2. On the pop-up menu, click Properties.

    The cluster_name Properties dialog box appears.

  3. Click the Request Forwarding tab.
  4. In the To optimize performance, never forward the following content types box, enter the file extensions to exclude.

    Requests for the specified file types are not forwarded by the request forwarder.

  5. Click OK.

Related Topics

  • For more information about request forwarding, see Handling Requests in Load-Balanced Environments.


Concepts

This section includes:

  • Cluster Management Fundamentals
  • Remote Administration


Cluster Management Fundamentals

Once you have created a cluster and all cluster members are serving content properly, the cluster can operate without any supervision. In some cases, however, you might need to take members offline for maintenance or content deployment. In such cases, you can remove a member from load balancing without removing it from a cluster. In other cases, you might want to remove members from one cluster and add them to another cluster to counterbalance any fluctuations in cluster workload.

For example, if client workload on cluster A decreases while client workload on cluster B increases, you can use existing resources by removing members from cluster A and adding them to cluster B to support cluster B's increased workload.

Managing a cluster in Microsoft Application Center 2000 (Application Center) primarily involves monitoring the cluster to ensure maximum performance and availability. Some tasks associated with managing a cluster include adding and removing members, setting members online and offline, restarting services on members, and deploying content.

Adding Members

Once you have completed the New Cluster Wizard and established a cluster of one, you can add members individually by using the Add Cluster Member Wizard or from the command line. Launch this wizard from the cluster or from the server to add. By default, the first server on which you create the cluster is the cluster controller. Subsequently added members are synchronized with this controller. You can promote a different member to cluster controller at any time.

Note Note To use the Add Cluster Member Wizard, you must be logged on with an account that has administrative privileges on both the server to add and the cluster controller.

You must install Application Center on each member. When you add a member to a cluster, the following settings and configuration are overwritten by the controller:

  • Any network settings for Network Load Balancing (NLB).
  • Web sites, virtual directories, and Active Server Pages (ASP) applications.
  • COM+ applications.
  • Virtual sites (and their associated ISAPI filters).
  • Global ISAPI filters.
  • File system directories and files.
  • Exportable CAPI certificates.
  • DSNs.
  • Application Center monitors.
  • Registry keys.
  • Metabase (Internet Information Services 5.0 [IIS] configuration) settings.
Added members must have the same file system structure as the controller. For example, all members of a cluster should have an NTFS file system with the same location for the system root, default Web site, and Program Files directories.

For NLB clusters, Application Center configures the NLB settings of added members to be the same as the controller. If an added member has a static dedicated IP address, Application Center retains this address. All other IP addresses on the load-balanced adapter of the added member are overwritten by cluster IP addresses on the controller.

Deploying Content

When deploying content, deploy content to the controller only. Otherwise, this deployed content is overwritten on the next scheduled synchronization. Once you deploy content to a member, you can set this member online and promote it to cluster controller. In this manner, all members receive the deployed content when the members are synchronized with the controller.

Because deploying COM+ applications and global ISAPI filters requires the Web service to restart, Application Center does not automatically synchronize these files. To synchronize these files across a cluster, create deployments and include these files in the deployment. You can create deployments by using the New Deployment Wizard.

Monitoring Members

Application Center provides monitoring capabilities so that you can view the health, performance, and availability of clusters. By using monitoring data, you can predefine error conditions to receive alert notifications when certain thresholds are met. For example, you can configure a monitor to receive notification when a member has less than five percent of memory available.

With scripting, you can use monitoring to automate administrative tasks. In the previous example, you can run a batch or executable file when the threshold is met (the cluster member has less than five percent of memory available). This file can take action on the member, such as restarting the member, restarting specific services on the member, or setting the member offline.

Modifying Settings for NLB

During normal cluster operation, you might want to adjust certain NLB settings. For example, you can increase server weight on member A if you notice that member A has more resources available than other members. Or, you might need to add more cluster IP addresses because you have added more Web sites to the cluster. When modifying any NLB settings, first set the member offline. After making the change, set the member online.

Related Topics

  • For more information about monitoring the status of Application Center clusters, see Application Center Monitors.
  • For more information about using the command line to automate administrative tasks, see Command-Line Administration.
  • For more information about synchronizing and deploying content, see Synchronizing and Deploying Applications.


Remote Administration

With Microsoft Application Center 2000 (Application Center), you can manage clusters from any location that has access to your cluster. This section describes the various ways for managing an Application Center cluster remotely.

This section includes:

  • Administrative Client
  • Web-based Administrative Client
  • Terminal Services


Administrative Client

You can use the Administrative client for remote management of Application Center clusters. Computers running the Application Center client cannot be a member of any cluster. The Administrative client has the same functionality as the full server version, except that it cannot participate in cluster membership. Therefore, you cannot create a new cluster nor join an existing cluster with the computer running the Administrative client. However, you can use the Administrative client to:

  • Add and remove cluster members.
  • Set members online and offline.
  • Deploy content.
  • View cluster status.
  • Add and remove performance counters.

Related Topics

  • For more information about the Adminstrative client installation requirements, see Installation Requirements.
  • For more information about using the Administrative client, see Install and Start the Administrative Client.


Web-based Administrative Client

You can use Microsoft Internet Explorer version 5.0 or later to perform remote Web-based administration of Application Center clusters. With the Web-based Administrative client, you can perform the following administrative tasks:

  • View performance, availability, and synchronization status for clusters or individual members.
  • View the event log for a cluster or individual members.
  • View, enable, and disable monitors for individual members.
The user interface for the Web-based Administrative client resembles the user interface of the Application Center snap-in. The Web site and virtual directory set up for the Web-based administrative client relies on Internet Information Services 5.0 (IIS) and Microsoft® Windows® 2000 security.

For security reasons, the Web-based Administrative client supports only a subset of the functionality provided in the Application Center snap-in. Specifically, users cannot perform the following tasks:

  • Add and remove members.
  • Set members online and offline.
  • Synchronize members.
  • Deploy content.
  • Modify cluster and member properties.

Related Topics

  • For more information about using the Web-based Administrative client, see Use a Browser.


Terminal Services

Application Center supports remote administration through Terminal Services in Windows 2000 Server, Windows 2000 Advanced Server, and Windows 2000 Datacenter Server. By using the Terminal Services client, you can perform remote administration of Application Center clusters from virtually anywhere. Additionally, with VPN, you ensure that you have a secure connection to the cluster.

On the cluster controller, configure Terminal Services in Remote administration mode and not Application server mode. When using Terminal servcies to perform remote administration, all actions are executed on the remote clusters and not on the local computer that is running Terminal Services.

Related Topics

  • For more information about Terminal Services and VPN, see the Windows 2000 Help.


Synchronizing and Deploying Applications

This section provides information on managing applications with Microsoft Application Center 2000 (Application Center). It provides detailed instructions for synchronizing and deploying applications as well as conceptual information about synchronization, applications, deployment, and security during synchronization.

This section includes:

  • How To...
  • Concepts


How To...

This section includes:

  • Enable or Disable Synchronization
  • Set the Synchronization Interval
  • Cancel a Synchronization
  • Exclude Files from Synchronization
  • Use On-Demand Synchronization
  • Use Application Center Applications
  • Deploy Across a WAN
  • Deploy Global ISAPI Filters
  • Deploy and Synchronize COM and COM+


Enable or Disable Synchronization

Use these steps to enable or disable automatic updates (change-based and interval-based synchronization) for the entire cluster or to enable or disable on-demand synchronization for a cluster member. Change-based synchronization occurs whenever content on the cluster controller is updated. Interval-based synchronization occurs at a preset interval to confirm that content is identical among the cluster members.

Notes Notes

    • Automatic updates can be configured for the entire cluster only. To disable synchronization for a specific member, in the member_name Properties dialog box, clear the Include this member in synchronizations check box.
    • Advanced synchronization and deployment can be done regardless of the synchronization settings on the cluster or cluster member. The only exception to this is synchronization exclusions, which apply to all types of synchronization and deployment.

To enable or disable automatic updates for the cluster

Use this setting to enable and disable automatic updates for all members in the synchronization loop. If enabled, the controller will attempt to synchronize every member that is in the synchronization loop. If this setting is disabled cluster, member, and application synchronizations can still be done.

  1. In the Application Center snap-in, right-click the cluster, and then on the pop-up menu, click Properties.
  2. On the General tab, select or clear the Enable automatic updates check box.

To enable or disable synchronization on a specific member

Use this setting to take a specific member out of the synchronization loop and disable all sychronizations except advanced synchronization and deployments. The other members' synchronizations are not affected by taking the specified member out of the synchronization loop.

Note Note This setting cannot be changed on the cluster controller and is always enabled.

  1. In the Application Center snap-in, right-click the cluster member, and then on the pop-up menu, click Properties.
  2. In the member_name Properties dialog box, select or clear the Include this member in synchronizations check box.

Summary of Synchronization Enablement

The following table summarizes the different methods for enabling and disabling synchronization and lists the types of synchronization that are enabled and/or disabled for each method.

Note Note Advanced synchronization and deployment can be performed regardless of these settings.

Method | Change-based | Interval-based | Cluster | Member | Application
Enable automatic updates (on) and Include this member in synchronizations (on) | On | On | On | On | On
Enable automatic updates (on) and Include this member in synchronizations (off) | Off | Off | Off | On | Off
Enable automatic updates (off) and Include this member in synchronizations (on) | Off | Off | On | On | On
Enable automatic updates (off) and Include this member in synchronizations (off) | Off | Off | Off | On | Off

Related Topics

  • For more information about setting the synchronization interval, see Set the Synchronization Interval.
  • For more information about synchronization concepts, see Synchronization Fundamentals.
  • For more information about on-demand synchronization, see On-Demand Synchronization.


Set the Synchronization Interval

Application Center periodically performs an interval-based synchronization of content from the cluster controller to all cluster members in the synchronization loop. The interval used is set to 60 minutes by default, but you can adjust this setting or disable interval-based synchronization by disabling automatic updates.

Notes Notes

    • If this setting is set to a very short time period, interval-based synchronization will be triggered more often and will consume more server resources.
    • This setting does not affect change-based synchronization.
    • To disable interval-based synchronization along with automatic change-based synchronization, in the cluster_name Properties dialog box, clear the Enable automatic updates check box or use the command-line command AC DEPLOY /DISABLESYNC.

To set the interval-based synchronization interval

  1. In the Application Center snap-in, right-click the cluster node, and then on the pop-up menu, click Properties.
  2. On the General dialog box, in the Periodic full synchronization interval (minutes) box, enter the time interval in minutes.

    Note Note The value must be from 10 through 1440 minutes. Shorter time periods cause interval-based synchronizations occur more often, and, depending on the size of your content, this can produce unwanted performance drains on your cluster.

Related Topics

  • For more information about synchronization concepts, see the Synchronization Fundamentals.
  • For more information about disabling automatic updates, see Enable or Disable Synchronization.


Cancel a Synchronization

You can cancel any synchronization that is currently in progress. Canceling the synchronization will roll-back any non-committed changes on the target. Any files that have been applied on the target remain after the cancellation.

Note Note In some instances it is possible for the Stop button to be enabled, but for the cancellation request to reach the target too late to stop the synchronization. In this case the synchronization will not be stopped as requested. For example, when trying to cancel the deployment of a COM+ application or a global ISAPI filter while the target server is in the draining state.

To cancel a synchronization

  1. In the Application Center snap-in, expand the cluster node, and then on the pop-up menu, click Synchronizations.
  2. In the Synchronizations view, in the list, click the synchronization, and then click Stop.

    Note Note If the Stop button is disabled, synchronization cannot be canceled. Only synchronizations that are currently running can be stopped.

Related Topics

  • For more information about canceling synchronizations, see Synchronization Fundamentals.


Exclude Files from Synchronization

Use these steps to exclude files from being synchronized for all automatic updates, on-demand synchronizations, advanced synchronizations and deployments.

To exclude a specific file, directory, or file type

  1. In the Application Center snap-in, expand the cluster node, right click Synchronizations, and then on the pop-up menu, click Properties.
  2. On the General tab, click Add.
  3. In the Add Synchronization Exclusion dialog box, click the appropriate exclusion type, and then either enter the correct path or use Browse to locate the file or folder.
  4. Click OK.

Notes Notes

    • You can specify only one exclusion at a time. To specify multiple exclusions, repeat the preceding steps.
    • Exclusions are set on the synchronization or deployment target and apply only to that specific target. This means that different targets can have different exclusions.
    • Removable media and UNC paths cannot be used in exclusions.

To include a previously excluded file, directory, or file type

  • On the General tab, in the list, click the resource, and then click Remove.

Note Note You can specify only one resource at a time. To specify multiple resources, repeat the preceding step.

Exclusion | What is excluded | How to specify | Example
File | The specified file only. | Specify the full path or browse to the file. | C:\Mydirectory\Myfile.txt
Directory | The specified directory and all sub-directories. | Specify the full path or browse to the directory. | C:\Mydirectory
File type | All files with the specified file extension on the server. | Enter *. and the file extension. | *.txt
File type in a specific directory | All files of the specified file type in the specified directory and any of its subdirectories. | Specify or browse to the full path for the folder, and then enter *. and the file extension. | C:\Mydirectory\*.txt

Related Topics

  • For more information about synchronization, see Synchronization Fundamentals.


Use On-Demand Synchronization

You can synchronize applications at any time by performing an on–demand synchronization. You can synchronize all applications across the entire cluster, only a specific application across the entire cluster, or all applications to a specific member.

Note Note COM+ applications and global ISAPI filters are automatically synchronized on a member when it is added to a cluster. Any changes in COM+ applications after this must be synchronized manually by deploying them to each cluster member explicitly.

This section includes:

  • Synchronize the Cluster
  • Synchronize Specific Applications
  • Synchronize Specific Members

Related Topics

  • For more information about deploying COM+ application, see Deploy COM+ Applications.


Synchronize the Cluster

You can synchronize the cluster at any time by performing a cluster synchronization. A cluster synchronization affects all applications (except COM+ applications) and all cluster members in the synchronization loop.

Note Note To synchronize COM+ applications, use the New Deployment Wizard.

To synchronize the cluster

  1. In the Application Center snap-in, right-click the cluster node.
  2. On the pop-up menu, click Synchronize cluster.

Note Note Members that are out of the synchronization loop will not be synchronized with this method. When adding a member that has been out of the synchronization loop back into the cluster, deploy the entire cluster image to the member to ensure that all content and settings are up-to-date.

Related Topics

  • For more information about synchronization, see Synchronization Fundamentals.
  • For more information about applications, see Application Fundamentals.
  • For more information about synchronizing COM+ components, see Deploy and Synchronize COM and COM+.
  • For more information about synchronizing ISAPI filters, see Deploy Global ISAPI Filters.


Synchronize Specific Applications

This procedure shows how to synchronize the selected application (except for COM+ applications) across all members in the synchronization loop.

Note Note To synchronize COM+ applications, use the New Deployment Wizard.

To synchronize specific applications

  1. In the Application Center snap-in, expand the cluster to synchronize.
  2. Click Applications.
  3. In the Applications view, click the application to synchronize, and then on the toolbar, click Synchronize.
  4. Repeat the previous step until all the appropriate applications have been synchronized.

    Note Note This will synchronize the specified application to all cluster members that are in the synchronization loop. To synchronize a specific application on a specific member or multiple application to a specific member, use the New Deployment Wizard.

Related Topics

  • For more information about synchronization, see Synchronization Fundamentals.
  • For more information about applications, see Application Fundamentals.
  • For more information about synchronizing COM+ components, see Deploy and Synchronize COM and COM+.
  • For more information about synchronizing ISAPI filters, see Deploy Global ISAPI Filters.


Synchronize Specific Members

This will synchronize all content and settings (except COM+ applications) on the specified cluster member.

Note Note To synchronize COM+ applications, use the New Deployment Wizard.

To synchronize specific cluster members

  1. In the Application Center snap-in, expand the cluster node, and then right-click the member node.
  2. On the pop-up menu, click Synchronize Member.

    Note Note This will perform a full synchronization to the specific member only. The other members are not affected.

Related Topics

  • For more information about synchronization, see Synchronization Fundamentals.
  • For more information about applications, see Application Fundamentals.
  • For more information about synchronizing COM+ components, see Deploy and Synchronize COM and COM+.
  • For more information about synchronizing ISAPI filters, see Deploy Global ISAPI Filters.


Use Application Center Applications

In the context of Microsoft Application Center 2000 (Application Center), an application is a manifest listing .NET resources that are synchronized within, or deployed to, a cluster. An application contains resources by listing references to them, thus more than one application can list the same resource. When you synchronize or deploy an Application Center application, the resources listed in the application are synchronized or deployed.

This section includes:

  • Create a New Application
  • Delete an Application
  • Add Resources to an Application
  • Rename an Application
  • Deploy an Application
  • Synchronize an Application


Create a New Application

This procedure describes how to add a new application to a cluster. An application is a collection of resources that are synchronized and/or deployed together.

To add a new application

  1. In the Application Center snap-in, open the cluster node.
  2. Click Applications.
  3. In the Applications view, on the toolbar, click New.
  4. In the Create a new application dialog box, type a valid application name.


Delete an Application

This procedure describes how to delete an application from a cluster. An application is a collection of resources that are synchronized and/or deployed together.

To delete an application

  1. In the Application Center snap-in, expand the cluster node.
  2. Click Applications.
  3. In the Applications view, click the application to delete, and then on the toolbar, click Delete.

    Note Note When applications are deleted on the cluster controller, they will be deleted on all members in the synchronization loop.

Note Note Deleting an Application Center application does not delete the resources that have been added to the application, it merely deletes the grouping made by Application Center. To delete the resource, you must manually delete it from the server's hard disk.

Related Topics

  • For more information about Application Center applications, see Application Fundamentals.


Add Resources to an Application

This procedure describes how to add resources to an application. An application is a collection of resources that are synchronized and/or deployed together.

To add resources to an application

  1. In the Application Center snap-in, expand the cluster node.
  2. Click Applications.
  3. In the Applications view, click an existing application or create a new application.
  4. In the Resource box, click the appropriate resource type, and then click Add.
  5. In the list of resources, click the resource.

    To add multiple resources, repeat the preceding step.

Note Note Some COM+ applications might have files or other resources that are associated with them, and these should also be included in the application being synchronized. These resources might not appear in the COM+ Explorer.

Related Topics

  • For more information about about adding COM+ components to an application, see Install COM Components.
  • For more information deploying ISAPI filters, see Deploy Global ISAPI Filters.
  • For more information about Application Center applications, see Application Fundamentals.


Rename an Application

This procedure describes how to rename an application. An application is a collection of resources that are synchronized and/or deployed together.

To rename an application

  1. In the Application Center snap-in, expand the cluster node.
  2. Click Applications to open the Applications view.
  3. In the Applications view, click the application to rename, and then on the toolbar, click Rename.
  4. In the Rename the selected application dialog box, type the new name.

Note Note Application Center uses a globally unique identifier (GUID) to identify applications and allows the use of non-unique names. However, using unique application names reduces confusion.

Related Topics

  • For more information about Application Center applications, see Application Fundamentals.


Deploy an Application

This procedure describes how to deploy an Application Center application; it does not cover COM+ application deployment.

To deploy an application

  1. In the Application Center snap-in, expand the cluster node.
  2. Right-click either the cluster, member, or Applications node.
  3. On the pop-up menu, click New Deployment.

    The New Deployment Wizard will guide you through the steps of deploying an application. For more information about using the wizard, click the Help button in the wizard.

Related Topics

  • For more information about Application Center applications, see Application Fundamentals.
  • For more information about synchronization, see Synchronization Fundamentals.
  • For more information about deploying COM+ applications, see Deploy COM+ Applications.


Synchronize an Application

This procedure describes how to synchronize an application. An application is a collection of resources that are synchronized and/or deployed together.

To synchronize an application

  1. In the Application Center snap-in, expand the cluster node.
  2. Click Applications.
  3. In the Applications view, click the application to synchronize, and then on the toolbar, click Synchronize.

Note Note To check the status of a synchronization, use the Synchronizations view.

Related Topics

  • For more information about synchronization, see Synchronization Fundamentals.
  • For more information about manual synchronization, see Use On-Demand Synchronization.


Deploy Across a WAN

You can use Microsoft Content Deployment Service, formerly called Content Replication System, to deploy content and applications across a wide area network (WAN).

Application Center provides deployment of content and configuration settings from the cluster controller to the cluster members and deployment from one cluster to another over the network. However, for WAN deployments, Content Deployment Service is provided on the Application Center CD. Content Deployment Service stages and deploys Web pages and other file-based information across geographically remote, secured networks to multiple destination servers and is optimized for the various network issues associated with WAN deployments.

To install the Content Deployment Service

  • On the Application Center CD, go to the Content Deployment Service directory, and then double-click SetupCRS.exe.

Related Topics

  • For more information about applications, see Application Fundamentals.
  • For more information about synchronization and deployment, see Synchronization Fundamentals.
  • For more information about the Content Deployment Service, see the documentation that is included with the Content Deployment Service installation.


Deploy Global ISAPI Filters

This procedure describes how to deploy global ISAPI filters.

Notes Notes

    • When global ISAPI filters are deployed, all of them are deployed regardless of which Application Center application you select in the New Deployment Wizard.
    • When global ISAPI filters are deployed to the cluster controller and automatic updates are enabled, the filters are automatically synchronized to the every member in the synchronization loop and loaded on the members when the Web Service is restarted.
    • When global ISAPI filters are deployed to a cluster member (and not on the cluster controller), they are not automatically synchronized to the entire cluster and will be overwritten during the next synchronization cycle.

To deploy the global ISAPI filters

  1. In the Application Center snap-in, right-click the Applications node, and then on the pop-up menu, click New Deployment.

    The Deployment Wizard appears.

  2. Click the application to deploy (any application will work).
  3. In the New Deployment Wizard, on the Deployment Options page, select the Deploy global ISAPI filters check box.
  4. Complete the New Deployment Wizard to deploy the global ISAPI filters.

Related Topics

  • For more information about deploying applications, see Deploy an Application.
  • For more information about synchronization, see Synchronization Fundamentals.
  • For more information about ISAPI filters, see the Internet Information Services 5.0 (IIS) Help.


Deploy and Synchronize COM and COM+

This section provides procedural information about how to deploy and synchronize COM components and COM+ applications. This process involves various steps, including creating a COM+ application to house the COM components, importing the components, adding the COM+ applications to Microsoft Application Center 2000 (Application Center) applications, and deploying the applications.

Notes Notes

    • Application Center does not support the synchronization of COM Classic components. To synchronize a COM Classic component, install the component into a COM+ application.
    • Application Center synchronizes all content and configuration settings (including COM+ applications and global ISAPI filters) to members when they are first added to the cluster.

This section includes:

  • Create COM+ Applications
  • Install COM Components
  • Deploy COM+ Applications


Create COM+ Applications

The following procedure describes how to create a COM+ application to house a COM Classic component.

Note Note Application Center does not support the synchronization of COM Classic components. To synchronize a COM Classic component, create a COM+ application, and then install the COM Classic component into the COM+ application.

To create a new COM+ application

  1. In the Component Services snap-in, click the server on which you want to create a application.
  2. Expand the server node, right-click the COM+ Applications folder, and the pop-up menu, point to New, and then click Application.
  3. To create an empty application, in the COM+ Application Install Wizard, in the Install or Create an empty application dialog box, click Next, and then click Create.
  4. In the box, enter a name for the new application.

    In an application name, the following special characters are not allowed: \ / ~ ! @ # % ^ & * ( ) | } { ] [ ' " > < ? . : ;

  5. Under Activation type, click either Library application or Server application, and then click Next.

    Note Note A server application runs in its own process. Server applications can support all COM+ services. A library application runs in the process of the client that creates it. Library applications can use role-based security, but do not support remote access or queued components.

  6. In the Set Application Identity dialog box, under Account, click either Interactive user (the default) or This user.

    Interactive user is the user who is currently logged on to the server at any given time. To select a different user, click This user, and then enter a specific Microsoft® Windows® 2000 user account or group.

    Note Note The Interactive User setting is not recommended because it requires a user to be logged on to the server. Consider using a domain account for this setting.

  7. If you select This user, enter the user name and password, in the Confirm box, retype the password, and then click Next.

    Note Note The Set Application Identity dialog box appears for activation type and server application only. Library applications do not use this property.

  8. Click Finish.

Related Topics

  • For more information about importing COM components into a COM+ application, see Install COM Components.
  • For more information deploying COM+ applications, see Deploy COM+ Applications.
  • For more information about synchronization, see Synchronization Fundamentals.
  • For more information about Application Center applications, see Application Fundamentals.


Install COM Components

Application Center does not support the synchronization of COM Classic components. To synchronize a COM Classic component, create a COM+ application, and then install the COM Classic component into the COM+ application.

To install COM components

  1. In the Component Services snap-in, click the server that is hosting the COM+ application.
  2. Open the COM+ Applications folder for that server, and then click the application in which to install the component.
  3. Open the Application folder, and then select Components.
  4. On the Action menu, click New.
  5. Click Next, and then click Install component(s) that are already registered.
  6. In the Choose Components to Install dialog box, select the Details check box to see complete information about registered components.
  7. In the list, click the components to install, and then click Next.

    Note Note You can install only components that are not already installed.

  8. Click Finish.
  9. To install multiple COM Classic components into a single COM+ application, repeat the preceding steps.

Related Topics

  • For more information about creating COM+ applications, see Create COM+ Applications.
  • For more information deploying COM+ applications, see Deploy COM+ Applications.
  • For more information about Application Center applications, see Application Fundamentals.
  • For more information about synchronization, see Synchronization Fundamentals.


Deploy COM+ Applications

Application Center does not automatically synchronize COM+ applications (after they have been synchronized when the members are added). You must deploy them as part of an Application Center application. You can deploy COM+ applications to the entire cluster at the same time or to one or more members at a time by using the New Deployment Wizard. Additionally:

  • Application Center does not support the synchronization of COM Classic components. To synchronize a COM Classic component, install the component into a COM+ application.
  • Deploying global ISAPI filters to a server will result in the restarting the Web Service on the server. Deploying to every member of a cluster results in the cluster being unavailable to serve content while the Web Service is being restarted on the members.
  • Application Center synchronizes all content and configuration settings (including COM+ applications and global ISAPI filters) to members when they are first added to the cluster.
  • Application Center will restart the Component Load Balancing (CLB) service after COM+ applications are deployed to members of a CLB cluster.

To deploy a COM+ application

  1. In the Application Center snap-in, either click an existing Application Center application or create a new one by clicking New.
  2. In the Resource Type box, click COM+ Applications.
  3. Click Add.
  4. In the Add Resource dialog box, click a COM+ application to add, and then click OK.

    Note Note Some COM+ applications might have files or registry settings that are associated with them. These should also be included in the application being synchronized. These resources might not appear in the COM+ Explorer.

  5. Repeat the preceding steps to add more COM+ applications and associated resources.
  6. When you have added all the resources to the application, right-click the Applications node, and then on the pop-up menu, click New Deployment.
  7. In the New Deployment Wizard, select the Deploy COM+ applications check box.
  8. On the Draining Options page, you can choose between having the connection draining process occur before the targets' Web Service is restarted or to have the service restarted immediately.

    Note Note The time period used to drain connections is specified in the Cluster Properties dialog box on the target(s) and is set to 20 minutes by default.

  9. Complete the New Deployment Wizard to deploy the applications.

Note Note Deploying COM+ applications restarts the Web Service on the targets, so deploying to the entire cluster will leave only the controller available to service HTTP requests.

Related Topics

  • For more information creating COM+ applications , see Create COM+ Applications.
  • For more information about importing COM components into a COM+ Application, see Install COM Components.
  • For more information about synchronization, see Synchronization Fundamentals.
  • For more information about Application Center applications, see Application Fundamentals.


Concepts

This section includes:

  • Application Fundamentals
  • Synchronization Fundamentals
  • Automatic Updates
  • On-Demand Synchronization
  • Advanced Synchronization and Deployment
  • Synchronization Exclusions
  • Synchronizations View
  • Time and Date Synchronization
  • Security During Synchronization


Application Fundamentals

In the context of Microsoft Application Center 2000 (Application Center), an application is a manifest listing .NET resources that are synchronized within, or deployed to, a cluster. An application contains resources by listing references to them, thus more than one application can list the same resource. When you synchronize or deploy an Application Center application, the resources listed in the application are synchronized or deployed. The resources that can be added to an application include:

  • Web sites and virtual directories, which includes files, certificates, certificate trust lists (CTLs), and ISAPI filters referenced by the site/virtual directory.
  • COM+ applications (see the following Note).
  • File system directories and files.
  • System Data Source Names (DSNs).
  • Registry keys.

The following resources can be part of an Application Center application, but you cannot explicitly add or remove them to applications by using the Application Center snap-in or the command-line tool:

  • Exportable CAPI certificates.
  • Windows Management Instrumentation (WMI) monitoring settings (in the Application Center namespace, Microsoft Health Monitor 2.1 settings, and event filters).
  • Application Center monitors (listed in the synchronized monitors data group).
  • Metabase (Internet Information Services 5.0 [IIS] configuration) settings.
  • Global ISAPI filters (see the following Note).

Note Note Application Center does not synchronize or deploy user applications (for example, Microsoft Office). You must use another method, such as Microsoft Software Management Software, to perform these tasks.

Default Applications Created by Application Center

Application Center creates some default applications when you install it on a server. These applications are created automatically to simplify cluster administration and to ensure that your Web applications are synchronized automatically.

  • AllSites—this application contains all Web sites and virtual directories listed in the IIS metabase.

    You cannot delete or rename this application, nor can you add resources to it or remove resources from it. Any changes in the IIS metabase are automatically detected and added to AllSites.

  • Administration Web Site—this application contains the IIS administrative Web site and its associated virtual directories. You can rename or delete this application; however, AllSites still contains the administration Web site and its associated virtual directories.

    Note Note If have deleted this site prior to installing Application Center, this application is not created.

  • Application Center 2000 Administrative Web Site—this application contains the Application Center 2000 Administrative Web Site and its associated virtual directories. You can rename or delete this application; however, AllSites still contains the Application Center 2000 Administrative Web Site and its associated virtual directories.
  • Default Web Site—this application contains the Default Web Site and its associated virtual directories. You can rename or delete this application; however, AllSites still contains the Default Web Site and its associated virtual directories.

    Note Note Application Center creates an application for every site or virtual site on the server (using the name of the site) when it is installed; therefore, if you have deleted a site prior to installing Application Center, that application is not created.

User-Defined Applications

You can create your own applications to organize and facilitate synchronization and deployment according to your requirements. You can create an application that lists a subset of a default application or lists resources that are not listed in a default application.

Application Uses

You can use applications to manage synchronization or deployment for your .NET resources. Using applications in this way gives you more control over what resources are synchronized or deployed and when.

  • More granular control —if you have a large number of files in your Web applications and only a few of them are updated regularly, you can use applications to group these files so that they can be synchronized or deployed together, leaving the other files untouched.

    To synchronize only these applications, you must disable Automatic Updates and use advanced synchronization for these specific applications. You can also use synchronization with file exclusions; however, this might be impractical for large numbers of files or files that are in different locations on the hard disk.

    The default applications that are created by Application Center are an example of using applications that are a subset of another application for more granular control. The Administration Web Site, Application Center 2000 Administrative Web Site, and Default Web Site are all subsets of AllSites.

  • Special content situations—you can simplify COM+ applications deployment by putting them into an applications list and deploying all of them at once, rather than one at a time. This can be more efficient, because the Web Service must be restarted on the targets to deploy COM+ applications.

    Notes Notes

      • Deploying to all cluster members at one time effectively renders the cluster unavailable for serving content while the Web service on the members is restarted.
      • COM+ applications might require other resources, such as Active Server Pages (ASP) applications, to work correctly. In addition to deploying an application, you must deploy all of the resources that are required by the application.

    Another example of special content are files that are not part of a Web application, but need to be deployed and synchronized.

Application Resources

You can add any of the following resources to an application as specified.

  • Web sites or virtual directories—when specifying these, you need to add only the Web site or virtual directory. You do not need to specify the physical directories or files that make up the Web site or virtual directory explicitly. Application Center includes the resources referenced by the Web site or virtual directory.

    Note Note Application Center only synchronize resources that are specified on the local file system and does not synchronize resources that are specified with a UNC path or on a removable media.

  • COM+ applications—you can add only COM+ applications that are properly registered with Component Services on the local server. If a COM+ application does not appear in the Application Center snap-in, you cannot add it to an application. To add COM components to application lists, you must install them into COM+ applications.

    Notes Notes

      • Deploying COM+ applications requires restarting the Web Service on the target.
      • Application Center does not handle deployment or synchronization of COM+ proxies.
      • Application Center synchronizes all content and configuration settings (including COM+ applications and global ISAPI filters) to members when you add them to the cluster.
      • COM+ applications are not synchronized automatically. You must deploy them as part of an Application Center application. You can use the New Deployment Wizard to deploy COM+ applications to the entire cluster at the same time, to one or more members at the same time, or to another cluster.
      • Synchronized COM+ applications are found at %SystemDrive%\Program Files\ComPLus Applications\GUID where GUID is the globally unique identifier (GUID) for the COM+ application.
      • Application Center restarts the Component Load Balancing (CLB) service after COM+ applications are deployed to CLB cluster members.
      • Deploying queued COM+ applications does not deploy the queue properties. The queues are created new on the targets, but the properties associated with source queues are not deployed.
  • File system directories and files—you can add these as required.

    Notes Notes

      • Application Center does not automatically synchronize file or directory access control list (ACL) changes. Therefore, if you change only the ACLs on a file or directory (that is defined in an application), these changes are not synchronized to the cluster automatically. To have these changes picked up during synchronization, change one of the following: the file attributes, LastModified time, or file size (content changes).
      • If you synchronize or deploy an application from a FAT file system to an NTFS file system, the ACLs being created on the target inherit from the parent directory. It is highly recommended that you synchronize and deploy only from NTFS partitions to NTFS partitions.

        Caution Caution Installation on FAT16 partitions is not supported (except for Administrative client installations).

      • If you synchronize or deploy an application from a FAT file system to an NTFS file system with ACL synchronization turned off, the synchronization or deployment will fail.
      • You can specify files or directories for exclusion from synchronization or deployment. The specified files or directories are excluded from all synchronizations and deployments.
  • DSNs—only DSNs on the local server are available to add to applications. DSNs on remote servers are not available until you create them on the local server.
  • Registry keys—you can add any registry key to an application; however, use caution when doing so, because changes to the registry can result in unwanted behavior.

You cannot add the following directly to an application, but they are synchronized and deployed as noted:

  • ISAPI filters—you can synchronize or deploy global and per-virtual directory ISAPI filters. Per-virtual directory ISAPI filters are synchronized or deployed with their associated virtual directory automatically. Use the New Deployment Wizard to synchronize or deploy global ISAPI filters.
  • Certificates—to use X.509 certificates, the private key must be exportable. X.509 certificates are synchronized or deployed with their associated Web sites automatically. Also, the X.509 certificate must be for server authentication and be bound to a name that is valid across the cluster. A good choice for this is the cluster's shared DNS name.
  • Network settings and some metabase settings—if you are using Network Load Balancing (NLB), these are synchronized automatically as part of the system definition (information that Application Center requires for managing the cluster), even if Automatic Updates are disabled.

COM + Applications and Global ISAPI Filters

Application Center synchronization protects cluster availability by preventing certain components from being synchronized across the cluster automatically. For example, when you deploy a new or updated COM+ application or global ISAPI filter, the Web Service on the target must be restarted. To prevent potential down time, Application Center synchronizes or deploys COM+ applications and global ISAPI filters only when you use the New Deployment Wizard. By using the wizard, you can have granular control over the deployment settings.

Related Topics

  • For more information about synchronization, see Synchronization Fundamentals.
  • For more information about using synchronization exclusions, see Exclude Files from Synchronization.
  • For more information about using the command-line utility, see Command-Line Administration.
  • For more information about using applications, see Use Application Center Applications.


Synchronization Fundamentals

In the context of Microsoft Application Center 2000 (Application Center), synchronization is replication of content and configuration settings from the cluster controller to one or more cluster members (see the following list). Synchronization ensures that all synchronized content is identical across the cluster. When you add a new member, it is automatically synchronized with the controller; that is, if you select the Include this member in synchronizations check box in the Add New Member Wizard or use the command-line command AC CLUSTER /ADD without the /NOSYNCADD parameter.

Deployment is the transfer, from one cluster (usually a stager) to another cluster (usually the production cluster), of content and configuration settings. Synchronization is the transfer of content and configuration settings from the cluster controller to one or more cluster members. Other than this distinction, the processes and resources that are used are identical to synchronization and the difference is merely a semantic one. You can synchronize and deploy content by using the Application Center snap-in, the New Deployment Wizard, or AC DEPLOY from the command line.

You can use Application Center to synchronize or deploy:

  • Web sites, virtual directories (and their associated ISAPI filters), and Active Server Pages (ASP) applications.
  • COM+ applications (see the following Notes).
  • Global ISAPI filters (see the following Notes).
  • File system directories and files.
  • Exportable certificates.
  • Certificate Trust Lists (CTLs).
  • Data Source Names (DSNs).
  • Microsoft® Windows® Management Instrumentation (WMI) monitoring settings (in the Application Center namespace, Microsoft Health Monitor 2.1 settings, and event filters).
  • Application Center monitors (listed in the Synchronized Monitors data group).
  • Registry keys.
  • Metabase (Internet Information Services 5.0 [IIS] configuration) settings.

To facilitate synchronization and deployment, Application Center uses applications, which are a collection of resources that are synchronized as a whole. Application Center synchronization is focused on the deployment and synchronization of Web applications and applications based on the .NET platform. Application Center does not synchronize or deploy applications such as Microsoft Office or system upgrades, such as a Service Pack (SP). You must use another method to perform these tasks (for example, Microsoft Systems Management Server).

Application Center uses single-controller synchronization, where only one cluster member can be designated as the controller at one time and the controller is the authoritative source of all synchronized content and settings. Additionally, Application Center is based on shared-nothing clustering, where each cluster member has a full set of the content and settings and can function on its own; that is, there are no shared resources, such as a Redundant Array of Inexpensive Disks (RAID).

Notes Notes

    • Application Center synchronizes all content and configuration settings (including COM+ applications and global ISAPI filters) to members when you add them to the cluster.
    • Cluster members that have been out of the synchronization loop are not brought up-to-date automatically when they are brought back to the loop. You should deploy the entire cluster image to a member, or perform a Member Synchronization, before you bring it back into the synchronization loop to ensure that the content and settings are current.
    • If the amount of resources (total file size, and so on) to synchronize is larger than the free space on the target disk drive, the synchronization will stop. In this situation, you must free up some disk space.
    • Application Center automatically synchronizes all system settings (information that is necessary for managing cluster topology, network settings, and so on) to all available members. This occurs regardless of whether automatic updates are on or if the member is included in the synchronization loop.

Automatic Updates

Application Center provides two types of automatic synchronization. You can use the following automatic updates to keep content and configuration settings consistent across your cluster without needing to intervene:

  • Change-based synchronization—Application Center receives notification if synchronized content (except for COM+ applications, CAPI store information, Access Control List [ACL] changes, and network settings) on the cluster controller changes. The files that are changed are updated automatically and immediately on all cluster members in the synchronization loop. You can disable change-based synchronization in the cluster_name Properties dialog box by clearing the Synchronize members when content is updated check box.
  • Interval-based synchronization—periodically, Application Center synchronizes all Application Center applications to ensure that the content and configuration settings are identical across the cluster. You can set the interval between full synchronizations in the cluster_name Properties dialog box. The synchronization interval is set to 60 minutes by default. You can disable interval-based synchronization in the cluster_name Properties dialog box by clearing the Synchronize members when content is updated check box or by using the command-line command AC DEPLOY /DISABLESYNC.

On-Demand Synchronization

Application Center provides three types of manual synchronization. You can use the following types of on-demand synchronization to control when and how synchronization takes place within a cluster:

  • Cluster synchronization—all cluster members in the synchronization loop are synchronized with the controller. All applications are synchronized (except for COM+ applications).
  • Member synchronization—only the specified cluster member is synchronized with the controller. All applications (except for COM+ applications) are synchronized. This type of synchronization occurs whether the member is in the synchronization loop or not.
  • Application synchronization—the specified application is synchronized with the cluster controller on every member in the synchronization loop.

Advanced Synchronization and Deployment

This type of synchronization provides granular control over which applications, cluster members, and to some extent, which configuration settings are involved. As well, this type is the only type that can be used across cluster boundaries. You can deploy or synchronize specific applications to specific servers and choose whether to include file and folder permissions, COM+ applications, and global ISAPI filters. Additionally, when deploying ISAPI filters or COM+ applications, you can specify the time used for draining user connections before restarting the Web Service on the targets.

The Synchronization Loop

The synchronization loop consists of all cluster members that are enabled for synchronization by selecting the Include this member in synchronizations check box in the member_name Properties dialog box. Cluster members can be taken out of, or brought into, the loop at anytime by using either the command-line utility or the Application Center snap-in. Neither advanced synchronization nor deployment is affected by these synchronization settings and will complete for all available (Alive) members or targets.

Note Note Member synchronization can be performed on a member regardless of whether it is in the synchronization loop.

Synchronization loop membership is not the same as the list of members that are serving content (Online). Members that are in the synchronization loop are not necessarily available to serve Web content. This is determined by their Online/Offline status. Members that are online are not necessarily in the synchronization loop.

There are two states that can be problematic:

  • Online and not synchronized—the member continues to serve content that might not be current with the content on other members. The user's experience would be that during one visit to your site they get one set of content (being served by the out-of-date member that is not in the synchronization loop) and, on a subsequent visit, another set of content (being served by a synchronized member).
  • Offline and synchronized—the content on this member is current with the cluster but the member is not serving content.

Synchronization Exclusions

You can select files to exclude from synchronization and deployment. You can exclude individual files, individual folders and their contents, or a particular file type. The exclusions are defined on the targets and apply only to the specific target. These exclusions apply to all synchronizations and deployments to the target.

Synchronizations Between Different File Systems

When synchronizing or deploying between a server with a FAT file system and an NTFS file system, keep the following in mind:

  • FAT to NTFS—synchronization from FAT to NTFS results in synchronization failure and rollback occurs because the ACLs cannot be applied to the FAT file system.
  • NTFS to FAT without ACL synchronization—this should proceed as expected.
  • NTFS to FAT with ACL synchronization—if you synchronize or deploy from a server with a FAT file system to a server with an NTFS file system, the files delivered to the NTFS file system inherit the ACLs from their new parent directories.

Caution Caution Installation on FAT16 partitions is not supported (except for Administrative client installations).

Synchronization of Deletions

When synchronizing or deploying applications with resources that have been deleted from the controller, the deletions will be synchronized with the targets. This means that the resources and settings will be removed from the targets.

Synchronizations View

The Synchronizations view provides detailed information about synchronizations and deployments in two sections: a list of all the synchronizations on the cluster and a details view for the selected synchronization. The list includes all synchronizations and deployments for the cluster and all cluster members since the cluster was created. The details pane comprises two parts: a details view and an events list. The details view lists detailed information about the selected synchronization or deployment. The events list comprises all synchronization events for the selected synchronization or deployment.

Related Topics

  • For more information about Application Center applications, see Application Fundamentals.
  • For more information about deploying or synchronizing COM components and COM+ applications, see Deploy and Synchronize COM and COM+.
  • For more information about deploying and synchronizing global ISAPI filters, see Deploy Global ISAPI Filters.
  • For more information about adjusting the full synchronization interval, see Set the Synchronization Interval.
  • For more information about synchronization exclusions, see Synchronization Exclusions.
  • For more information about the Synchronizations view, see Synchronizations View.
  • For more information about using the command-line utility, see Command-Line Administration.


Automatic Updates

Application Center provides two types of automatic synchronization: change-based and interval-based. Using automatic updates enables you to keep content and configuration settings consistent across your cluster without requiring your intervention.

Notes Notes

    • If the cluster controller is the target of a deployment, and Automatic Updates are enabled for the cluster, the controller will automatically update the members with the new deployment (except for COM+ applications and global ISAPI filters).

      Application Center does not synchronize file or directory ACL changes. Therefore, if you change only the ACLs on a file or directory (that is defined in an application), the changes are not synchronized to the cluster automatically. You have several options to have these changes picked up during synchronization: you can change the time for the file attribute LastModified or change the file size (content changes).

    • Changes to COM+ applications, global ISAPI filters, certificates, and CTLs are not updated across the cluster by using automatic updates. You must use the New Deployment Wizard to deploy them explicitly. Deploying COM+ applications and global ISAPI filters restarts the Web Service on the target.
    • When adding or deleting large numbers of files in a synchronized directory, some of the files might not be synchronized by change-based synchronization. The number of files that will not be synchronized during change-based synchronization depends on your hardware and the load that it is under at the time. Any files that are not synchronized immediately will be synchronized during the next interval-based synchronization (every 60 minutes by default).

Change-Based Synchronization

Application Center receives notification if the synchronized content (except for COM+ applications, CAPI store information, and ACL changes) is changed on the cluster controller. When changes are detected, the changed files are synchronized to all members in the synchronization loop.

These changes are made based on change notification for specific files. Only the files for which Application Center receives change notification are synchronized. In this way, the content on members is kept identical by using only a minimum of resources. Web sites and applications are constantly available to users during change-based synchronization.

You can disable change-based synchronization on the cluster_name Properties dialog box by clearing the Synchronize members when content is updated check box or by using command-line command AC DEPLOY /DISABLESYNC.

Interval-Based Synchronization

Periodically, Application Center synchronizes all Application Center applications (except for COM+ applications) to ensure that the content is identical across the cluster. You can set the interval between interval-based synchronizations in the Periodic full synchronization interval (minutes) box in the cluster_name Properties dialog box. This setting is 60 minutes by default.

All content and settings are checked for changes and all changes (except for COM+ applications and global ISAPI filters) are synchronized across the cluster. In this way, the content and settings on members are kept identical.

You can disable interval-based synchronization in the cluster_name Properties dialog box by clearing the Synchronize members when content is updated check box or by using the command-line command AC DEPLOY /DISABLESYNC.

Related Topics

  • For more information about Application Center applications, see Application Fundamentals.
  • For more information about deploying or synchronizing COM components and COM+ applications, see Deploy and Synchronize COM and COM+.
  • For more information about deploying and synchronizing global ISAPI filters, see Deploy Global ISAPI Filters.
  • For more information about adjusting the full synchronization interval, see Set the Synchronization Interval.
  • For more information about synchronization exclusions, see Synchronization Exclusions.
  • For more information about using the command-line utility, see Command-Line Administration.


On-Demand Synchronization

You can synchronize content and configuration settings on-demand to the entire cluster, only a specific member, or only for a specific application to the entire cluster. On-demand synchronization applies to all Application Center applications or only the selected application. Only members in the synchronization loop are synchronized in cluster synchronization and application synchronization. Member synchronization can be performed for any available (Alive) member regardless of whether it is in the synchronization loop.

Notes Notes

    • Application Center does not automatically synchronize file or directory ACL changes. Therefore, if you change only the ACLs on a file or directory (that is defined in an application), these changes are not synchronized to the cluster automatically. To have these changes picked up during synchronization, change one of the following: the time for the file attribute LastModified or the file size (content changes).
    • Changes to COM+ applications are not updated across the cluster by on-demand synchronization. You must synchronize them explicitly by using the New Deployment Wizard. Synchronizing them restarts the Web Service on the target.
    • Use the New Deployment Wizard to synchronize changes to global ISAPI filters across the cluster. The filters are not loaded until the Web Service on the target restarts.

Cluster Synchronization

Start cluster synchronization by clicking Synchronize cluster in the Application Center snap-in or by using the command-line command AC DEPLOY /START. All members in the synchronization loop are synchronized with the controller. All files and settings are synchronized (except for COM+ applications and global ISAPI filters).

Member Synchronization

Start member synchronization by clicking Synchronize member in the Application Center snap-in or by using the command-line command AC DEPLOY /START. Only the specified member is synchronized with the controller. All files and settings (except for COM+ applications) are synchronized. The synchronization occurs even if the member is not in the synchronization loop.

Application Synchronization

Start application synchronization by clicking Synchronize in the Applications view or by using the command-line command AC DEPLOY /START. The specified application (except for COM+ applications) are synchronized to all members in the synchronization loop.

Related Topics

  • For more information about Application Center applications, see Application Fundamentals.
  • For more information about synchronization, see Synchronization Fundamentals.
  • For more information about deploying or synchronizing COM components and COM+ applications, see Deploy and Synchronize COM and COM+.
  • For more information about deploying and synchronizing global ISAPI filters, see Deploy Global ISAPI Filters.
  • For more information about using automatic updates, see Use On-Demand Synchronization.
  • For more information about synchronization exclusions, see Synchronization Exclusions.


Advanced Synchronization and Deployment

Microsoft Application Center 2000 (Application Center) provides the New Deployment Wizard for advanced synchronization and deployment. This wizard gives you more granular control over synchronization and deployment parameters.

In Application Center, advanced synchronization is the transfer of content and configuration settings within a cluster and deployment is the transfer of content and configuration settings from one cluster (usually a stager) to another (the production cluster). Other than this distinction, the processes and resources involved in both are identical.

Advanced Synchronization and Deployment Options

The New Deployment Wizard gives you more granular control of synchronization and deployment with the following options:

  • File and folder permissions—you can choose whether to synchronize or deploy file and directory ACLs. This setting is different than Synchronize file and folder permissions (NTFS only) in the cluster_name Properties dialog box and does not affect that setting.

    If you synchronize or deploy from a server with a FAT file system to a server with an NTFS file system, all ACLs on synchronized resources are set to Administrator (Full Control) on the target. The reason for this is that the FAT file system does not have ACLs; therefore, there is no way to know what the newly generated ACLs should be.

    Caution Caution Installation on FAT16 partitions is not supported (except for Administrative client installations).

    Synchronization from NTFS to FAT results in synchronization failure and rollback occurs because the ACLs cannot be applied to the FAT file system.

  • Global ISAPI filters—when you deploy global ISAPI filters to the cluster controller, they are automatically synchronized on the cluster and loaded on the cluster members when the Web Service restarts. You can deploy global ISAPI filters at any time, even if the targets are not in the synchronization loop.

    Per-virtual site ISAPI filters are deployed and synchronized automatically with the virtual site. You do not need to manually deploy or synchronize them if automatic synchronization is enabled on the targets.

    When changes are made to global ISAPI filters, use the New Deployment Wizard to synchronize these changes across the cluster to ensure that these changes are consistent across the cluster.

  • COM+ applications—you can use the New Deployment Wizard to synchronize or deploy COM+ applications. This can be done at any time, even if the targets are not in the synchronization loop.
  • Connection drain time—use this setting to configure whether to use the connection drain time specified on the target or to take the target offline immediately
  • Server image—the server image includes all content (excluding COM+ applications) and configuration settings on the controller. The server image can be synchronized to members that have been out of the synchronization loop to guarantee that their content is consistent with the content on the controller. Member synchronization will do this also.

Types of Deployment

Deployment is basically the transfer of applications from one cluster (the stager) to another cluster (the production cluster). The availability of your target cluster depends on whether you are deploying COM+ applications or global ISAPI filters, because both of these restart the Web Service on the target. There are four basic situations for deployment:

  • Without COM+ applications or ISAPI filters. Deployment of this type does not require that content is deployed directly to each member, nor is the Web Service restarted on the members. In this situation, you deploy one or more applications to the target cluster's controller only. Then, Application Center synchronizes the content across the cluster.
  • COM+ applications. Deployment of this type requires that you deploy content directly to each member. It also restarts the Web Service on all members. In this situation, you would take the entire target cluster offline (that is, scheduled downtime) and deploy the COM+ applications to the entire target cluster. Application Center does not synchronize the COM+ applications across the cluster.
  • Global ISAPI filters. Deployment of this type does not require you to deploy content directly to each member; however, it does restart the Web Service on all members. In this situation, you would deploy one or more applications to the target cluster's controller only. Then, Application Center synchronizes the content across the cluster. The filter is loaded when the Web Service on the targets restarts.
  • Phased. Deployment of this type is content deployment, usually COM+ applications, to only part of a cluster at one time. This is useful when you are using a CLB middle-tier cluster to service requests from a front-tier Web cluster and you need to refresh the CLB cluster after you have updated the COM+ applications.

    Although there are many possible methods for phased deployment, consider the following three:

    • Maintaining COM interface compatibility—adding newer components to the cluster that break existing interfaces can cause problems in both the deployment and programming maintenance. You should avoid this, if possible.
    • Scheduled downtime—most of the difficulty associated with phased deployment is maintaining router list integrity and making sure that new calls are not made to old components. To avoid this, use scheduled downtime.
    • Using a testing cluster—you would have an entire cluster arrangement, with two tiers, on which you make updates and test the configuration. When all tests succeed, you can change the testing cluster to a production cluster.

COM+ Applications

Application Center synchronization protects the integrity of a cluster by preventing certain components from being synchronized across the cluster automatically. For example, when you install COM+ component, the Web Service on the target is shut down. To prevent potential down time, Application Center provides complete control over which members are updated with COM+ applications during a synchronization session.

Application Center COM+ component deployment typically uses the following order of events:

  1. The receiving member is taken offline and no new connections are accepted.
  2. The existing connections to the member are drained.
  3. Services, such as IIS, are stopped.
  4. COM+ components currently in use are stopped.
  5. The new COM+ application is synchronized with the target.
  6. Services are restarted.
  7. The updated member is brought back online.

To synchronize a COM+ component or global ISAPI filter, you must create a specific application for that component or use an existing application. COM+ components and global ISAPI filters are not synchronized automatically.

Related Topics

  • For more information about Application Center applications, see Application Fundamentals.
  • For more information about deploying or synchronizing COM components and COM+ applications, see Deploy and Synchronize COM and COM+.
  • For more information about deploying and synchronizing global ISAPI filters, see Deploy Global ISAPI Filters.
  • For more information about synchronization exclusions, see Synchronization Exclusions.


Synchronization Exclusions

You can exclude individual files, directories and their content, or specific file types from all synchronizations and deployments. You can specify individual files or directories one at a time, by entering the full path to the file, or by using Browse to locate them. You can specify file types by entering a file extension.

Notes Notes

    • Exclusions are set on the synchronization or deployment target and apply only to that specific target. This means that different targets can have different exclusions.
    • These settings apply to all synchronizations and deployments for the target.
    • Exclusions are made when the files are applied to the target.
    • Excluding a directory excludes all of its content and subdirectories and all of the subdirectories' content.
    • Excluding a file type excludes it for the entire partition and for all directories.
    • You can specify exclusions for resources that are on the local file system, but not on removable media or by using a UNC path.

    As depicted in the following illustration, when you specify exclusions on the source (either the cluster controller when synchronizing a cluster or the stager when deploying to a cluster), the files remain on the source and are excluded from applying on the target.

Exclusion | What is excluded | How to specify | Example
File | The specified file only. | Specify the full path or browse to the file. | C:\Mydirectory\Myfile.txt
Directory | The specified directory and all sub-directories. | Specify the full path or browse to the directory. | C:\Mydirectory
File type | All files with the specified file extension on the server. | Enter *. and the file extension. | *.txt
File type in a specific directory | All files of the specified file type in the specified directory and any of its subdirectories. | Specify or browse to the full path for the folder, and then enter *. and the file extension. | C:\Mydirectory\*.txt

Related Topics

  • For more information about Application Center applications, see Application Fundamentals.
  • For more information about using synchronization exclusions, see Exclude Files from Synchronization.


Synchronizations View

The following sections describe the list, details, and status icons that are used in the Synchronizations view.

Synchronizations List

In the Synchronizations view, you can see all of the synchronizations that are occurring or have occurred recently on the cluster. The synchronizations list provides information about each synchronization, including the following:

  • Date Started: the day on which the synchronization was initiated.
  • Time Started: the time when the synchronization was initiated.
  • Name: the friendly name for the synchronization.
  • Status: the current status for the synchronization.
  • Errors: the cumulative total of synchronization errors, such as files that could not be synchronized.
  • Elapsed Time: the total time synchronization has been running.

Synchronizations Details

Selecting a synchronization in the list provides the following detailed information in the lower part of the Synchronizations view. The icons are in the order that the synchronization process follows:

  • Name: the friendly name for the synchronization.
  • Status: the current status for the synchronization.
  • Errors: the cumulative total of synchronization errors, such as files that could not be synchronized.
  • Files Scanned: the total number of files analyzed for changes on one or more targets.
  • Files Transferred: the total number of files sent to one or more targets.
  • Files Applied: the total number of files updated on one or more targets.

Application Center updates the Synchronizations view every 10 seconds.

Status Icons

The following table summarizes and describes the different synchronization status icons.

Icon | Description
Idle - Not synchronizing now | Idle: not synchronizing currently.
Initializing - Getting ready to synchronize | Initializing: preparing to synchronize.
Scanning - Determining what needs to be synchronized | Scanning: determining what to synchronize.
Transferring - Transferring files to targets | Transfer: transferring files to targets.
Apply - Applying changes to targets | Apply: applying changes to targets.
Success - Synchronization finished with no errors | Success: synchronization finished with no errors.
Partial Success - Synchronization finished with one or more errors | Partial Success: synchronization finished with one or more errors.
Failure - Synchronization disd not finished because of an error | Failure: synchronization did not finish because errors.
Cancelling - Synchronization is being cancelled by the administrator | Canceling: the administrator is canceling synchronization.
Cancelled - Synchronization was cancelled by the administrator | Canceled: the administrator canceled synchronization.

Synchronizations Events

Selecting a synchronization event in the list provides the following information in the lower pane of the Synchronizations view. The icons are in the order that the synchronization process follows:

  • Name: the friendly name for the synchronization.
  • Status: the current status for the synchronization.
  • Errors: the cumulative total of synchronization errors, such as files that could not be synchronized .
  • Files Scanned: the total number of files analyzed for changes on one or more targets.
  • Files Transferred: the total number of files sent to targets.
  • Files Applied: the total number of files updated on the targets.

Related Topics

  • For more information about Application Center applications, see Application Fundamentals.
  • For more information about synchronization, see Synchronization Fundamentals.


Time and Date Synchronization

Application Center uses time values in its synchronization and monitoring processes. Non-synchronized times within a cluster can produce inconsistent behavior in synchronization and monitoring.

Because Application Center uses time values in its synchronization and monitoring processes, the internal clocks of the cluster members must be synchronized or inconsistent behavior in synchronization and monitoring views can result. One example of this is time-shifting of performance counter data in the performance chart in the Cluster view. This makes the charted values to appear as if they happen sooner or later than they really did (or even in the future).

Time Synchronization in a Windows 2000 Domain

Windows 2000 uses a new time synchronization service to synchronize the date and time of servers running in a Windows 2000 domain. Synchronized time is critical in a Window 2000 domain because the default authentication protocol (Kerberos version 5) uses server time as part of the authentication ticket generation process. The Windows 2000 new time synchronization service will work for synchronizing the internal clocks on cluster members.

Time Synchronization in a Windows NT 4.0 Domain

In Application Center, clusters that are in a domain with a Microsoft Windows NT® 4.0 domain controller, time synchronization might not occur. This might happen when the cluster members request the synchronized time from a domain controller and the domain controller cannot be found, or time synchronization is not enabled. If the request fails, the local server will use its own time. This failure fires the following Windows event:

  • Source: W32Time
  • Type: Warning
  • Event ID: 64
  • Description: Because of repeated network problems, the time service is unable to locate a domain controller to synchronize with. To reduce network traffic, the time service will wait 960 minutes before trying again. No synchronization takes place during this interval, even if network connectivity is restored. Accumulated time errors might cause certain network operations to fail. To inform the time service that network connectivity is restored and that it should resynchronize, from the command line, type

    W32tm /s

Note Note For information about activating time synchronization on a Windows NT 4.0 domain controller, see the Knowledge Base article Q258059: "How to Synchronize the Time on a Windows 2000-Based Computer in a Windows NT 4.0 Domain"

Using Application Center Time Synchronization

Cluster Services within Application Center also provides a time synchronization feature that can be used if either you are not in a Windows 2000 domain, or cannot the Windows NT 4.0 utility.

Additional Information

The following Knowledge Base articles have more information about time synchronization:

  • Q224799: "Basic Operation of the Windows Time Service"
  • Q216734: "How to Configure an Authoritative Time Server in Windows 2000"
  • Q258059: "How to Synchronize the Time on a Windows 2000-Based Computer in a Windows NT 4.0 Domain"


Security During Synchronization

Security while synchronizing content and settings across your cluster is maintained by a combination of three factors: security features in Windows 2000, security features in IIS, and network security on your cluster management network.

Windows 2000 Security and Synchronization

Synchronization is affected by the permissions that are set for file and directory access permissions (ACLs), DCOM interface calls, and RPC operations. Application Center monitors and manages these and no security issues are normally generated by these operations.

Possible issues that you might encounter with Application Center synchronization include the following:

  • ACLs and security identifiers (SIDs). Application Center attempts to synchronize ACLs across local server, workgroup, domain, tree, and forest boundaries. ACLs that are synchronized on servers within the same domain, tree, or forest work correctly—after synchronization, their SIDs are still relevant because they are still in the same forest. ACLs that are synchronized across forest boundaries are not correct—SIDs are only relevant to the original, source forest. ACLs created on workgroup servers refer to the local servers and, except for well known SIDs (for example, administrator), are not valid on any other server. You must fix incorrect ACLs on the targets manually. Another approach is to not replicate ACLs. In this case, the ACLs are inherited from the directories on the target. Then, you can set the ACLs with whatever local user accounts are valid at the directory level and the files inherit ACLs from the parent directory.

    Note Note If an account is not valid, it is still applied; however, because the account is not valid, it is not enforced.

  • Changes to file ACLs are not synchronized automatically. If you change the ACLs on a file, the changes are not automatically synchronized by Application Center, unless the file has changed in some way (for example, the content of the file was altered or one of the file attributes has changed).
  • Application Center does not synchronize or deploy Windows 2000 user accounts. To have these accounts on your members, you must use another method. It is recommended that you create a Windows 2000 domain to share and use Microsoft Windows NT® accounts across multiple members.
  • Synchronizing to and from FAT and NTFS file systems. FAT file systems do not support ACLs. If you synchronize or deploy from a member with a FAT file system to a server with an NTFS file system, the files that are delivered to the NTFS file system inherit the ACLs from their new parent directories.

    Caution Caution Installation on FAT16 partitions is not supported (except for Administrative client installations).

    When synchronizing from NTFS to FAT, synchronization fails and the files are rolled back because the ACLs cannot be applied to the FAT file system.

    Note Note By default, ACL synchronization occurs. Use the deployment wizard to change this.

IIS Security and Synchronization

During deployment of COM+ applications and global ISAPI filters, IIS is restarted. Application Center monitors this operation. No security issues are generated by this operation.

Network Security and Synchronization

Application Center synchronization occurs on the management-traffic adapter and uses three transfer protocols:

  • DCOM, which is used for intra-cluster synchronization control information.
  • HTTP, which is used to synchronize files, including COM+ components, both intra-cluster and inter-cluster.
  • RPC, which is used for inter-cluster synchronization control information; for example, from a staging cluster to a production cluster.

Caution Caution While DCOM and RPC communication are made secure by using the same encryption mechanism (RPC packet privacy) that Windows 2000 Server employs, HTTP file transfer is not encrypted. Therefore, do not store passwords in files (for example, in ODBC connection strings in Active Server Pages [ASP]). If sensitive information is being transported and security is a concern, encrypt these files before sending them, and then decrypt these files after synchronization. Additionally, you can use IPSec Policy to provide effective encryption of HTTP traffic.

Note Note IIS passwords stored in the metabase are encrypted during synchronization.

Related Topics

  • For more information on IPSec policies, see the Windows 2000 Server Help.


Securing a Cluster

To build secure Microsoft Application Center 2000 (Application Center) clusters, you must be familiar with the security options and features available to you. This section provides instructions for creating secure clusters by using the security features provided by Microsoft® Windows® 2000 and Internet Information Services 5.0 (IIS). It also provides conceptual information about how to use Application Center as part of a secure Web site.

This section includes:

  • How To...
  • Concepts


How To...

This section provides procedural information for securing your cluster.

This section includes:

  • Authenticate the Command-Line User
  • Secure the Web Tier with IIS


Authenticate the Command-Line User

You can use the Application Center command-line tool AC.exe, to partially administer an Application Center cluster without using the Microsoft Management Console (MMC) snap-in. This is particularly useful for scripting.

Command-line options might require user authentication. To use specific credentials for example, when connecting to a remote computer, use the parameters shown in the following procedure.

To authenticate a command-line user

  • From the command line, type

    AC LOADBALANCE /offline /member:server /username:user_name /password:password

    Where server is the remote computer to connect to.

    Where user_name is the user name to use for authentication. This can be of the form user_name or domain\user_name.

    Where password is the password to use for authentication and is of the form {* | password}. For further security, entering an asterisk (*) causes the user to be prompted for the password. Each character entered is displayed as an asterisk (*).

    If either the user name or the password is not valid, the error message "Username or password not valid" is displayed. For scripting purposes, the return value is 1000 (AC_ERROR).

Note Note Explicit authentication is required whenever the command-line is used to connect to a remote computer. Explicit authentication by using command-line options on a local computer will not work.

Caution Caution Be careful when storing passwords as part of script files. They are not encrypted and can be read easily.

Caution Caution Take care when using the command line with the Microsoft® Windows® 2000 Schedule Services' command AT. If you supply user credentials via the AT /username and /password parameters, they will be stored, unencrypted, in the schedule's associated .job file.


Secure the Web Tier with IIS

Securing Internet Information Services 5.0 (IIS) is essential for building secure Microsoft Application Center 2000 (Application Center) clusters. The IIS documentation in the Microsoft® Windows® 2000 Server Resource Kit contains extensive information, which you should read before making decisions about your Web site security. This section provides further procedural information on how to deal with various IIS security issues.

This section includes:

  • Set ACLs on Virtual Directories
  • Set W3C Extended Logging
  • Check Executable Code Trustworthiness
  • Delete Untrusted Root CA Certificates
  • Remove Sample Applications
  • Disable Unused COM Components
  • Remove Unused Script Mappings
  • Validate ASP Input
  • Disable Parent Paths


Set ACLs on Virtual Directories

To set appropriate ACLs on virtual directories

  1. Set the following Access Control Lists (ACLs) for the following file types:
    File type ACL
    Common Gateway Interface (CGI) (.exe .dll .cmd .pl) Everyone (Denied)

    Administrators (Full Control)

    System (Full Control)
    Script files Everyone (Denied)

    Administrators (Full Control)

    System (Full Control)
    Include files (.inc .shtm .shtml) Everyone (Denied)

    Administrators (Full Control)

    System (Full Control)
    Static files (.txt .gif .jpg .html) Everyone (Read)

    Administrators (Full Control)

    System (Full Control)
  2. Set virtual directory for file types.

    Rather than setting ACLs on each file, you should create new directories for each file type, set ACLs on the directory, and allow the ACLs to inherit to the files. For example, a directory structure might look like this:

    C:\Inetpub\WWWroot\Myserver\Static (.html)

    C:\Inetpub\WWWroot\Myserver\Include (.inc)

    C:\Inetpub\WWWroot\Myserver\Script (.asp)

    C:\Inetpub\WWWroot\Myserver\Executable (.dll)

    C:\Inetpub\WWWroot\Myserver\Images (.gif and .jpeg)

    Also, be aware that the following two directories need special attention because both directories have Everyone (Full Control) and should be overridden with something tighter, depending on your level of functionality.

    C:\Inetpub\FTProot (FTP server)

    C:\Inetpub\Mailroot (SMTP server)

  3. Place the folder on a different volume than the IIS server, if you are going to support Everyone (Write) or use Windows 2000 Disk Quotas to limit the amount of data that can be written to these directories.
  4. Set appropriate IIS log file ACLs. Make sure the ACLs on the IIS-generated log files (%root%\System32\LogFiles) are as follows:
    • Administrators (Full Control)
    • System (Full Control)
    • Everyone (RWC)
    This will help to prevent hackers from deleting files to cover their tracks.


Set W3C Extended Logging

Logging is paramount when you want to determine whether a cluster member is being attacked after a suspected attack has occurred. To enable logging, use the World Wide Web Consortium (W3C) extended logging format.

To enable W3C extended logging within IIS

  1. In the Internet Information Services snap-in, right-click the site to log, and then click Properties.
  2. In the Properties dialog box, on the Internet Information Services tab, in the Master Properties box, click WWW Service, and then click Edit.
  3. In the WWW Service Master Properties dialog box, click the Web Site tab.
  4. Select the Enable Logging check box.
  5. In the Archive log format box, click W3C Extended Log File Format, and then click Properties.
  6. In the Extended Logging Properties dialog box, click the Extended Properties tab, and then set the following properties:
    • Client IP Address
    • User Name
    • Method
    • URI Stem
    • HTTP Status
    • Win32 Status
    • User Agent
    • Server IP Address
    • Server Port

      Server IP Address and Server Port are useful for hosting multiple Web sites on a single server.

      Win32 Status is useful for debugging purposes. Beware of error "5" and access denied errors. These indicate that someone might have tried, and failed, to attack a member. To determine what a Microsoft Win32® error means, at the command prompt, type

      net helpmsg err

      Where err is the error number that you want more information about.


Check Executable Code Trustworthiness

It is difficult to determine whether executable content can be trusted. One test is to use the DumpBin tool to determine if the executable code makes calls to certain APIs. DumpBin is included with many Win32 API developer tools.

To use DumpBin to check for calls made

  1. At the command prompt, to determine whether MyISAPI.dll calls RevertToSelf(), type

    dumpbin /imports MyISAPI.DLL | find "RevertToSelf"

    If no result appear, MyISAPI.dll does not call RevertToSelf() directly. It might call the API through LoadLibrary(), in which case you should search for this.


Delete Untrusted Root CA Certificates

The root certification authority (CA) certificates installed on a server should be from a trusted source. Remove any untrusted cetificates.

To delete untrusted root CA certificates

  1. In Windows 2000, point to Start, and then click Run.
  2. In the Run dialog box, in the Open box, type MMC, and then click OK.

    The Microsoft Management Console (MMC) appears.

  3. In the MMC, on the Console menu, click Add/Remove Snap-in, and then click Add.
  4. In the Add Standalone Snap-in dialog box, click Certificates, and then click Add.
  5. In the Certificates snap-in dialog box, click Computer Account, and then click Next.
  6. In the Select Computer dialog box, enter the name of the computer for the snap-in to manage.
  7. Click Finish, click Close, and then click OK.
  8. Expand the Certificates node.
  9. Expand Trusted Root Certification Authorities.
  10. Click Certificates.

    The details pane appears, showing all of the root CA certificates that are currently trusted.

  11. Delete the root CA certificates that you do not trust.


Remove Sample Applications

Samples are not installed by default and should never be installed on a production server. Note that some samples are installed so that they can be accessed only from http://localhost, or 127.0.0.1; however, you should remove them.

To remove samples

  • Remove the following samples from the default locations shown in the following table.
    Sample | Virtual directory | Location
    IIS Samples | \IISSamples | C:\Inetpub\IISsamples
    IIS Documentation | \IISHelp | C:\Winnt\Help\IIShelp
    Data Access | \MSADC | c:\Program files\Common files\System\MSadc

    Additionally, for other products, delete samples from their installation directories.


Disable Unused COM Components

Some COM components are not required for most applications and should be disabled. Most notably, consider disabling the File System Object component; however, this will also remove the Dictionary object. Be aware that some programs might require the components that you are disabling. For example, Microsoft Site Server 3.0 uses the File System Object.

To remove unused COM components

  • Use Regsvr32 to disable an unused COM component by removing its registry entries, type

    regsvr32 component_name.dll /u

    Where component_name is the COM component to be disabled.


Remove Unused Script Mappings

IIS is preconfigured to support common file name extensions such as .asp and .shtm. When IIS receives a request for one of these file types, the call is handled by a DLL. If you do not use some of these extensions or functionality, remove the mappings.

To remove unused script mappings

  1. In Windows 2000, point to the Start button, point to Programs, point to Program Tools, and then click Internet Services Manager.
  2. Right-click the Web server, and then on the pop-up menu, click Properties.
  3. In the Master Properties box, click WWW Service, and then click Edit.
  4. In the WWW Service Master Properties dialog box, click the Home Directory tab, and then click Configuration.
  5. As appropriate, remove the following references:
    If you do not use | Remove
    Web-based password reset | .htr
    Internet Database Connector (all IIS Web sites should use ADO or similar technology) | .idc
    Server-side includes | .stm, .shtm, and .shtml
    Internet Printing | .printer
    Index Server | .ida and .idq

Note Note To function correctly, the Application Center user interface requires support for .asp and .js file extensions. Do not remove these mappings.


Validate ASP Input

Many sites use input from a user to call other code or to build Structured Query Language (SQL) statements directly. In other words, the sites treat the input as valid, well-formed, non-malicious input. However, this user input should not be trusted. There are a number of attacks in which user input is treated incorrectly as valid input. This common oversight could be used to gain access to the server or cause damage. You should always check all user <Form> input and query strings before passing them on to another process or method call that might use an external resource, such as the file system or a database.

You can check the text with the regular expression capabilities of Microsoft JScript® version 5.0 and Microsoft Visual Basic® Scripting Edition version 5.0 VBScript).

To check for characters

  1. Strip a string of all invalid characters (all characters except for 0-9, a-z, A-Z, and the underscore [_]). For example:

    Set reg = New RegExp

    reg.Pattern = "\W+" ' One or more characters which are
             NOT 0-9, a-z, A-Z, or '_'

    strUnTainted = reg.Replace(strTainted, "")

  2. Strip all text after the OR operator (|). For example:

    Set reg = New RegExp

    reg.Pattern = "^(.+)\|(.+)" ' Any character from
             string start to an '|' operator

    strUnTainted = reg.Replace(strTainted,"$1")

  3. When using the scripting file system object to open or create files, where the file name is based on user input, the user might attempt to open a serial port or printer. For that reason, strip files names that are not valid. For example, the following JScript code strips out file names that are not valid:

    var strOut =
             strIn.replace(/(AUX|PRN|NUL|COM\d|LPT\d)+\s*$/i,"");


Disable Parent Paths

Caution Caution Parent paths allow you to use '..' in calls to MapPath and others. By default, this option is enabled. However, you should disable it.

To disable parent paths

  1. In the Internet Information Services snap-in, right-click the site, and then click Properties.
  2. In the Web Site Properties dialog box, click the Home Directory tab, and then click Configuration.
  3. In the Application Configuration dialog box, click the App Options tab, and then clear the Enable parent paths check box.


Concepts

This section includes conceptual information on how to secure Microsoft Application Center 2000 (Application Center).

This section includes:

  • Application Center Security and Windows 2000
  • Credentials Required for Running Application Center
  • Security and File Systems
  • Network Adapter Cards and Security
  • Security During Synchronization
  • Managing User Accounts
  • Security Implications for Remote Administration
  • Security and the Request Forwarder
  • Application Center and WMI Security
  • Application Center and Logging Security
  • Cluster Topology and Firewalls
  • Firewall Ports


Application Center Security and Windows 2000

Application Center security is based on the services provided by Windows 2000 and, in particular, IIS. Application Center itself has few user-configurable security settings. Therefore, it is critical that you understand the underlying Windows 2000 security architecture.

Review the following information before making any security-related decisions.

Product Documentation

  • Windows 2000 Server Help — "Security"
  • Windows 2000 Server Help — "Internet Tools and Services"

Books

  • Microsoft Windows 2000 Server Resource Kit — Microsoft Press
  • Designing Secure Web-Based Applications for Microsoft Windows 2000 — Microsoft Press
  • Firewalls and Internet Security: Repelling the Wily Hacker — Addison Wesley Longman, Inc
  • Hacking Exposed: Network Security Secrets and Solutions —Osborne Publishing

Web Sites

You should visit the following Web sites regularly to ensure that you are up to date with security issues:

  • http://www.microsoft.com/security/ — this site maintains information on the latest security issues related to Microsoft products. It also has links to the security sections for Microsoft TechNet and the Microsoft Developer Network (MSDN).
  • http://www.sans.org/ — System Administration, Networking, and Security (SANS) Institute.
  • http://www.cert.org/ — the Computer Emergency Response Team Coordination Center (CERT/CC).
  • http://www.cerias.purdue.edu/ — Center for Education and Research in Information Assurance and Security (CERIAS).
  • http://www.gocsi.com/ — the Computer Security Institute.


Credentials Required for Running Application Center

The following credentials are required to use Application Center.

  • An Administrator account (local or domain) is required to launch the Application Center user interface.
  • To manage a cluster, you should use an Administrator account (local or domain) that exists on all involved servers. (usually a cluster controller and cluster member pair). If the account is local, the same password is required for both servers.
  • One set of credentials (with administrative privileges) for the source server, a second set of credentials for the targets, and a third set of credentials for the controller can be used with the deployment wizard to deploy from cluster to cluster.
  • Credentials with administrative privileges on the target server are required to add or remove a cluster member.

For simplicity, you should use one domain account with administrative privileges across a cluster. For security purposes, it is beneficial to use a separate, local, Administrator account to manage a cluster remotely by using the user interface.


Security and File Systems

Windows 2000 can work with three files systems: FAT, FAT32, and NTFS. Although Application Center works with FAT32 and NTFS, it is highly recommended that you use NTFS. NTFS provides a rich set of security features that are not available with FAT32. For example, you cannot use FAT32 to restrict access to files via ACLs. Without NTFS, Web sites are much more vulnerable to security threats.

Caution Caution Installation on a FAT16 partition is not supported (except for Administrative client installations).

Related Topics

  • For more information about how file systems affect cluster synchronization, see Security During Synchronization.
  • For more information about Windows 2000 file systems, see the Windows 2000 Help.


Network Adapter Cards and Security

Cluster members can be configured with two network adapters. A load-balanced (front-end) adapter communicates with clients. The management-traffic (back-end) adapter, manages administrative communication within a cluster between members. For security, this architecture is desirable because no back-end administrative data can be transmitted across the Internet and no front-end Internet-originated data should be transmitted within the cluster.

Note Note It is very important to secure the back-end because of the possibility of attacking the internal administrative protocols and interfaces of Application Center.

Whenever Network Load Balancing (NLB) is used, two network adapters are required. If the cluster does not use load balancing, only one network adapter is required. (However, a second network adapter will be used if it is available.) Having one network adapter introduces the risk of inappropriate data usage because all network traffic is routed through the same network adapter. This is especially significant if the cluster is serving content that is bound for the Internet. Keep this in mind when making decisions about cluster architecture.


Managing User Accounts

Application Center uses the group accounts and user accounts described in the following sections.

Caution Caution Do not delete these accounts. Doing so will cause Application Center to malfunction.

Group Accounts

  • ACA_machine_name: used for administrative operations.

User Accounts

  • ACL_machine_name: the local utility account used by an Application Center member. It is used for administrative work related to the member, such as writing event log information to the Application Center log. The account is a member of the ACA_machine_name group.
  • ACC_machine_name: a cluster controller account that is created on each cluster member. This account is used to manage cluster communication—for authentication across members, to replicate content, and to administer cluster members. The account is a member of the ACA_machine_name group.

    Note Note When another member is promoted to cluster controller, the account name is not changed.

  • IUSR_machine_name: IIS uses this Windows 2000 local account to authenticate anonymous users on the Web site. This account is not used in a cluster and is kept for backwards compatibility only.
  • IUSR_controller_name: used by the cluster instead of IUSR_machine_name. It is replicated from the cluster controller to each new member and provides a single, cluster-wide, account for anonymous access.

    Note Note The account name does not change when another member is promoted to cluster controller. Also, if a member is removed from the cluster, its IUSR_controller_name account will continue to be the anonymous access account.

Caution Caution It is not recommended that you change the anonymous access account for IIS on a cluster after adding members. Changing the anonymous access account for IIS on the controller can cause authentication failures. If you must change the credentials for the anonymous access account, specify a domain account to prevent this from occurring. If you change the credentials to a non-domain account, you must manually add the local account on each member.


Security Implications for Remote Administration

To administer Application Center, you must have administrative privileges.

You can administer Application Center by using any of the following:

  • Application Center snap-in.
  • Application Center Administrative site.
  • Application Center command-line tool.
  • Windows 2000 Terminal Services.

Application Center Snap-in

The Application Center snap-in provides complete remote administration. You can run the Application Center snap-in on an Application Center server or on an Administrative client. The Administrative client must have administrative privileges on the Application Center server. However it is run, the same administrative operations are available.

To enhance security, the administrator, even if logged on with administrative privileges, will need to re-authenticate their credentials to perform certain tasks—for example, to remove a cluster member.

Application Center Administrative Site

Application Center has a Web site that allows Web-based Administrative clients (by using Microsoft Internet Explorer 5.0 or later) to complete certain tasks. Secure access through the browser is maintained entirely through IIS and Windows 2000. For security reasons, the Administrative site allows only the following operations:

  • Events
  • Monitors
  • IP address management

Other operations, such as creating and managing a cluster, are not supported.

The Administrative Web site for an Application Center member can be reached through port 4242 (for example, http://machine_name:4242). If necessary, the browser prompts for user authentication.

Note Note If the Administrative Web site is not required, you should block port 4242 at the firewall.

The Application Center Command-line Tool

The command-line tool does not allow the complete set of operations that the Administrative client provides. In particular, creating clusters is not supported. Sometimes it will be necessary to provide authentication for commands.

Windows 2000 Terminal Services

Terminal Services provides remote control for an Application Center cluster within a company's intranet. This may be via an Internet connection, such as VPN or through a direct connection (for example, a telephone line or ISDN) to the company intranet. Through Terminal Services, you can run the Application Center snap-in on any cluster member or the cluster controller.

Note Note Application Center does not encrypt client/server data. Therefore, it is important to use an appropriate VPN for data encryption.

Related Topics

  • For more information about authenticating command-line commands, see Authenticate the Command-Line User.
  • For more information about Terminal Services security issues and deploying content by using Terminal Services, see the Microsoft Windows 2000 Deployment Planning Guide.
  • For information about VPNs and using the Remote Access Service (RAS) for direct intranet connections, see the Microsoft Windows 2000 Internetworking Guide.


Security and the Request Forwarder

The request forwarder allows specific requests to be forwarded to the cluster controller in load-balanced environments. The request forwarder also forwards misrouted requests for session-state enabled applications.

Security Implications for the Request Forwarder

In accordance with the security principle that all unnecessary code be disabled, it is recommended that you turn off request forwarding if it is not necessary for the correct operation of your cluster and applications.

Related Topics

  • For more information about the request forwarder, see Handling Requests in Load-Balanced Environments
  • For more information about disabling the request forwarder, see Configure the Request Forwarder
  • For more information about removing other unnecessary code, see Secure the Web Tier with IIS


Application Center and WMI Security

The section discusses some points related to Application Center, Windows Management Instrumentation (WMI), Microsoft Health Monitor 2.1, and security.

Any authenticated user can read the Application Center and Health Monitor namespaces, but only an administrator and the cluster user group account, which is identified by ACA_machine_name can write to the Application Center and Health Monitor namespaces (that is, create an instance of existing classes or new classes).

On the Windows 2000 operating system, WMI does not distinguish between local and remote access. Remote connection to a given WMI namespace is a separate user right that might or might not be granted by the system administrator.

Warning Warning With a remote connection, a user can specify a user name and password as a substitute for their current user name and password. If authenticated, the user can access the target namespace. (With a local connection, you cannot override the current user name and password.) If you want to control access to a namespace, you must do it with user rights.

HTTP Monitoring

If a HTTP monitor is created in Health Monitor that uses authentication, the user name and password are stored in the WMI repository and are readable by all users. For this reason, you should use only low-privileged test accounts for monitoring.

Related Topics

  • For more information about Application Center monitoring, see Monitoring a Cluster.
  • For more information about WMI, see the Windows 2000 Help.


Application Center and Logging Security

The Application Center log uses integrated security and the Application Center Events and Performance Logging database.

Integrated Security

The Application Center log uses integrated security, with Read/Write access granted to the Application Center administrative group ACA_machine_name and the server's own Administrators group. ACA_machine_name is used for performing work on the local cluster. ACL_machine_name is a member of this group and is used to write logging information to the Application Center log.

Named Database Instances

The Application Center log uses the Application Center Events and Performance Logging database, which runs as a named instance. This allows multiple copies of Microsoft SQL Server™ 2000 to run on the same server. This, plus the fact that Application Center uses a different port number, isolates the monitoring database from conventional installations of SQL Server. As a result, potential performance and security issues are eliminated when running Application Center Events and Performance Logging and SQL Server on the same computer.

Related Topics

  • For more information about logging, see Monitoring a Cluster.


Cluster Topology and Firewalls

The topology of a Web site has implications for using Application Center, because you must accommodate for cross-firewall communication. This section covers some of the many potential topologies that Application Center can employ.

Example 1

In this example, the internal network is protected by Firewall A. Administration for this topology is straightforward—staging and deployment do not require communication through a firewall. However, a hacker breaking through this layer would be free to cause unlimited damage. In this topology, the database, which might hold sensitive customer information, is particularly exposed.

For further protection, you can add a second firewall to provide the commonly used topology described in "Example 2."

Example 2

In this example, Firewall A acts as it did in "Example 1." Firewall B provides protection by further limiting access to the database and stager. Typically, this is achieved by allowing the cluster members access through Firewall B only. Traffic originating from the Internet is denied access, even though it has successfully negotiated Firewall A. The area in which the Application Center cluster resides in the perimeter network (also known as DMZ or demilitarized zone). Even if the perimeter network is compromised—for example, as a result of a Trojan Horse attack—the database and other sensitive data that resides in the internal network is still secured by Firewall B.

Example 3

In this example, Component Load Balancing (CLB) is used to enhance Web site security, which is a common scenario. When used as the means to access data, COM+ components can use their role-based, or programmatic, security mechanisms to safeguard data. Potentially, this could be compromised if the components are placed on the Web-tier cluster. Calls received by the Web-tier cluster might come from an untrustworthy client looking to take illegal advantage of the COM+ components installed on the cluster member. Use CLB to avoid this by moving the COM+ components off the Web-tier cluster onto a firewall-protected COM+ cluster. The firewall allows components to be created only from calls that have originated within the Web-tier cluster and not from the client.


Firewall Ports

Application Center is able to work through a firewall. It is important to understand these issues when building an Application Center–managed site.

Front-end Firewall

The front-end firewall is the first point of protection for Internet sites. This firewall should block all ports except for Web (80) and Secure Sockets Layer (SSL) (443) traffic.

Deployment

Firewalls play an important role in stage-and-deploy scenarios where Web site content is prepared on a stager, and then deployed to a cluster controller. For security, it is important to isolate the stager by using a firewall. For deployment to succeed, the firewall must have two ports open. These ports must allow communication from the source to the target cluster controller. By default, Application Center uses these ports. You can reconfigure these ports as required.

Port | Purpose
4244 | Provides access for content deployment that is driven by DCOM/RPC.
4243 | Provides access for content deployment that is driven by HTTP.

Remote Control of NLB Clusters

Although it is not recommended, nor is it supported, you can enable remote control of clusters that use NLB.

Caution Caution If remote control is enabled (disabled by default), it is vital, for security reasons, that you use a firewall for the NLB User Datagram Protocol (UDP) ports (the ports receiving remote-control commands) to shield them from outside intrusion. By default, these are ports 1717 and 2504 at the cluster IP address.

Note Note Application Center does not support synchronization of the NLB remote-control password. You must set the NLB remote-control password on each cluster member.

Related Topics

  • For more information about the remote control parameter, see the Windows 2000 Server Help.
  • For more information about using firewalls, see Cluster Topology and Firewalls.


Monitoring a Cluster

This section provides information about and procedures for using the Microsoft Application Center 2000 (Application Center) monitoring features: events, monitors, performance counters, and Microsoft Health Monitor 2.1 data groups, data collectors, thresholds, and actions.

This section includes:

  • How To...
  • Concepts

Related Topics

  • For more information about Microsoft® Windows® 2000 monitoring, see the Windows 2000 Help.
  • For more information about Health Monitor functionality, see the Health Monitor Help.


How To...

This section includes:

  • View Information
  • Customize Logging
  • Customize Performance Monitoring
  • Customize Event Viewing
  • Customize Monitor Viewing


View Information

Use these procedures to get a quick summary for a cluster or cluster member by viewing status, events, performance counters, and monitors.

To view member status

  • In the Application Center snap-in, click the cluster node or cluster member node.

    The status appears in the details pane. This status is updated every 30 seconds.

    Note Note The status for each member is an aggregate of the Microsoft Health Monitor 2.1 status for that member.

To view events

  • In the Application Center snap-in, expand the cluster node or cluster member node, and then click Events.

    The events appear in the details pane. The Events view is not updated automatically. To update the Events view to check for new events, click Refresh or press F5.

    Notes Notes

      • Viewing events for a member displays all of the events raised on that member.
      • Viewing events for the cluster shows all events for all members.
      • If no events appear in the Events view, either the logging settings exclude all events or Application Center Event and Performance Logging is not installed.

To view performance counters

  • In the Application Center snap-in, click the cluster node or cluster member node.

    The performance chart appear in the details pane. This chart is updated every 30 seconds. You can customize the performance chart to show only specific performance counters, only performance counters from a specific time frame, or both.

    Notes Notes

      • By default, no performance counters appear in the performance chart, you need to add counters.
      • Performance counters for the cluster in the performance chart are an aggregate of the counters collected for all members.

    Note Note

To view monitors for a member

  • In the Application Center snap-in, expand the cluster node, expand the member node, and then click Monitors.

    The monitors appear in the details pane. This status is updated every 30 seconds.

    Note Note You can view monitors for members only; not for the entire cluster.

Related Topics

  • For more information about member status, see Application Center Monitors.
  • For more information about events and event exclusions, see Events.
  • For more information about Application Center Events and Performance Logging, see Monitoring Process.


Customize Logging

This section includes:

  • Log Events by Severity (Type)
  • Stop Logging a Specific Event
  • Start Logging a Specific Event
  • Change Event Log Persistence
  • Clear the Event Log
  • Enable / Disable Performance Counter Logging
  • Archive Log Data


Log Events by Severity (Type)

Use this procedure to enable/disable logging of events by their severity (type).

Note Note If you did not install Application Center Events and Performance Logging, you cannot enable logging.

To enable and disable event logging for a particular severity

  1. In the Application Center snap-in, expand the cluster node.
  2. Right-click the Events node, and then click Properties.
  3. Under Events, select the event severity that you want logged for each product (Application Center, Windows, and Health Monitor).
  4. To disable event logging for events created by the specific product, click None.
  5. To log Informational events, click All.

    Note Note Error events are automatically logged to the Windows Event log when Application Center Events and Performance Logging is installed. When it is not installed, both Warning and Error events are logged to the Windows Event Log, as well as several request forwarding events.

Caution Caution Once the data is removed from the log, it is no longer available. If you want to use this information, archive the logged data before it expires.

Related Topics

  • For more information about archiving, see Archive Log Data.


Stop Logging a Specific Event

You can disable logging for specific events. This can be useful to hide events that you are aware of and no longer need to see. Events of this type that are already logged are still displayed in the Events view until they are cleaned-up by Application Center after the period of time specified in the Keep logged events for (days) text box or until the log is cleared.

Notes Notes

    • Application Center always logs error events to the Windows 2000 Event Log (and warning events if Application Center Events and Performance Logging is not installed).
    • Event logging for these events is disabled on every member.

To disable logging for a specific event

  1. In the Application Center snap-in, expand the cluster node.
  2. Under the cluster node, right-click the Events node, and then on the pop-up menu, click Properties.
  3. In the Event Properties dialog box, click Exclusions.
  4. In the Event Exclusions dialog box, in the Product box, click the appropriate event source, and then click Add.
  5. Click the appropriate event severity, and then, if required, in the Source box, enter the event source and in the Event ID box, enter the identifier number.

    Different products require different information, as defined below:

    Different products require different information, as defined next:

    Notes Notes

      • Windows events require the event source (a service or application) for Source.
      • For Application Center events the source is not necessary; every event identifier is unique.
      • Health Monitor data collector events require the event source (the name of the data collector) for Source. The event identifier is not necessary.
      • Event logging exclusions use a combination of the Product, Event ID, and Severity (Type) event properties to identify events to exclude. For example the Informational event with an identifier of 8022 is considered to be a different event than the Warning event with an identifier of 8022. Therefore, to exclude all events with an identifier of 8022, you must use all three properties in the exclusion definition.

Related Topics

  • For more information about events and clearing the event log, see Events.
  • For a list of all the Application Center events, see Application Center Event Reference.
  • For more information about event logging, see Monitoring Process.
  • For more information about data collector event identifiers, see the Health Monitor Help.


Start Logging a Specific Event

Note Note If you did not install Application Center Events and Performance Logging, logging cannot be enabled.

To re-enable logging for a specific event

  1. In the Application Center snap-in, expand the cluster node.

    Note Note Event logging for these events is enabled on all members.

  2. Under the cluster node, right-click the Events node, and then on the pop-up menu, click Properties.
  3. In the Event Properties dialog box, click Exclusions.
  4. In the Event Exclusions dialog box, in the Product box, select the appropriate event source.
  5. In the Excluded events box, click an excluded event.

    You can select multiple events by pressing the CTRL key while clicking. You can select a range of events by clicking the first event in the range, and then pressing the SHIFT key while clicking the last event in the range.

  6. To re-enable logging for the event (remove the logging exclusion), click Remove.

Related Topics

  • For more information about events, see Events.
  • For more information about event logging, see Monitoring Process.


Change Event Log Persistence

Use this procedure to configure how long event log data is kept before being removed.

Note Note If you did not install Application Center Events and Performance Logging, logging cannot be enabled.

To change log persistence

  1. In the Application Center snap-in, expand the cluster node.
  2. Right-click the Events node, and then on the pop-up menu, click Properties.
  3. Under Options, in the Keep logged events for (days) box, type the number of days.

    Notes Notes

      • You can configure log persistence only for the cluster, not for individual members and only for event logs.
      • You cannot configure performance counter log persistence.
      • You can configure event log persistence from 0 days (event information is kept only for the current day) through 3650 days.
      • The AC Log Agent Service checks (and cleans, as necessary) the event log once per hour, and events older than the time specified in this setting are removed.

Caution Caution Once the data is removed from the log, it is no longer available. If you want to use this information, archive the logged data before it expires.

Related Topics

  • For more information about archiving, see Archive Log Data.


Clear the Event Log

Use this procedure to clear the event data from the Application Center events database for a specific member.

Caution Caution Clearing the event data for a specific member deletes all of the event data from the Application Center event database for the member. For that reason, you will be unable to view or generate a report for the cluster member from this data. You might want to archive the event data before clearing it.

To clear the event data from the event log for a specific member

  1. In the Application Center snap-in, expand the cluster node, and then expand the Members node.
  2. Right-click the member's Events node, and then on the pop-up menu, click Clear events.

Note Note The Events view is not updated after this procedure. To update the Events view, click Refresh or press F5.

Related Topics

  • For more information about archiving data, see Archive Log Data.


Enable / Disable Performance Counter Logging

You can enable or disable logging for all performance counters. If you enable logging, all performance counters are logged even if they are not displayed. If you disable logging, no counters are logged and only those still in the log can be displayed.

To enable and/or disable performance counter logging

  1. In the Application Center snap-in, expand the cluster node, and then under the cluster node, right-click Events, and then on the pop-up menu, click Properties.
  2. To enable logging, in the Events dialog box, select the Enable performance counter logging check box.
  3. To disable logging, in the Events dialog box, clear the Enable performance counter logging check box.

    Notes Notes

      • This setting affects logging for all performance counters and for all cluster members.
      • You cannot use this setting for individual members.
      • If you disable logging, the data persists in the log until the next scheduled aggregation and clean-up time. For the different views it is:
        • 15 minutes—1 day
        • 1 hour—1 day
        • 1 day—1.25 days
        • 1 week—10 days
        • 3 months—125 days
      • If you re-enable logging, it begins from the time logging is reenabled.

Related Topics

  • For more information about performance counters, see Performance Counters.


Archive Log Data

You can use Microsoft SQL Server™ Data Transformation Services (DTS), SQL Server Agent, or some other similar application to archive event and performance counter log data before it is cleaned-up or summarized from the log.

Notes Notes

    • Archiving log data from the user interface is not supported in this release.
    • If you did not install Application Center Events and Performance Logging, this data is not logged and is not available for archiving.

To archive event data by using DTS to copy tables

You must use SQL Server to access the Application Center Events and Performance Logging database. You can export the information to various formats, including SQL Server tables, Microsoft Excel spreadsheets, and Microsoft Access databases. For a Microsoft Access database, you must create a *.mdb file on the target before it can be written to.

Application Center uses a named instance of the SQL Server Desktop Engine. When you specify the database, you must specify the named instance server_name$MSAC.

  1. In the SQL Server Enterprise Management snap-in, add a new SQL Server registration for each cluster member.

    Note Note You can also add the SQL Server Enterprise Management snap-in to the Application Center snap-in.

  2. Right-click a newly-registered server node, on the pop-up menu, click All Tasks, and then click Export Data.
  3. In the Data Transformation Import/Export Wizard, click Next.
  4. In the Database box, click ACLog, and then click Next.
  5. In the Server box, enter the target name.

    Notes Notes

      • The [local] server is the SQL server from which you are performing the tasks, which might not be the same server that you entered as the target in the Server box.
      • You can use this feature to archive the events and performance counter data from your entire cluster to a centralized repository.
  6. Click Next.
  7. Use Copy table(s) to copy over the various tables as-is (this option is selected by default).
  8. Click Next.
  9. Select the various tables to copy over, and then click Next.
  10. You can run the operation immediately and only once, or select the Schedule DTS check box, and then click the ellipsis button to configure a scheduled export.
  11. Click Next.

    The tables are copied to the target.

Related Topics

  • For more information about generating reports, see Generating Reports and Archiving Data.
  • For more information about the SQL Server Agent, DTS, adding a SQL Server registration, exporting methods, and the Data Transformation Import/Export Wizard, see the SQL Server Help.
  • For more information about adding a snap-in to a snap-in, see the Windows 2000 Help.


Customize Performance Monitoring

This section includes:

  • Add / Remove Counters in the Performance Chart
  • View Time Frame


Add / Remove Counters in the Performance Chart

Use these procedures to add or remove specific performance counters in the performance counters chart. These settings only define which counters are displayed in the performance counters chart and do not affect performance counter logging. If performance counters are not logged, they are not displayed in the performance counters chart.

Notes Notes

    • Counter display settings are not synchronized across the cluster.
    • You can display settings for each member, which means that you can display different counters for each member. Settings for one member do not affect settings for another member.
    • The counters in the details pane for a cluster are an aggregate of the counter values for all of the cluster members.
    • The counters display settings persist from session to session. The settings will remain if you close and re-open the Application Center snap-in, or even if you restart the server.

To add specific counters

  1. In the Application Center snap-in, click the cluster node or cluster member node.
  2. In the details pane, in the performance chart, click Add.
  3. In the Add a Counter dialog box, click the appropriate counter, and then click Add.
  4. To add additional counters, repeat the preceding steps.

    Note Note Several performance counters are logged by default, but none are displayed by default. To view counters, add them to the performance chart.

  5. When you have added all of the specific counters, click Close.

To remove specific counters

  1. In the Application Center snap-in, click the cluster node or cluster member node.
  2. In the details pane, in the performance chart, click the appropriate counter, and then click Remove.
  3. To remove additional counters, repeat the preceding steps.

Related Topics

  • For more information about counters, see Performance Counters.
  • For more information about data logging, see Archive Log Data.
  • For more information about disabling performance counter logging, see Enable / Disable Performance Counter Logging.


View Time Frame

To select a time frame

  1. In the Application Center snap-in, click the cluster node or cluster member node.
  2. In the details pane, in the Charted Period box, click a time frame.
Charted Period | Refers to
Fifteen Minutes | The last 15 minutes.
One Hour | The current hour.
One Day | The current day.
One Week | The current week (the last 7 days).
Three Months | The current 3 months (the last 2 full months and the month to-date).

Related Topics

  • For more information about performance counters, see Performance Counters.
  • For more information about performance counter log summarization, see Monitoring Process.


Customize Event Viewing

This section includes:

  • Filter by Product
  • Filter by Event Severity (Type)
  • Filter by Event Source
  • Filter by Event ID
  • View Event Details


Filter by Product

Use this procedure to view events by the product that generated the event: Windows 2000, Application Center, or Health Monitor.

Note Note These settings do not affect how events are logged, only how they are displayed in the Events view.

To view events by log type

  1. In the Application Center snap-in, expand the cluster node or cluster member node, and then click Events.
  2. In the Events view, in the Product box, click the appropriate event log from which to view events.
  3. To update the Events view by using the new criteria, click Filter.

Note Note Product refers to the event log from which the events are taken. The logs are Windows events, Application Center events, and Health Monitor data collectors.

Related Topics

  • For more information about events, see Events.
  • For more information about logging events by product, see Log Events by Severity (Type).
  • For more information Health Monitor data collectors, see Application Center Monitors.


Filter by Event Severity (Type)

Use this procedure to view events by severity: Informational, Warning, or Error.

Note Note These settings do not affect how events are logged, only how they are displayed in the Events view.

To view events by event severity (type)

  1. In the Application Center snap-in, expand the cluster node or cluster member node, and then click Events.
  2. In the Events view, in the Type box, click the appropriate event severity.

Related Topics

  • For more information about event severity, see Events.
  • For more information about logging events by severity, see Log Events by Severity (Type).


Filter by Event Source

Use this procedure to view events by the object or application that generated the event.

Note Note These settings do not affect how events are logged, only how they are displayed in the Events view.

To view events by event source

  1. In the Application Center snap-in, expand the cluster node or cluster member node, and then click Events.
  2. In the Events view, in the Source box, enter the event source.

Note Note Source refers to the object or application that generated the event. For example, Source for the Application Center Replication Service is Replication. For Health Monitor events, Source is the name of the data collector.

Related Topics

  • For more information about event sources, see Events.
  • For more information about customizing event logging, see Customize Logging.


Filter by Event Identifier

Note Note These settings do not affect how events are logged, only how they are displayed in the Events view.

To view events by event identifier

  1. In the Application Center snap-in, expand the cluster node or cluster member node, and then click Events.
  2. In the Events view, in the Event ID box, type the event identifier number.

Note Note Event ID is a unique number that identifies each Application Center event. Events generated by the Windows Event Log have the Event ID that is displayed in the Event Log. The event identifiers for Health Monitor are: Critical - 9, Warning - 8, and OK - 1.

Related Topics

  • For more information about event identifiers, see Events.
  • For a list of all Application Center events, see Application Center Event Reference.
  • For more information about excluding events from logging by Event ID, see Stop Logging a Specific Event.


View Event Details

To view details for a specific event

  1. In the Application Center snap-in, expand the cluster node or cluster member node, and then click Events.
  2. In the Events view, in the Events box, click an event.

    The event details appear in the Events list.

    Note Note The links View troubleshooting information for this event and the Visit Microsoft Support Online for support information (KB articles, etc.) for this link are available only for Application Center events only. (In the Events view, look under the Description column.)

Note Note Event details provide concise information about what the event means, what the event effected, how severe it is, and what steps need to be taken, if any.

Related Topics

  • For more information about events or event details, see Events.
  • For a list of all the Application Center events, see Application Center Event Reference.
  • For more information about Application Center error messages, see Error Message Reference.


Customize Monitor Viewing

This section includes:

  • Enable / Disable Monitors
  • Re-evaluate Monitors


Enable / Disable Monitors

Note Note You can add, delete, and edit monitors only in the Health Monitor snap-in. These features are not available in the Application Center snap-in.

To enable/disable a specific monitor

  1. In the Application Center snap-in, expand the cluster member node, and then click Monitors.
  2. In the Monitors view, click the monitor, and then click Disable.
  3. If the selected monitor is disabled, click Enable.

Note Note Monitors that are synchronized across the cluster receive their state from the cluster controller. If one of these monitors is disabled on a member but is enabled on the controller, the disabled state will be overridden by the controller during the next synchronization cycle.

After enabling or disabling a monitor, it may take several seconds for the monitor's new status to appear. The Monitors view is updated every 30 seconds and it may take several seconds for the enable/disable operation to complete.

Related Topics

  • For more information about monitors, see Application Center Monitors.
  • For more information about using Health Monitor with Application Center, see Using Health Monitor in Application Center.
  • For more information about local and global monitors, see Local and Global Monitors.


Re-evaluate Monitors

Use this procedure to get the most recent monitoring information for a specific monitor.

Note Note Updating monitor information is different than re-evaluating monitor information. Updating monitors refreshes the Monitors view. Use Check Now to cause Health Monitor to recollect the monitoring data and recalculate thresholds. Depending on the data collector, this might take a moment as the data is recollected.

To re-evaluate a specific monitor

  1. In the Application Center snap-in, expand the cluster member node, and then click Monitors.
  2. In the Monitors view, click the monitor, and then click Check Now.

    Note Note It might take several seconds for the task to complete and for the new values to appear.

To update the Monitors view

  1. In the Application Center snap-in, expand the cluster member node, and then click Monitors.
  2. In the Monitors view, click Refresh or press F5.

Note Note The monitoring information displayed in the Monitors view might not reflect the latest data. By updating the data, you will receive the most recent information about that specific monitor.

Related Topics

  • For more information about monitoring, see Monitoring Fundamentals.
  • For more information Health Monitor, see Application Center Monitors.


Concepts

This section discusses the Microsoft Application Center 2000 (Application Center) monitoring process. The Application Center monitoring feature allows you to track data about the functional health, performance, and availability of your cluster, and automatically send notification, all of which you can use for taking corrective actions when required. Application Center simplifies monitoring by gathering, logging, and presenting this information in charts and lists.

This section discusses Application Center monitoring concepts, describes the process and the types of data, and explains how to enhance Application Center monitoring by using Microsoft Health Monitor 2.1.

This section includes:

  • Monitoring Fundamentals
  • Monitoring Process
  • Available Data
  • Using Monitoring
  • Using Health Monitor in Application Center
  • Monitoring Samples


Monitoring Fundamentals

Monitoring your cluster involves tracking data about the functional health, performance, and availability of your cluster and cluster members. Microsoft Application Center 2000 (Application Center) simplifies this process by gathering, logging, and presenting this information in charts and lists. Application Center also includes tools that you can use to monitor your cluster and cluster members and to automate notifying the administrator and taking corrective actions on a cluster. You can monitor clusters and members with several goals in mind, such as monitoring Web site availability, determining if you need to add or subtract members, planning for future usage spikes, and locating performance bottlenecks.

Application Center continuously records and displays four aspects of the functional health of your cluster and members: events, performance counters, server health (by using Microsoft Health Monitor 2.1 data collectors), and member status. This data informs you of the availability of your cluster and members and of problems that might be developing.

Event and monitoring data is generated by various services, applications, and objects, including the following:

  • Microsoft® Windows® 2000 events, which you can use to determine the functional status of Application Center and Windows 2000.
  • Microsoft Windows Management Instrumentation (WMI), which provides a comprehensive and extensible management infrastructure for applications, services, and objects in Windows 2000. It provides a standardized method for accessing events and other monitoring and management information across an enterprise environment.
  • Health Monitor, which sends events and executes actions in response to exceeded thresholds by using data collectors. Application Center provides several Health Monitor data collectors, which are configured by default. You can add to these by using Health Monitor to create new data collectors or by installing the Health Monitor sample data collectors.
  • Application Center, which is the most frequent supplier of events to itself. Unlike other event providers, Application Center also includes extended information about its events.

Application Center Monitoring Functionality

Application Center offers the following core monitoring functionality:

  • Events, which are occurrences on your cluster and members that are of administrative interest. Events are generated by a range of objects, services, and applications within Application Center and throughout your network and are displayed in the Application Center Events view. When Application Center Event and Performance Logging is installed, error events are logged to the Windows Event Log; when Application Center Event and Performance Logging is not installed, both Warning and Error events are logged to the Application Center log. You can use the Windows Event Log to view any Application Center event that is logged to the Windows Event Log.
  • Health Monitor data collectors, which are objects that collect metrics for a particular process or service and use thresholds. Thresholds compare a particular metric in the data collector to a user-defined limit or condition. When that threshold is met, the threshold triggers a status change in the data collector which triggers an action, such as sending an e-mail alert to the system administrator.
  • Performance counters, which indicate how much a specific resource is used, such as a certain percentage of the hard disk. Application Center logs several default performance counters to give you an overview of the performance for your cluster and members. By using the Application Center Performance view, you can see the counters in real time or for a set of pre-defined periods. You can also use the Windows 2000 Performance Viewer.

    By default, no performance counters are displayed in the user interface. To view counters, you must add them. Additional sample performance counters are available for installation.

Monitoring Tasks

Most frequently, you will use monitoring after you have set up your cluster to ensure that your content and services are at their highest availability and performance. This involves watching events that signify that a member or Web site has been taken offline, as well as watching performance counters for situations such as memory leaks and CPU resource use.

Additional monitoring tasks include the following:

  • Analyzing hardware performance by monitoring CPU use, memory consumption, file serving performance, and disk space.
  • Analyzing application efficiency by monitoring performance and resource use.
  • Analyzing network availability by monitoring for situations where memory and CPU resources are normal, but requests are not being serviced, or when users are not able to make a connection to your cluster.
  • Creating and editing data groups, data collectors, thresholds, and actions.
  • Analyzing statistics gathered from data collectors.
  • Executing automatic actions in response to status changes.

Related Topics

  • For more information about Windows 2000 events, see the Windows 2000 Help.
  • For more information about the Application Center monitoring process, see Monitoring Process and Available Data.
  • For more information about performance counters, see Performance Counters.
  • For more information about Health Monitor data collectors, see Using Monitoring and the Health Monitor Help.
  • For more information about monitoring tasks, see How To....


Monitoring Process

The Microsoft Application Center 2000 (Application Center) monitoring process includes four steps:

  • Data generation
  • Data logging
  • Data summarization
  • Data use

Each of these steps is described in the following sections.

Data Generation

Application Center, Microsoft Health Monitor 2.1, and Microsoft® Windows® 2000 generate events and performance counters and provide them to Windows Management Instrumentation (WMI). Application Center subscribes to, or listens for, a subset of WMI events and captures them to a log for use later by the Application Center user interface. Application Center also includes extended information about its events, called event details, and specific troubleshooting information.

Events are generated automatically in response to a specific occurrence on a cluster or cluster member. These events tell you about what is going on in your system. These events are crucial to understanding which actions to take to solve problems that are associated with events and errors.

Data Logging

The monitoring data that is gathered by Application Center is logged to and stored in a Microsoft SQL Server 2000 database, Application Center Events and Performance Logging, which is in the Application Center installation directory at %Program Files%\Microsoft SQL Server\MSSQL$MSAC. This database is exactly like SQL Server in its tables' infrastructure and function. You use the same queries, stored procedures, and other data access methods that you use for SQL Server. You can use the information in this database for a variety of operations, including query by the user interface for displaying purposes or query by scripts or stored procedures for archiving or summarizing data.

Logging the monitoring data rather than consuming it in real time allows the data to be displayed more flexibly and provides a simple and structured mechanism for other applications and services to access the data. Because this data is stored in tables, you can use Structured Query Language (SQL) queries to generate reports or archive the data before it is overwritten or summarized.

Application Center scans the 1-Minute, 15-Minute, and 2-Hour logs for data points that are older than the date specified in the Keep logged events for (days) box in the Events Properties dialog box. All data points that are older than this date are removed from the event log. Because data summarization provides several levels of granularity that correspond to the different time frames, Application Center can show data points for several different time frames. For example, the data points for the last 15 minutes are more granular than the data points for the current day.

You can choose to install Application Center without installing Application Center Events and Performance Logging. If you do this, you will no longer be able to view data in the Events view or the performance chart, nor will you be able to archive data or generate reports programmatically.

Caution Caution If you do not install Application Center Events and Performance Logging, all event and performance counter data will not be available unless you use some other method to capture and log the data. Only a subset of Application Center events logged by the Windows 2000 Event Log will be available.

Data Summarization

Application Center collects detailed information about cluster and member status. Because Application Center collects a large amount of data, the file sizes of the Application Center Events and Performance Logging tables can grow large. If all this information is stored for a long time, it quickly consumes too much disk space. Therefore, to conserve disk space and to keep these files small, Application Center periodically summarizes the stored data and relogs it to a summarization table.

Data summarization occurs for two data sets:

  • Event data, which is kept in the log for a set number of days before it is removed. You can set this time period in the Application Center snap-in. The default is 15 days. Events are removed from the database after the specified time period.
  • Performance counter data, which is collected every 10 seconds and is summarized, or rolled-up, in four intervals: 1 minute, 15 minutes, 2 hours, and daily. These times are synchronized across all members.

Performance view | Table Name | Collection Interval | Summarized every | Stored for
15 minutes | PerfHistory | 10 seconds | Every minute | 1 day
2 hours | PerfHistory1 | 1 minute | Every 15 minutes | 1 day
1 day | PerfHistory2 | 15 minutes | Every 2 hours (even hours) | 1 day
1 week | PerfHistory3 | 2 hours | Every day (midnight) | 10 days
3 months | PerfHistory4 | 1 day | Not summarized | 30 days

Both of these processes involve broadening the data granularity. For example, the data from all the days of one week are summed up into a smaller table for the week. When data is summarized for display or re-storage, there are certain implications to consider:

  • As you view progressively longer time frames, you see less data details. The longer time frames are intended as a data summarization for representing trends over time.
  • To see more data detail, you must collect data more often, which results in greater consumption of disk space.

Note Note If detail is important in your monitoring and analysis, archive the detailed data before it is summarized or deleted.

Data Use

Application Center is the primary consumer of the event and monitoring information that it logs. The user interface, especially the Events view, performance chart, and cluster status, displays this information for the cluster or member. You can customize these views.

You can use SQL Server 2000 Data Transformation Services (DTS), SQL Server Agent, or some other similar application to archive data for later use in reports. You can export the information to various formats, including SQL Server 7.0 tables, Microsoft Excel spreadsheets, and Microsoft Access databases.

You can use Active Server Pages (ASP) applications, or similar scripts or applications, to perform queries on the event and monitoring data that Application Center Events and Performance Logging records, and then generate reports from the data. These applications can use SQL queries against the data tables, retrieve and filter the returned data, display the data, and create another table to store the reported data.

Note Note Application Center version 1.0 does not provide report generation, reporting features, or special queries.

Related Topics

  • For more information about thresholds and actions, see Thresholds and Actions.
  • For more information about events, event details, and troubleshooting, see Events.
  • For more information about generating reports and archiving data, see Generating Reports and Archiving Data and Archive Log Data.
  • For more information about installing Application Center without Application Center Events and Performance Logging, see Installing Without Application Center Events and Performance Logging.
  • For more information about setting the log persistence time, see Change Event Log Persistence.
  • For more information about ASP applications, see the Microsoft Internet Information Services version 5.0 (IIS) Help.


Available Data

This section includes:

  • Events
  • Performance Counters
  • Application Center Monitors

Related Topics

  • For information about thresholds, see Thresholds and Actions.


Events

This section provides detailed information about what events are, event sources, event severity, and describes the Events view.

Events are occurrences on your cluster or member of some administrative interest. These events are generated by a range of objects and applications both within Application Center and throughout your network. These events are displayed in the Application Center Event view. All of the Windows 2000 Informational, Error, and Warning events and some of the Application Center Error events are also logged in the Windows Event Log. Thus, you can view these events in the Windows 2000 Event Viewer.

Note Note The Windows Event Log uses Greenwich Mean Time (GMT).

Product (Source of Events)

A wide range of objects, applications, and services generate events that Application Center Events and Performance Logging records and displays. The following table summarizes the three most important event categories.

Product (source of event) | Description
Windows 2000 events | All of the Windows 2000 events that are logged by Application Center, except Audit events.
Health Monitor events | Different than Health Monitor data collectors, these events are generated by Health Monitor when a data collector's status is changed by a threshold.
Application Center events | Certain events that are generated by the various services within Application Center, such as synchronization and load balancing. Some of the error events are also logged to the Windows 2000 Event Log.

Event Type (Severity)

Events signify occurrences of varying severity, such as Informational, Warning, and Error events. The following table describes event severity.

Icon | Event type | Description
Informational event icon | Informational | Describes the successful operation of an application, driver, or service (for example, when a network driver loads successfully).
Warning event icon | Warning | Indicates an event that is not necessarily significant, but might indicate a possible future problem (for example, low disk space).
Error event icon | Error | Indicates a significant problem, such as data or functionality loss (for example, a service failed to load during start up).

Note Note The Success Audit and Failure Audit events are not directly applicable to Application Center, although they are relevant to Windows 2000 security.

Event Details and Troubleshooting Information

Application Center provides two additional sources of information about events:

  • Event details, which is a longer description of the event that provides more information about the source of the event, the severity of the event, and other technical details that are useful for troubleshooting.
  • Troubleshooting information, which is a detailed message that provides information about the meaning, severity, and effect of the event, as well as possible solutions and troubleshooting steps. Also included is a link to Microsoft Support Online (Product Support Services), which provides late-breaking information about the event, such as Knowledge Base articles and hot fixes.

    If Microsoft Support Online does not have any data about a particular event, a default page is provided with more generalized information about troubleshooting.

Understanding the Events View

The Events view in the Application Center snap-in shows relevant events and provides filtering and search capabilities. The following table describes the different fields and provides an example of an Application Center event.

Field | Description | Example
Icon | An icon representing the event severity. | Informational event icon
Date | The date on which the event occurred. | 3/13/2000
Time | The local time when the event occurred. | 5:04:31 PM
Member | The name of the computer on which the event occurred. | CLUSTER05
Source | The process that raised the event. | Replication
Event ID | A numerical identifier for the event. | 4023
Description | A brief description of the event. | The cluster member failed

Event Details

Event details provide more information about events than the Events view. This additional information includes the the event's source, a description of the event, and details about what is affected by the event.

Event property | Description
Icon | Specifies the severity: Informational, Warning, or Error.
Date | Indicates the local date on which the event was generated.
Time | Provides the local, 24-hour, time when the event was generated.
Member | Specifies the server that generated the event.
Event ID | A unique numerical identifier for the event.
Product | Indicates the product that generated the event (for example, Windows 2000, Application Center, or Health Monitor).
Source and category | Provides the specific part of the service that generated the event.
Description | Gives a longer explanation for the event, including what resources are affected and other technical information.

Links to Additional Event Information

Included in the Events view, for Application Center events only, are two links (for Warning and Error events) to troubleshooting information and Support Online information regarding the specific event.

Related Topics

  • For more information about customizing the Events view, including event filtering, see Customize Event Viewing.
  • For more information about Health Monitor data collectors, see Application Center Monitors.
  • For more information about thresholds, see Thresholds and Actions.
  • For more information about the Windows Event Viewer, see Accessing and Using the Windows 2000 Monitoring Tools.
  • For more information about the Windows 2000 Event Log, see the Windows 2000 Help.


Performance Counters

This section discusses the performance chart (in the details pane for a cluster or member) and default performance counters that are charted in Application Center.

The Performance View

You can view the performance counter data for a cluster or member for several time frames: 15 minutes (the last 15 minutes), 1 hour (the last hour), 1 day (the last 24 hours), 1 week (the last 7 days), and 3 months (the last 3 months, including the current month).

Application Center uses two types of data manipulation: data summarization and data aggregation. Data summarization refers to how the data is summed up for logging. Aggregation refers to how the data is summed up for the performance chart.

Note Note The different time frames do not affect the logging of event and performance counter data. This data is collected and stored, if Application Center Event and Performance Logging is enabled for your cluster. Application Center updates the performance chart every 10 seconds.

Time Periods

The following table lists the time frames that you can use to view performance counters. These time frames also represent different data resolutions; that is, the shorter time periods collect data more often.

Time period | Data interval | Data summarized | Typical usage
Fifteen Minutes | 10 seconds | Every minute | Monitoring and troubleshooting performance issues and testing performance adjustments.
Two Hours | 1 minute | Every 15 minutes | Monitoring and troubleshooting performance issues and testing performance adjustments.
One Day | 15 minutes | Every 2 hours (even hours) | Gathering usage and availability data as the day proceeds. Most monitoring is done by using this time frame.
One Week | 2 hours | Every day (at midnight, local time) | Gathering usage and availability data for the whole week, to date. This time frame is useful for analyzing performance and load trends.
Three Months | 1 day | No summarization | Gathering usage and availability data for the last three months, to date. This time frame is useful for analyzing usage and load trends and high-level capacity planning, such as hardware upgrades and purchases.

Default Performance Counters

The following table presents the default performance counters (listed alphabetically) that are used by Application Center and includes their name, a short description, the units used, and how Application Center aggregates the the data in the performance chart. Aggregation methods include:

  • Average—an average of the values gathered for the last time period.
  • Sum—the total for the values over the time period.
  • Min Value—the smallest value over the time period.
  • Max Value—the largest value over the time period.
  • Last—the last value over the time period.
  • None—no aggregation was done. This applies to the Fifteen Minutes view.

Notes Notes

    • Min Value and Max Value for a cluster are not valid when the server aggregation is Sum for a member.
    • Three performance counters are shown in the performance chart by default: Processor Utilization, Memory Available, and Web Service Get Requests. You can add to these or delete them as required.

For example, ASP Requests Queued shows an aggregation for server:avg - cluster:sum. This means that when viewing the counter for a member at the Two Hours resolution, the value given for a member is the average number of ASP requests queued over the last minute (the collection interval). When viewed for a cluster, the value represents the summed values of the individual members' averages over the last minute (the collection interval).

For example, for a cluster of 8 members and the member values for this counter are 5, 6, 2, 8, 5, 5, 5, and 7, the cluster value is 43, which is the sum of the individual average values. This means that over the last minute, there were a total of 43 ASP requests in the queue every second over the entire cluster.

Counter | Description | Units | Aggregation
ASP Errors | Number of errors generated by ASP applications per second. | Errors/sec | server:avg - cluster:sum
ASP Requests Queued | The number of requests waiting for service from the queue. This number should be small, except during heavy traffic periods. Large numbers of queued requests indicate a performance bottleneck. | Requests | server:avg - cluster:sum
ASP Requests Queued (max) | The number of requests waiting for service from the queue. This number should be small, except during heavy traffic periods. Large numbers of queued requests indicate a performance bottleneck. | Requests | server:max value - cluster:max value
ASP Requests | Number of requests executed per second. | Requests/second | server:avg - cluster:sum
ASP Request execution time | Number of milliseconds that it took the most recent ASP request to complete. | milliseconds | server:avg - cluster:avg
ASP Request Wait Time | Number of milliseconds that the most recent ASP request was waiting in the queue. | Milliseconds | server:avg - cluster:avg
Memory Available | The amount of physical memory available to processes running on the member. It is calculated by summing space on the Zeroed, Free, and Stand by memory lists. This figure should be at least five percent of total memory at all times. | Bytes | server:avg - cluster:avg
Memory Page Faults | The number of times, per second, that the computer reads the page file on the disk or from memory that is not assigned to the working set. Most CPUs can handle large numbers of page faults without consequence; however, if disk reads are high, there might be performance degradation. | Faults/sec | server:avg - cluster:avg
Physical Disk Queue Length | The number of requests outstanding on the disk at the time the performance data is collected, which includes requests in service at the time of the reading. Multi-spindle disk devices can have multiple requests active at one time, but other concurrent requests are waiting for service. This counter might reflect a transitory high or low queue length, but if there is a sustained load on the disk drive, it is likely that this will be consistently high. Requests are experiencing delays proportional to the length of this queue minus the number of spindles on the disks. For good performance, this difference should average less than two. | Requests (interger) | server:avg - cluster:sum
Inetinfo Private Bytes | The number of bytes of memory taken up by a particular process (Inetinfo in this case, which is part of IIS). | Bytes | server:avg - cluster:avg
Processor Utilization | Peak utilization can be 100 percent, but utilization should not be sustained at high level (for example, greater than 90 percent). Processor bottlenecks are characterized by a high value for Processor:% Processor Time while the network adapter card remains well below capacity. On a multi-processor computer, the System:% Total Processor Time counter can mask a processor bottleneck because it represents the the total processor time for all processors divided by the number of processors. If one processor is overloaded and creating a bottleneck while the other processors are idle, System:% Total Processor Time might be quite low, but the overworked single processor is blocking the computer. On a multi-processor computer, examine the Processor:% Processor Time counter determine up any imbalance. | Percentage | server:avg - cluster:avg
Processor Privileged Time | The percentage of non-idle processor time spent in privileged mode. Privileged mode is a processing mode designed for operating system components and hardware-manipulating drivers. It allows direct access to hardware and all memory. The alternative, user mode, is a restricted processing mode designed for applications, environment subsystems, and integral subsystems. The operating system switches application threads to privileged mode to gain access to operating system services. This includes time spent servicing interrupts and deferred procedure calls (DPCs). A high rate of privileged time might be caused by a large number of interrupts generated by a failing device. This counter displays the average busy time as a percentage of the sample time. | Percentage | server:avg - cluster:avg
Processor User Time | The percentage of non-idle processor time spent in user mode. User mode is a restricted processing mode designed for applications, environment subsystems, and integral subsystems. The alternative, privileged mode, is designed for operating system components and allows direct access to hardware and all memory. The operating system switches application threads to privileged mode to gain access to operating system services. This counter displays the average busy time as a percentage of the sample time. | Percentage | server:avg - cluster:avg
Log Database Total Memory | The total amount of dynamic memory that Application Center Events and Performance Logging is currently consuming. | Kilobytes | server:avg - cluster:avg
Context Switches | Indicates excessive locking in code, perhaps contention for resources. If this value is too high, add another computer or check with Microsoft Support Online for the latest patches. | Switches/sec | server:avg - cluster:avg
TCP Connections Established | The number of times TCP connections have made a direct transition to the Syn-sent state from the Closed state. | Connections (interger) | server:avg - cluster:sum
Web Service Current Connections | Number of current client connections to the W3Svc Service. | Connections (interger) | server:avg - cluster:sum
Web Service Get Requests | The number of HTTP requests that are using the GET method per second. GET is the most common method used on the Web. | Requests/sec | server:avg - cluster:sum
Web Service Bytes Total | The sum of Bytes Sent/sec and Bytes Received/sec. This is the total rate of bytes transferred by the W3Svc Service. | Bytes/sec | server:avg - cluster:sum
Web Service ISAPI Requests | The number of ISAPI extension requests that are being processed simultaneously by the W3Svc Service per second. | Requests/sec | server:avg - cluster:sum

Request Forwarding Performance Counters

The following table lists the request forwarding performance counters (listed alphabetically) that are used by Application Center. These counters are not available in the performance chart by default, but are included in the Windows 2000 Performance Viewer under Application Center HTTP Forwarding:

Counter name | Description
Total Requests | Total requests processed by the request forwarder filter.
Total Forwarded Requests | Total requests forwarded to another member.
Total Dynamic Requests | Total dynamic requests processed by the request forwarder filter. These requests are for files that have been configured as request forwarding exceptions in the Advanced Load Balancing settings in the cluster_name Properties dialog box. The files are typically static files.
Total Publishing Requests | Total publishing requests forwarded to the controller.
Total Coherent Session Requests | Total requests forwarded to an originating member.
Total Web Administration Requests | Total IIS Administration site requests forwarded to the controller.
Total Application Center Administration Requests | Total Application Center Administration site requests forwarded to the controller.
Total Failed Requests | Total requests that were forwarded but did not complete successfully.
Total Requests/sec | Total requests processed by the request forwarder filter, per second.
Total Forwarded Requests/sec | Total requests forwarded to another member, per second.
Total Dynamic Requests/sec | Total dynamic requests processed by the request forwarder filter, per second.
Total Publishing Requests/sec | Total publishing requests forwarded to the controller, per second.
Total Coherent Session Requests/sec | Total requests forwarded to an originating member, per second.
Total Web Administration Requests/sec | Total IIS Administration site requests forwarded to the controller, per second.
Total Application Center Administration Requests/sec | Total Application Center Administration site requests forwarded to the controller per second.
Total Failed Requests/sec | Total requests that were forwarded but did not complete successfully, per second.

Related Topics

  • For more information about additional sample counters, see Samples Available.


Application Center Monitors

This section defines data collectors and describes server and cluster health.

Data Collectors

Data collectors are objects that collect, receive, and hold WMI data. Application Center installs and configures several data collectors, thresholds, and actions by default. Some of these are set to be active while others are set to be inactive and are ready to be activated or to serve as examples. Application Center stores these data collectors in a read-only directory on your computer's disk drive.

To specify the data to collect, when to collect it, and from which member, you create and configure data collectors in the Health Monitor console. You can add custom data collectors and thresholds to Application Center. You can create a threshold for a data collector. The possible states of a data collector are: Critical, Warning, Scheduled Outage, Disabled, Okay, Reset, and Collecting. Of these, Critical, Warning, Disabled, and Okay are the most common.

Caution Caution Data collectors in the data group Synchronized Monitors (Application Center) are synchronized across the cluster. If you add or change any data collectors on individual cluster members that are in this data group, the data collectors are overwritten to match the controller values during the next synchronization cycle.

Server Status

The server status icons indicate overall reliability, availability, and functional performance. The server health icon summarizes several Health Monitor data collectors, thresholds, and other monitoring data. If even one monitor is critical, the icon and message indicates a Critical level. The Status area tells you about the progress of any processes that your computer or cluster is undergoing, such as synchronization.

Health Monitor is constantly collecting data about the status of your cluster and members. You can view this data in the Application Center snap-in, but Application Center also provides a way to monitor all of your computers at once through the server health icon. The server health icon summarizes data collectors, thresholds, and other monitoring data and tells you if even one of them has reached the Warning or Critical level. If the icon is green, you can be sure that all of these detailed monitors are fine and your cluster and members are operating normally.

Server Health

The following table describes the server (cluster or member) health icons.

Icon | Status | Description
Normal status icon | Normal | The cluster or member is operating normally.
Warning status icon | Warning | A warning threshold has been exceeded. Action is needed in a particular area, but the cluster or member is still functioning in other areas.
Critical status icon | Critical | A critical threshold has been exceeded. Immediate action is necessary because the cluster or member might be offline.
Unknown status icon | Unknown | The status of the cluster or member could not be determined. The most frequent cause is that a member is offline, is experiencing network problems, or Health Monitor is not installed.

Load Balancing Status

The following table describes the load balancing status icons.

Icon | Status | Description
Load balancing normal status icon | Normal | Load balancing is operating normally.
Load balancing suspended status icon | Suspended | A warning threshold has been exceeded and the member has been taken out of the load-balancing loop.
Load balaning offline status icon | Offline | A critical threshold has been exceeded and the member has been taken out of the load-balancing loop.
Load balaning unknown status icon | Unknown | The status of load balancing could not be determined.
Load balaning not installed status icon | Not installed | Load balancing has not been installed on this member.
Load balaning not draining status icon | Draining (connections) | Load balancing is draining user connections in preparation for deployment.

Health Monitor Summary

The following table describes the Health Monitor summary icons.

Icon | Status | Description
Health Monitor normal status icon | Good | All monitors for the cluster or member are normal.
Health Monitor warning status icon | Warning | A warning threshold has been exceeded. Action is needed in a particular area, but the cluster or member is still functioning in other areas.
Health Monitor critical status icon | Critical | A critical threshold has been exceeded. Immediate action is necessary because the cluster or member might be offline.
Health Monitor unknown status icon | Unknown | The status of the cluster or member could not be determined. The most frequent cause is that a member is offline or is experiencing network problems.

Synchronization Status

The following table describes the synchronization status icons.

Icon | Status | Description
Synchronization normal status icon | Normal | Synchronization status is Normal or Idle.
Synchronization in-progress status icon | In progress | Synchronization is in progress.
Synchronization manual status icon | Manual | Synchronization is on-demand synchronization.
Synchronization unknown status icon | Unknown | Synchronization status is Unknown.

Related Topics

  • For more information about thresholds and actions, see Thresholds and Actions.
  • For more information about preserving data collector changes, see Local and Global Monitors.


Using Monitoring

This section describes the Microsoft Application Center 2000 (Application Center) monitoring process. The monitoring process includes generating, logging, summarizing, and using events, monitors, performance counters, and Microsoft Health Monitor 2.1 data collectors.

This section includes:

  • Generating Reports and Archiving Data
  • Thresholds and Actions
  • Local and Global Monitors
  • Monitoring Without Application Center Events and Performance Logging
  • Accessing and Using the Windows 2000 Monitoring Tools


Generating Reports and Archiving Data

Note Note Report generation and archiving functionality is not provided by Microsoft Application Center 2000 (Application Center).

Reports

You can use the data logged by Application Center to produce many different types of reports. You can use these reports to collect and filter data for a variety of information.

  • Usage analysis—this report type is concerned with how many requests were made, the average requests per second, the percentage of requests serviced in a given time frame (usually 5 seconds), the average number of queued requests, and the number of requests not serviced (for example, due to connections closed by the member). This information can provide an overview of the request load and your cluster's ability to service the request load. This report might also include the number of bytes downloaded per minute and the total number of bytes downloaded to date.
  • Computer performance analysis—this report type is concerned with the average free RAM available, the average percent of CPU use, the total time spent at greater than 90 percent and less than 50 percent CPU utilization (or a similar breakdown), the average amount of free disk space, plus some of the usage information mentioned earlier. This information can provide an overview of the performance of your members and their ability to manage the load presented to them.
  • Application performance analysis—this report type is concerned with the average free RAM available, the average percent of CPU use, the average number of queued requests, the number of requests not serviced (for example, due to connections closed by the member), and the total number of connection time-outs for a given time period. This information can provide an overview of your applications' ability to process requests and formulate and present data to the user, or to alter database sources in response to the requests. This report might also include total blocking locks used by the system. This will show if there is a problem in the database is used by an application.
  • Network performance analysis—this report type is concerned with bytes sent over a time period (usually 1 minute), total current connections, and the total number of user connections. This information can provide an overview of your network's ability to service connections.
  • Capacity planning—this report type is concerned with determining whether you have sufficient hardware and bandwidth to handle an upcoming usage spike or an extension of service or content. It can include data from usage analysis, computer and application performance analysis, and the results from your purchase planning. This information can provide an overview of you system's ability to handle upcoming events or service extensions as well as hardware or application changes you might need to make.
  • Purchase planning—this report type is concerned with analyzing your system to determine whether to purchase more servers, RAM, or drive space. It can include data from your usage analysis and the computer performance analysis. This information can provide an overview of your projected purchasing requirements.
  • Troubleshooting—this report type is concerned with event data, especially Warning and Error events. The data can be ordered by event source, event severity, date, time, or any other event parameter. This information can provide an overview of what is going on with a member or cluster over a longer time period and give you the flexibility of investigating events by many different parameters. This report is very similar to the Events view in the Application Center snap-in, except you can look at extended time frames in greater detail.

Archiving Data

For various reasons, such as to capture event and monitoring data before data summarization, to create custom data sets, to generate reports, or for long-range, detailed analysis, you might want to periodically archive monitoring data. You can create scripts, applications, and stored procedures to archive data that is stored in database tables or export the data to other applications.

Application Center is built with monitoring features that are useful for most monitoring tasks, but you might have special tasks to perform. Archiving data in custom-built tables is one method for simplifying these tasks. Although reporting features are not directly available in Application Center, you can use custom archiving to maintain tables for generating reports.

Note Note While you are archiving data, Application Center might not be able to log to the table that you are archiving to.

Related Topics

  • For more information about archiving data, see Archive Log Data.
  • For more information about ASP applications, see the IIS Help.
  • For more information about events, see Events.
  • For more information about data logging and summarization, see Monitoring Process.


Thresholds and Actions

Part of administrating a cluster is taking action when certain conditions are met. Application Center can do this automatically by using thresholds and actions. A threshold is a criteria you set that, when met, indirectly causes Health Monitor to take a specified action. Notification is one of these actions, where an administrator can be alerted via e-mail.

Thresholds

Thresholds are monitoring rules that evaluate a single property of a data collector. When these rules are met, an action is initiated, such as sending e-mail or running a batch file.

For example, the CPU reaches 90 percent usage for over 2 minutes. This condition might indicate that an application has encountered a problem, too many applications are open at once, or that you need to add hardware to handle your present request load. Many of the thresholds are already set by default in Application Center.

Actions

The following table describes the actions that you can take when a specified threshold is reached.

Action | Description
Notification | An e-mail message is sent to the administrator. This e-mail can be sent automatically when the threshold is exceeded and can include information about the event, such as severity and the time when it occurred.
Restart the server* | The effected member or cluster is restarted, if that is the appropriate action.
Run a batch or executable file* | A batch (*.bat) file or any executable (*.exe) file that is compatible with Windows 2000, such as a Microsoft® Visual Basic executable, is run automatically.
Generate a Windows 2000 event | You can configure Health Monitor to generate a Windows 2000 event, which is recorded in the Windows 2000 Event Log. This event is also available through WMI to other applications and services.
Write text to a log | Plain text is written to a log file to record the occurrence and its related information. This log can be in any supported log file format.
Run scripts* | Scripts written in Microsoft Visual Basic Scripting Edition (VBScript) or Microsoft JScript™ can be run automatically in response to an exceeded threshold. Note Note You must run Windows Scripting Host (WSH) scripts from the command line by using Cscript.exe or Wscript.exe.

Caution Caution Actions with an (*) have security implications and should be accessible to administrators only.

Online / Offline Actions

Application Center creates the Online/Offline Monitors data group. The group contains data collectors and thresholds that trigger the command-line command AC.exe and sets a cluster member online or offline. To configure data collectors as online or offline, copy or move the data collectors to the Online or Offline folders. These data collectors and their associated actions are synchronized across the cluster.

Caution Caution If the data groups are deleted, you must compile the Acsdefaultpolicies.mof file to restore it, and then reconfigure any changes you made to the data groups. To compile the .mof file, at the command prompt, type

%op_sys%\System32\Webm Mofcomp.exe Acsdefaultpolicies.mof

Where %op_sys% is the Windows 2000 installation directory of the partition on which you installed Application Center.

Related Topics

  • For more information about thresholds and actions, see the Health Monitor Help.
  • For more information about Application Center events, see Events.
  • For more information about the Windows 2000 Event Log, see the Windows 2000 Help.
  • For more information on compiling .mof files, see Installing and Using the Samples.


Local and Global Monitors

Local monitors are Health Monitor data collectors, thresholds, and actions that are associated with a particular member and are not synchronized across the entire cluster. Global monitors are Health Monitor data collectors, thresholds, and actions that are synchronized across the entire cluster. These monitors are loaded by default and are described in the .mof file Program Files\Microsoft Application Center\Acsdefaultpolicies.mof.

Note Note Changing monitors for a specific member causes it to be taken out of synchronization with the rest of the cluster, from a monitoring stand-point. Unless this change is made correctly, Application Center overwrites the change and restores the default setting in the next synchronization cycle.

Local vs. Global Monitors

By default, Application Center creates only global monitors. However, you might want to create local monitors. For example, you might have one member with a smaller hard disk, and a threshold of 80 percent usage might be too high for this member. You can set the threshold to 70 percent to gain leeway when the disk reaches this amount.

Setting local monitors allows you greater flexibility; however, it can add complexity to your monitoring tasks. Application Center will still use these monitors for the Status and Events views, and logging and the status icon will reflect the changes you make. For example, if you change the threshold on a particular member from 80 percent to 70 percent, Application Center uses the new setting to determine the status for that member.

Note Note When using customized monitors, the member's status reflects the new settings.

Changing Monitors for a Computer

You can create and maintain local monitors for any members, including the cluster controller. These settings are not synchronized from the controller to members nor are the settings overwritten during the next synchronization cycle.

There are three ways to create local monitors: manually (by using Health Monitor), by copying and modifying pre-made monitors (with Health Monitor), and by creating and compiling .mof files.

To create local monitors manually

  1. In the Health Monitor snap-in, expand All Monitored Computers.
  2. Expand the server's node.
  3. Right-click Non-Synchronized Monitors or create a new data group.

    Do not create a data group under the Synchronized Monitors (Application Center) data group.

  4. Create the local monitors.

To create local monitors by copying them

  1. In the Health Monitor snap-in, expand All Monitored Computers.
  2. Expand the server's node.
  3. Expand the appropriate nodes to locate the monitor to copy.
  4. Drag the monitor to the Local folder.

    You might need to adjust the local monitors to suit your requirements.

To create local monitors programmatically by using .mof files

This approach allows you to create many local monitors at one time but involves developing classes by using .mof files, and then compiling them for use by WMI.

Changing Monitors for the Cluster

You can create and maintain global monitors for your cluster. These settings will be synchronized from the controller to other members or overwritten during the next synchronization cycle.

To create global monitors manually

  1. In the Health Monitor snap-in, expand All Monitored Computers.
  2. Expand the server's node.
  3. Click Synchronized Monitors (Application Center).
  4. Create the global monitors for your cluster.

To create global monitors by copying them

  1. In the Health Monitor snap-in, expand All Monitored Computers.
  2. Expand the server's node.
  3. Click Synchronized Monitors (Application Center).
  4. Drag the monitors to the Synchronized folder.

    You might need to adjust the global monitors to your requirements.

Related Topics

  • For more information about WMI, see the WMI topics in the Microsoft Windows 2000 Platform Software Development Kit.
  • For more information about using and compiling .mof files, see Installing and Using the Samples.
  • For more information about data collectors, see Application Center Monitors.
  • For more information about creating data collectors, see Using Health Monitor in Application Center.
  • For more information about computer health, see Application Center Monitors.


Monitoring Without Application Center Events and Performance Logging

This section describes how to use monitoring for your cluster without using Application Center Event and Performance Logging.

Because logging events and monitoring data consumes computer resources, you might want to install without Application Center Events and Performance Logging, which will create a slight performance gain compared to installing with this feature. Installing without Application Center Event and Performance Logging consumes less disk space, CPU resources, and memory. If you install Application Center without Application Center Events and Performance Logging, the options for logging still appear in the user interface, but they have no effect because this feature is not present. You will need to keep this in mind and ignore any logging settings.

The following table lists the features that are not available if logging is not installed.

Unavailable features | Workaround
Performance chart | Use the Windows 2000 Performance Monitor.
Events view | Use the Windows 2000 Event Viewer. A subset of Application Center events are written to this log.
Historical view | Use the Windows 2000 Event Viewer.
Health Monitor alerts | Use Health Monitor.
Archiving data | Unless you are providing your own logging functionality, archiving is not available.
Reporting | Unless you are providing your own logging functionality, reporting is not available.

You can use real-time monitoring, the Windows 2000 utilities, and WMI to monitor your cluster without using Application Center Events and Performance Logging.

Related Topics

  • For more information about using the Windows 2000 utilities, see Accessing and Using the Windows 2000 Monitoring Tools.


Accessing and Using the Windows 2000 Monitoring Tools

You can use the Windows 2000 utilities described in this section to replace or extend monitoring features in Application Center.

Accessing and Using the Windows 2000 Monitoring Tools

Event Viewer

You can use the event logs in the Windows 2000 Event Viewer to gather information about hardware, software, and system problems, and to monitor Windows 2000 security events.

To open Event Viewer

  • In Windows 2000, click the Start button, point to Programs, point to Administrative Tools, and then click Event Viewer.

Note Note A subset of Application Center events is written to the Windows 2000 Event Log. Errors are logged when Application Center Events and Performance Logging is installed; both errors and warnings are logged when it is not installed. You can use Event Viewer to see these events even if Application Center is not logging them.

Performance Viewer

You can use Performance Logs and Alerts to collect performance data automatically from local or remote members. You can view logged counter data by using System Monitor or export the data to spreadsheet programs or databases for analysis and report generation.

To open Performance Viewer

  • In Windows 2000, click the Start button, point to Programs, point to Administrative Tools, and then click Performance.

Health Monitor

Health Monitor performs a number of monitoring tasks. You can create data collectors to gather various data from services, processes, and applications. Then, you can set actions on these data collectors that fire when the status of the data collector changes. Additionally, you can create thresholds that will change the data collector status when a specific metric reaches a specified point.

To open Health Monitor

  • In the Application Center snap-in, expand the cluster node or the cluster member node, right-click Monitors, and then click Edit Monitors.

    Note Note By default, the Health Monitor snap-in is in the Application Center snap-in.

Related Topics

  • For more information about Windows 2000 Event Viewer and Performance Viewer, see the Windows 2000 Help.


Using Health Monitor in Application Center

This section describes how you can use Microsoft Health Monitor 2.1 to customize how Microsoft Application Center 2000 (Application Center) monitors your cluster. Included are topics on how data groups, data collectors, thresholds, and actions work together in monitoring, how these items are created in the Health Monitor snap-in, and an example of the entire process.

This section includes:

  • Health Monitor Concepts
  • Creating Monitors—an Example


Health Monitor Concepts

Understanding data groups, data collectors, thresholds, and actions is fundamental to using monitors in Application Center, especially if you are planning to extend monitoring. This section describes these concepts and provides examples of their use.

Data Groups

Data groups are analogous to directories in the files system. They are used to contain and organize data collectors and data groups, aggregate their statuses and statistics, and associate an action with the status (if desired). These actions fire whenever the status of the data group meets the configured criteria.

Notes Notes

    • There is a precedence for statuses in Health Monitor—Critical has precedence over Warning and Warning has precedence over OK. This applies to both data groups and data collectors.
    • Neither data groups nor data collectors are required to have associated actions. For example, the System Monitors data group does not have any actions associated with it.

The data group aggregates the the data collectors' status and the status for the data groups that are contained within it. This means that the group status becomes Critical whenever a data collector or data group within it becomes Critical. The group status stays Critical until all of the status for all of the data collectors and data groups are OK (or Warning). When the collectors' status is OK, the status of the group is OK.

For example, the Online / Offline Monitors data group in Synchronized Monitors (Application Center) calls the action Take Server Offline when the group status for Online / Offline Monitors becomes Critical. In turn, the group status becomes Critical whenever a data collector within it becomes Critical. The group status stays Critical until all of the data collectors' status is OK (or Warning). When the collectors' status is OK, the group status is OK. Then, the group calls the Bring Server Online action.

Caution Caution Because the member is taken offline whenever the status of any data collector or data group in the data group Online / Offline Monitors is Critical, use caution when adding data collectors or data groups to this data group.

Data Collectors

Data collectors are objects that collect metrics for a variety of objects, such as the Inetinfo process. You can display these statistics in Health Monitor and set a threshold for a specific metric. When the threshold criteria is met, the data collector's status changes to the value specified in the threshold. Actions can be associated with data collectors in the same manner as associating actions with data groups.

Data collectors can gather statistics for:

  • Performance counters.
  • Services.
  • Processes.
  • Windows events.
  • COM+ applications.
  • The HTTP Monitor.
  • A TCP\IP port.
  • Pinging a remote server.
  • WMI event and instances.

The data collector aggregates status for the thresholds within it. If a data collector has two thresholds for for a data collector; for example, #Instances of Replication Event > 0 where one threshold is set to Status = Critical and the other threshold is set to Status = OK, the Critical status takes precedence even though the criteria is met for both.

For example, the System Monitors data group contains the LogicalDisk, Memory, and Processor data collectors. If their status is set to LogicalDisk = Warning, Memory = OK, and Processor = Critical, the group status for System Monitors is Critical. If the Processor collector becomes OK, and no other changes occur and the group status changes to Warning.

Use the Requires manual reset to return to Ok status check box to configure whether the status of the collector returns to OK automatically when all thresholds are below their criteria. If you select this check box, you need to take explicit action to return the collector's status to OK, such as creating a threshold that does this when the criteria is below the Critical level or by clicking Reset & check now on the pop-up menu for the data collector. Application Center leaves this check box cleared for the default monitors, therefore their status automatically returns to OK when the datum goes below the threshold.

Statistics

Besides firing actions and aggregating and displaying status, you can also use data collectors to collect statistics for an object. To configure the collected statistics, in the data_collector Properties dialog box, click the Detail tab, and then in the Properties list, clear the check box next to the property. You can collect statistics without providing an associated threshold.

For example, the Application Center Monitors\Cluster Service data collector collects statistics on the Started, Status, and State properties of the ACCluster Service, but only attaches a threshold for Started. To view all three of these statistics and the statistics for the thresholds, click the collector, and then in the details pane, click the Statistics tab.

Notes Notes

    • You can copy data collectors to other data groups in the Health Monitor snap-in. The same data collector can exist in more than one data group.
    • Without a threshold, the status of the data collector will not change.
    • The properties available for collections and Message insertion strings depend on the type of query and object being queried.
    • You can duplicate data collectors within a data group. This does not affect the operation of your member, except that data collection occurs once for each instance. If there are numerous copies of one or more data collectors, performance might be affected.
    • Health Monitor provides a great deal of granular control over what data is collected, when it is collected, how it is averaged, and other parameters.
    • Creating a large number of data collectors with a collection time of 1 second might affect the performance.

Thresholds

Thresholds compare their configured criteria with the criteria for the specific metric collected by the data collector. When the comparison criteria for the data collector's metric is satisfied, the threshold changes the data collector's status.

Notes Notes

    • Threshold instances are unique to a data collector and cannot be copied to another data collector.
    • Without a threshold, the status of the data collector will not change.
    • You cannot create thresholds directly for a data group. You must create a data collector in (or copy it to) the data group and threshold created for the data collector.
    • WMI often reports status in the threshold. A status of "(WMI Status: 0 )" means no errors.
    • Thresholds , and their associated data collectors, might remain in the Collecting state for long periods of time. This means that they continually check the data until a threshold is met. This state is equivalent to "Good" until a threshold is met. The thresholds are operating normally.

Alerts

Alerts are Health Monitor events that are fired when the status changes for a data collector. This is true when the status changes and the status changes back to the original value. Therefore, if the Application Center Cluster Service is shut down, the Cluster Service data collector goes to Critical and an alert is fired. When the service is started again, the data collector returns to OK and another alert is fired.

Alerts can be viewed in the lower part of the details pane in the Health Monitor snap-in. To view an alert, in the Health Monitor console tree, click the data collector or data group. When you select a data collector, only the alerts for that collector are displayed. When you select a data group, all of the alerts for all the group's data collectors are displayed. To see more information about an alert, right-click the alert. A dialog box similar to Windows 2000 Event Log Properties appears.

Note Note Alerts are also fired as WMI events and logged by Application Center Events and Performance Logging.

Actions

Actions can be called by either data collectors or data groups, or, in some cases, by both. The same action can be called from any collector or group and any collector or group can call any number of actions. Actions also fire on a per-call basis. This means that if you have an e-mail action associated with the firing of an Application Center event that fires often, such as a replication event, a separate e-mail message is sent for each instance of the event.

The following actions are available:

  • Command-line action—executes the specified command-line .exe, using the specified parameters.
  • E-mail action—sends an e-mail message to the specified party in either the Create Cluster Wizard, Add New Member Wizard, or the To property in the action Details dialog box. The message sent is specified in the action Details dialog box, as well as the CC and BCC parties.

    Note Note Application Center does not provide a default e-mail address for an SMTP server name. If you do not provide one explicitly when creating a cluster or in the action Properties dialog box in Health Monitor, the e-mail action fails.

  • Text log action—uses a different file for each action called (for example, use Websitenotavailable.log to log instances for the HTTP Monitor Failed data collector). Specify a different log file for each data collector and action.
  • Windows event log action—fires an event to the Windows 2000 Event Log (applications) with the specified parameters.

    Note Note Application Center creates a special data collector to monitor the failure of actions. If an action monitored by this data collector fails, an event is fired and logged by Application Center Events and Performance Logging. The Health Monitor Action Failure Monitor is located in the Application Center Log Monitors data group under the Application Center Monitors group.

  • Script action—executes the specified VBScript or JScript from the specified location. You can specify a timeout parameter.

    Note Note To run WSH scripts, you must uses Cscript.exe or Wscript.exe from the command line.

  • Application Center default actions—the following actions are created by Application Center by default:
    • Text Log Action—log to Offline.log. Records instances of members being taken offline by a monitor.
    • Text Log Action—log to Websitefailures.log. Records instances of failures of the default Web site http://127.0.0.1 (localhost).
    • Command Line Action—take member offline. Takes the member offline when the Online/Offline Monitors data group status is Critical.
    • Command Line Action—bring member online. Brings the member online when the Online/Offline Monitors data group status is OK.
    • E-mail Action—send an e-mail message to an administrator. Sends an e-mail message to the system administrator when any one of several thresholds are crossed.

      Note Note Application Center does not provide a default e-mail address for an SMTP server name. If you do not provide one explicitly when creating a cluster or in the action Properties dialog box in Health Monitor, the e-mail action fails.

Related Topics

  • For more information about monitors, see Application Center Monitors.
  • For more information about the Application Center monitor schema, see Application Center Monitors Schema.
  • For more information about local and global monitors, see Local and Global Monitors.
  • For more information about data collectors, data groups, thresholds, and actions, see the Health Monitor Help.


Creating Monitors--an Example

This section provides an example to illustrate creating a monitor. The example shows how to create, and then link together, a data group, data collector, threshold, and action. Then, the example queries the WMI store for the Application Center event 5037 "Replication Session General Success" and logs the instance completion to a log file on the hard disk.

Action

The first step in creating a new monitoring process is to create the action because before you can add an action to a data collector, the action must exist. You can also associate an existing action to the collector.

To create an action that is logged to a text file

  1. In the Health Monitor snap-in, expand the Health Monitor node, expand the All Monitored Computers node, and then expand the cluster node.
  2. Right-click the Actions node, on the pop-up menu, click New, and then click Text Log Action.
  3. On the Details tab, under Log file, either enter the path to TestDeploy01.log or click Browse to locate it.
  4. On the General tab, in the Name box, enter Log to TestDeploy01.log

    Note Note Use a different log file for each data collector and action.

  5. On the Schedule tab, configure the action to run when the threshold is triggered.
  6. Click OK.

To create an action that sends an e-mail message

This action will send an e-mail notification when the event fires. You can also send e-mail notifications for any event or condition that is monitored by Health Monitor.

  1. In the Health Monitor snap-in, expand the Health Monitor node, expand the All Monitored Computers node, and then expand the cluster node.
  2. Right-click the Actions node, on the pop-up menu, click New, and then click E-mail Action.
  3. On the Details tab, enter the name for the SMTP server and other relevant information.
  4. In the Subject text box, either enter the subject to use for the e-mail message or click the right-angle bracket (>), and then in the insertions string list, chose items to include in the subject.
  5. On the General tab, in the Name box, enter the action name, E-mail Notification.
  6. Click OK.

Data Group

In this step, you will create a new data group for the monitor. This is done to illustrate the process because all of the monitors in the Synchronized Monitors data group are synchronized automatically across the cluster.

To create a data group

  1. Choose the member on which to add the data group.

    By default the data group is added to the member that you are logged on to.

  2. Right-click the cluster member node, on the pop-up menu, click New, and then click Data Group.
  3. In the Data Group Properties dialog box, on the General tab, in the Name box, enter the group name Replication Session Monitors.
  4. Click OK.

    This creates the data group without any actions associated with it.

Data Collectors

Now you can create the data collector under the data group. The collector will run a WMI event query looking for instances of Application Center event 5037, "Replication Session General Success".

To create a data collector

  1. Right-click the Replication Session Monitors data group.
  2. Click New, click Data Collector, and then click WMI Event Query.
  3. In the WMI Event Query dialog box, on the General tab, in the Name box, enter Deployment Test01 Completed.
  4. On the Details tab, next to the Namespace box, click Browse, locate root\MicrosoftApplicationCenter, and then click OK.
  5. Next to the Class box, click Browse, locate Replication Session General Success, and then click OK.

    The list is in alphabetical order.

  6. In the Properties box, select EventId, ReplicationId, ReplicationJobId, Status, StatusMessage, and LocalTimeFormatted.
  7. Click Apply.

To associate an action to a data collector

  1. On the Action tab, click New Action Association (the asterisk [*]).
  2. In the Execute Action Properties dialog box, under Action to execute, click Log to TestDeploy01.log.
  3. Under Execution condition, clear the Critical check box, click Warning, and then click OK.
  4. On the Message tab, under When status changes to Critical or Warning, at the end of the message string, click the cursor, and then type a period (.).
  5. Click the right-angle bracket (>), in the list, click EventId, and then type a comma (,).
  6. Click the right-angle bracket (>), in the list, click ReplicationId, and then type a comma (,).
  7. Click the right-angle bracket (>), and then in the list, click LocalTimeFormatted.
  8. Click OK.

This creates a data collector that sends an e-mail message to the administrator, which is defined in the e-mail action with the following parameters:

  • %name%—the name of the data collector.
  • %state%—the status of the data collector (Warning).
  • WMI Status: %CollectionErrorCode% %CollectionErrorDescription%—information about the WMI status.
  • %EmbeddedCollectedInstance.EventId%—Application Center event 5037.
  • %EmbeddedCollectedInstance.ReplicationID%—the replication identifier for the session (for this example, TestDeploy01).
  • %EmbeddedCollectedInstance.LocalTimeFormatted%—the local time when the event fired.

Thresholds

In this step, you create a threshold to test the value for ReplicationID. If this value is TestDeploy01, the status of the Deployment Test01 Completed data collector is changed to Warning. If ReplicationID is any other value, no change is made.

Note Note The data collector remains in the Collecting state until it receives an error.

To create the threshold

  1. Right-click the new data collector, on the pop-up menu, click New, and then click Threshold.
  2. In the Threshold Properties dialog box, under If this condition is true, in the second box, click ReplicationId.
  3. In the lower-left box, click Is equal to, and then in the lower-right box, enter TestDeploy01
  4. Under The following will occur, in the list, click The status changes to Warning.
  5. Click OK

Testing the Monitor

To verify that the new monitor works correctly, deploy an application named TestDeploy01 and an application with the default name (the current time and date). This demonstrates that the threshold is triggered when ReplicationID is TestDeploy01.

To test the monitor

  1. In the Application Center snap-in, right click the cluster node, and then click New Deployment.

    The New Deployment Wizard appears.

  2. In the wizard, on the second page, in the Deployment name box, enter TestDeploy01

    This value appears as the ReplicationID property.

  3. To complete the wizard, click a cluster node or cluster member node to deploy to and an application to deploy, such as Default Web Site.

    The deployment should complete and the status for the data collector should be Deployment Test01 Completed.

  4. Do another deployment, this time accepting the default deployment name (the current time and date).

    The status for the data collector should change to Warning. If you open the log file, you will notice that a new entry, TestDeploy01, was made for the first deployment but not for the second deployment because the threshold triggered the status change only when ReplicationID was TestDeploy01.


Monitoring Samples

This section includes:

  • Samples Available
  • Installing and Using the Samples
  • Modifying the Samples


Samples Available

This section describes the monitoring samples that are included with Application Center. These samples include additional performance counters that you can install and configure for the Application Center performance chart and database monitoring samples that you can modify and use to monitor your database in the Monitors view and the performance chart.

Database Monitoring Samples

The database monitoring samples consist of six ASP applications and one .mof file. You can change these to reflect your database situation and use them to monitor your database.

Caution Caution To use these samples, you must be running SQL Server version 6.5 or later with Service Pack 2.

The ASP Files

The six ASP files provide five different monitoring tasks. Error checking procedures pass any error information back with the HTML page returned by the ASP application. These application check to ensure the following:

  • That the connection is functioning.
  • That the database is both connected and functioning.
  • That the database server can call stored procedures.
  • The Data Source Names (DSNs).

Note Note These samples are designed to work with Application Center Events and Performance Logging and might need modification to work with other types of databases.

  • Helloworld.asp—confirms you database functionality by calling a stored procedure on your database that returns the message "Hello, World" upon completion. It creates an ADO database connection and calls a stored procedure with a parameter.
  • Verifysp.asp—performs the same test as Hellowworld.asp, except that it uses information passed in a query string to call the stored procedure.
  • Adotest.asp—checks ADO functionality by querying an Application Center table for a known value. It creates an ADO database connection and uses a SQL query.
  • Eventclassescount.asp—performs the same test as Adotest.asp. It creates an ADO database connection and uses a SQL query.
  • Serverlist.asp—checks basic functionality by using a query against an Application Center table to form a list of the cluster members. It creates an ADO database connection and uses a SQL query.
  • Dnseventclasses.asp—checks DSN functionality by using a DSN to connect to your database and return results. It uses a SQL query.

    Note Note To use Dnseventclasses.asp, you must create a DSN.

  • Samples.mof—creates and registers classes in WMI. Samples.mof is compiled and registered during set up. These WMI classes define data groups, data collectors, thresholds, actions, and performance counters.

Additional Performance Counters

You can add the additional performance counter samples to the performance counters that are already monitored and displayed by Application Center. To use these counters, you must either run Application Center Setup, and select only the optional samples, or you can compile Samples.mof.

Additional Web Service Counters

You can use the additional performance counters listed in the following table for monitoring Web services and resources:

Object | Counter
ASP pages | Request Execution Time, Request Wait Time, Requests Executing, Sessions Total, Transaction/sec, Template cache hit rate
Distributed Transaction Coordinator (DTC) | Transactions/sec
Global IIS | File Cache Hits %, File Cache Flushes
Process | % Processor Time, Thread Count
W3Svc Service | Not found errors/sec, Current anonymous users, Non-anonymous users/sec, Maximum connections, Post request/sec, Bytes Sent/sec for, Files Sent/sec for, ISAPI extension requests/sec

Additional System Counters

You can use the additional system counters listed in the following table to monitor the operating system and services:

Object | Counter
Memory | Page reads/sec
Physical Disk | Reads/sec, Writes/sec, % Disk Time
Processor | Interrupts/sec, % DPC time
Server | Logons/sec
System | Processor Queue Length

Additional SQL Server Counters

You can use the additional SQL Server counters listed in the following table for monitoring SQL Server performance and availability:

Object | Counter
Access Methods | Table Lock Escalations/sec
Buffer Manager | Page Reads/sec, Page Writes/sec, Buffer Cache Hit Ratio, Free Buffers
Databases | Data File(s) Size (KB), Percent Log Used
General Statistics | User Connections
Locks | Number of Deadlocks/sec
Memory Manager | Total Server Memory, Lock Memory
SQL Statistics | SQL Compilations/sec, SQL Re-compilation/sec, Failed Auto-Params/sec
Physical Disk | Avg. Disk Queue Length, % Disk Time, Disk write bytes/sec, Disk read bytes/sec
Memory | Page Faults / sec
Processor | % Privileged Time, % Processor Time, Processor Queue Length

Additional COM+ Counters

You can use the additional COM+ counters listed in the following table primarily for monitoring COM+ applications. You must alter this file before you can compile and use it. The following counters are associated with this file:

Counter | Instance
Total Committed Transactions | application_name
Committed Transactions/sec | application_name
Total Aborted Transactions | application_name
Aborted Transactions/sec | application_name
Total Object Creations | application_name
Object Creations/sec | application_name
Total Object Activations | application_name
Object Activations/sec | application_name
Total Shutdowns | application_name
Timeout Shutdowns | application_name
Admin Shutdowns | application_name
Failure Shutdowns | application_name
State | application_name

Additional Miscellaneous Counters

You need to do some configuration of the additional counters listed in the following table before you can use them. You can make these changes in the Health Monitor snap-in. The following counters are associated with this file:

Object | Counter
Network Interface | Bytes total per second, Bytes received per second, Bytes sent per second
Processor | % Processor Time
Process | % Processor Time, Thread count

Monitors and Counters for BizTalk Server

Some monitors and performance counters are also included for use with Microsoft BizTalk™ Server. These can be used to monitor your BizTalk servers by using Application Center or Health Monitor and can be found in the Health Monitor data group BizTalk Server 2000 Sample Monitors under Samples.

The monitors and counters include:

  • BizTalk Messaging Service Perf Counter Monitors – monitors performance counters specific to BizTalk Server.
  • Suspended Queue Event Monitors – checks for documents in the suspended queue.
  • BizTalk Messaging Service Monitor – checks the status of the BizTalk Messaging Service.
  • Pipelines performance counters – lists total pipeline executions and errors.
  • Marketing and Catalog performance counters – LRUCache: Cache size, LRUCache: Flushes/sec, LRUCache: Hits/sec, LRUCache: Misses/sec.

Some of these monitors do not have supplied thresholds. You will need to create the thresholds according to your specific environment.

Additional Monitors

You can add the additional monitor samples to those already monitored and displayed by Application Center. The .mof file that defines them is compiled during Setup when you install the samples.

Related Topics

  • For more information about using and compiling .mof files, see Installing and Using the Samples.
  • For more information about DSNs, see the Windows 2000 Help.
  • For more information about BizTalk Server monitors and counters, see the BizTalk Server Help.


Installing and Using the Samples

If you did not install the samples during Application Center Setup, install them by running Setup and selecting only the Samples option. Application Center installs the samples on your hard disk and sets up sample monitoring rules in Health Monitor.

Note Note You can also copy the .mof file from the Application Center CD (from \Program Files\Microsoft Application Center\Samples\Samples.mof and \Samples\Addperfcounters.mof) to your hard disk, and then compile it by using the directions in the following section.

Caution Caution Selecting other options in Setup might cause these options to be re-installed and overwritten.

Using the Samples

ASP Files

To use the ASP samples, set up the Samples directory as a virtual directory. Then, modify certain areas of the .asp files, such as the database name, DNS name, or others. Additionally, modify and activate the Health Monitor rules.

Note Note These samples are designed to work with Application Center Events and Performance Logging and SQL Server databases and might not work with other types of databases.

To set up virtual directories, use the IIS snap-in. Because the ASP samples contain privileged information about your database, such as the connection string, consider your security requirements while setting up the virtual directory. The virtual directory should use integrated Microsoft Windows NT® authentication to ensure that it is secure and that only authorized individuals can gain access to it. As well, use IP address restrictions to allow only the local server access to the directory.

The Windows user account for accessing the ASP samples should be a low-privilege, local account, preferably designed for this purpose only.

You must alter the .asp files slightly before they will work in your specific situation. The connection strings must reflect your database name, user name, and password. For more specific details about this modification, see Modifying the Samples.

Caution Caution Because these applications transmit user name and password information over the network, be sure to take appropriate security precautions.

.mof Files

A .mof file is a text file, used by WMI, that contains definitions of the classes and instances in the MOF language. The sample .mof files are compiled and registered during Application Center Setup. If you did not install the .mof files during Setup, you must compile the .mof files for the additional performance counters.

Two .mof files are included in the the Application Center CD (in \Program Files\Microsoft Application Center\Samples\). The Samples.mof is installed if you selected the Sample Monitors option during installation. You can use the Addperfcounters.mof to add custom performance counters to the Application Center performance chart. Instructions for doing this are in Perfcountersreadme.txt.

You need to compile the additional performance counter .mof files to create and register the Health Monitor rules that are associated with these counters. To compile the .mof file, at the command prompt, type

mofcomp samples_dir\Samples.mof

Where samples_dir is the path to the Samples directory.

You must active the Health Monitor rules that are created by compiling the .mof file.

To activate the Health Monitor rules

  1. In the Health Monitor snap-in, expand All Monitored Computers, expand the server_name node, and then expand Sample Monitors.
  2. To find the monitor to change, continue expanding the appropriate nodes.

Related Topics

  • For more information about editing Health Monitors rules, see the Health Monitor Help.
  • For more information about security and setting up virtual directories, see the IIS Help.
  • For more information about .mof files and the Mofcomp utility, see the Platform SDK in the MSDN Library.


Modifying the Samples

The ASP samples are designed to work on the local member; however, you can change them and use them to monitor your SQL server and databases. These changes include altering the connection string and the tables to which these samples point. As well, some of them require other changes, such as creating DSNs or stored procedures on the remote database.

You can use any text editor to make these changes, such as Microsoft Visual Studio®.

Specific Changes Required

You can change each ASP sample to provide monitoring functionality for any OLE-compliant database. The following list describes the specific changes that you need to complete for each file. For each example in the following list, substitute the italicized items with the correct values.

  • Helloworld.asp. This .mof file is used to create and register classes in WMI. The file is compiled and registered during Application Center Setup. These WMI classes define data groups, data collectors, thresholds, actions, and performance counters. Change the connection string as follows:

    strConn="Provider=SQLOLEDB; Data
        Source=database_server_name; Initial
        Catalog=database;" & _ " User ID=user_name;
        Password=password"

  • Verifysp.asp. The following example shows how to change to URL and query string to suit your requirements:

    "http://URL_of_sample_directory/VerifySP.asp?cs=Provider=SQLOLEDB;%20Data%20Source=database_server_name;%20Initial%20Catalog=database;%20User%20ID=username;%20Password=password&sp=Hello('World')"

    Run the file Hello.sql on the remote database to install the stored procedure Hello, which is done in the SQL Server Query Analyzer.

  • Adotest.asp. Change the connection string as follows:

    strConn = "Provider=SQLOLEDB; Data
        Source=database_server_name; Initial
        Catalog=database;" & _ " User ID=user_name;
        Password=password"

    Change the table that is queried as follows:

    "objRec.Open "select count(*) from table_name"

  • Eventclassescount.asp. Change the connection string as follows:

    strConn = "Provider=SQLOLEDB; Data
        Source=database_server_name; Initial
        Catalog=database;" & _ " User ID=user_name;
        Password=password"

    Change the table that is queried as follows:

    "objRec.Open "select count(*) from table_name"

  • Serverlist.asp. Do not change this application. It is designed to test the Application Center Events and Performance Logging tables on the members.
  • Dnseventclasses.asp. Change the connection string as follows:

    strConn = "DSN=DSN_name;User ID=user_name; Password=password

    Change the table that is queried as follows:

    "objRec.Open "select count(*) from table_name"

    Note Note To use this sample, you must create a DSN.

Related Topics

  • For more information about creating DSNs, see the Windows 2000 Help.
  • For more information about running SQL statements, see the SQL Server Help.


Command-Line Administration

This section contains documentation about using the command-line tool for automated administration and management of Microsoft Application Center 2000 (Application Center).

This section includes:

  • Concepts
  • Reference


Concepts

This section provides an in-depth explanation of the command-line tool.

This section includes:

  • General Overview
  • Using the Command-Line Tool


General Overview

The Microsoft Application Center 2000 (Application Center) command-line tool provides automated administration and management of Application Center. The tool supports key administrative functions of the Application Center user interface, making it easy and efficient for you to perform critical tasks from the command line.

The command-line tool is implemented in the form of an executable file, named Ac.exe. The Application Center installation adds the installation directory to your path, making it possible to run Ac.exe from any directory.

You can execute the command line tool from any computer on which Application Center is installed. Its commands support remote execution and you can provide security credentials via command-line switches. If credentials are not supplied, the current logon information is used.

For detailed information on command-line basics, see Using the Command-Line Tools.


Using the Command-Line Tool

The Microsoft Application Center 2000 (Application Center) command-line tool provides support for automated administration and management of Application Center.

Syntax Rules

The Application Center command-line tool syntax is similar to the NET command syntax, and has the following syntax rules:

  • Capital letters represent words that must be typed as shown. Lowercase letters represent names of items that may vary, such as server names.
  • Brackets ([ and ]) surround optional items that can be supplied with the command.
  • Braces ({ and }) surround lists of items. You must supply one of the items with the command.
  • The vertical bar (|) separates items in a list. Only one of the items can be supplied with the command.
  • Ellipsis within brackets ([...]) mean that you can repeat the previous item. Separate items with spaces.
  • A comma or semi-colon followed by ellipsis, enclosed within brackets, ([,...]) mean that you can repeat the previous item, but you must use the punctuation shown before the ellipsis, not spaces, to separate items.
  • When typed at the command prompt, names of two words or more must be enclosed in quotation marks.

Command-Line Execution Times

Several of the Application Center commands can take longer than expected to complete. The following list outlines the time-out periods for these commands:

Approximate Timeout | Command(s)
35 minutes | Cluster creation and member addition
20 minutes | Cluster disband, cluster clean, and member removal

Command-Line Execution Confirmation

A few of the Application Center commands require execution confirmation. You will be prompted for additional input to confirm the command specified. If a particular command requires confirmation, the following prompt will appear:

"Are you sure

 (Y/N)?"

On commands that require confirmation, specifying the /Y switch will bypass the prompt, and the command will execute as you answered "yes" to the prompt. This switch needs to specified only once for a command, even if the command produces more than one confirmation prompt.

Warning Warning The execution confirmation prompt is implemented as a safety mechanism for commands that may directly impact the cluster. Be careful when using this switch on commands, as it may impact the cluster in a way that you do not intend.

Remote Execution and Authentication

You can execute the command-line tool, Ac.exe, from any computer on which Application Center is installed, including Administrative client installations. Each command will connect to the cluster controller or member as necessary. All commands support remote execution, except:

  • AC CLUSTER /CLEAN
  • AC LOADBALANCE /ONLINE /MEMBERONLY
  • AC LOADBALANCE /OFFLINE /MEMBERONLY,
which cannot be executed remotely.

Note Note When executing commands locally, you should not supply authentication credentials. Doing so will return an error.


Reference

This section contains a listing of the command-line commands, their parameters, and related reference information.

This section includes:

  • Command-Line Reference Overview
  • HELP Command
  • LOADBALANCE Command
  • DEPLOY Command
  • CLUSTER Command
  • CLB Command
  • APPLICATION Command


Command-Line Reference Overview

The Microsoft Application Center 2000 (Application Center) command-line tool lets you perform key administrative functions of Application Center from the command line. The commands available through the tool are as follows:

  • CLUSTER command, which allows you to manage a cluster. You can create or disband a cluster, add and remove cluster members, and list all cluster members.
  • LOADBALANCE command, which allows you to enable or disable load balancing for a cluster member, drain connections, set NLB weights for a member, and obtain load-balancing status information.
  • CLB command, which allows you to update the Component Load Balancing (CLB) routing list on a cluster controller of a Web/COM+ routing cluster.
  • DEPLOY command, which allows you to deploy Applications Center applications and synchronize a cluster.
  • APPLICATION command, which allows you to create or delete an application on a cluster or member, list applications, and add or remove resources from an application on a cluster or member.
  • HELP command, which provides descriptions of the available commands, and their syntax and usage.

Note Note To view a complete list of command functionality, select one of the commands above.


HELP Command

The AC HELP command provides a description of the available Application Center commands, syntax, and usage. The AC HELP command provides information on the following commands:

  • CLUSTER
  • LOADBALANCE
  • CLB
  • DEPLOY
  • APPLICATION

Usage

The first form of the AC HELP command provides general information about the available AC HELP commands:

AC HELP

The second form of the AC HELP command provides information for a specific command:

AC HELP [command]

Alternatively, you can use the following syntax to get information for a specific command:

AC [command] /?

or

AC [command] /HELP

Parameters

Parameter | Description
command | Provides the name of the command that you want additional information about.

Samples

The following command illustrates how to invoke help for the AC DEPLOY command:

AC HELP DEPLOY

You can obtain the same result through the following command:

AC DEPLOY /?

Note Note If you do not specify the command parameter, a listing of available commands and the basic syntax for the commands is displayed.


LOADBALANCE Command

AC LOADBALANCE allows you to manage load balancing for a cluster. This includes:

  • Enabling or disabling load balancing for a cluster member. When you enable load balancing for a cluster member the member is put online. When you disable load balancing for a cluster member the member is taken offline.
  • Setting NLB weights for a cluster member.
  • Draining connections.
  • Obtaining load-balancing status information.

Usage

AC LOADBALANCE  /ONLINE
                [/MEMBER:member_name]
                [/USER:username /PASSWORD:password]

AC LOADBALANCE  /ONLINE
                /MEMBERONLY

AC LOADBALANCE  /OFFLINE
                [/MEMBER:member_name]
                [/USER:username /PASSWORD:password]
                [/DRAIN:time]

AC LOADBALANCE  /OFFLINE
                /MEMBERONLY
                [/DRAIN:time]

AC LOADBALANCE  /SETNLBWEIGHT:weight
                [/MEMBER:member_name]
                [/USER:username /PASSWORD:password]

AC LOADBALANCE  /STATUS [:All]
                [/MEMBER:member_name]
                [/USER:username /PASSWORD:password]

Parameters

Parameter | Description
/ONLINE | Enables load balancing for the specified cluster member. This does not affect the member's state if it is already in the enabled state. This functionality is available for NLB and CLB clusters only, by default.
/MEMBER:member_name | Specifies the cluster member on which to apply the specified action. If omitted, the local member is assumed.
/USER:username | Specifies the user name to use for authentication, which can be supplied as "domain\username".
/PASSWORD:password | Specifies the password to use for authentication.
/MEMBERONLY Sets the server:
  • Online from a suspended state.
  • Offline to a suspended state.

Note Note When this parameter is used, the LOADBALANCE command must be executed locally. Specifying the /MEMBER parameter in addition to the /MEMBERONLY parameter will result in an error.

/OFFLINE | Disables loadbalancing for the specified cluster member. This does not affect the member's state if it is already in the disabled state. Connections will not be drained from the member unless the /DRAIN parameter is specified. This functionality is available for NLB and CLB clusters only, by default.
/DRAIN:time | Drains the specified cluster member of connections. The value given indicates, in minutes, the timeout value for draining connections. If you do not specify time, the default time specified in the cluster properties is used. If you specify zero, no draining will occur (the same effect as if /OFFLINE was specified without /DRAIN).
/SETNLBWEIGHT:weight | Sets the relative weight of an NLB cluster member. Valid values are from 0 through 100 (note that these values do not represent percentages). This functionality is available for NLB clusters only.
/STATUS | Provides load-balancing status information for the specified cluster member. If you specify [:All], status is provided for all cluster members. This functionality is available for NLB and CLB clusters only, by default.

Note Note If you are using a third party loadbalancing solution, see:

  • Knowledge Base article Q281437: "How to Enable Online/Offline Setting with 3rd Party Load Balancers"
  • Chapter 13, "Third Party Load Balancer Support" in the Microsoft Application Center 2000 Resource Kit

Samples

The following example illustrates the process of setting the NLB weight of machine1 to 60.

AC LOADBALANCE /SETNLBWEIGHT:60 /MEMBER:machine1

The following example shows how you can retrieve status information for all cluster members from a remote computer. Additionally, the example shows how to provide a user name for authentication and request a prompt to enter a password:

AC LOADBALANCE /STATUS:All /MEMBER:machine1 /user:user1 /password:*

Related Topics

  • For more information about load balancing, see Load Balancing.
  • For more information about command-line basics, see Using the Command-Line Tool.

Did you find this information useful? Please send your suggestions and comments about the documentation to
acdocs@microsoft.com.


DEPLOY Command

AC DEPLOY allows you to manage deployment tasks associated with a cluster. You can deploy applications from a cluster controller or cluster member. AC DEPLOY allows you to:

  • Deploy Application Center applications.
  • List deployments.
  • Synchronize a cluster.
  • Enable or disable automatic synchronization to specific cluster members.
  • Terminate a deployment job.

Usage

The following lines illustrate the different ways of using the AC DEPLOY command:

AC DEPLOY   /START
            [/DEPNAME:depname]
            [/SOURCE:sourcename
            /SOURCEUSER:username /SOURCEPASSWORD:*|pwd]
            [/TARGETS:targetname1[,...]
            /TARGETUSER:username /TARGETPASSWORD:*|pwd]
            [/APPNAME:appname1[,...] | /APPGUID:appguid1[,...]]
            [/NOACL]
            [/COMPLUS]
            [/WAIT]

AC DEPLOY   /LISTDEPLOYMENTS
            [/SOURCE:sourcename]
            [/SOURCEUSER:username /SOURCEPASSWORD:*|pwd]

AC DEPLOY   /TERMINATE
            {/JOBID:jobid | /DEPNAME:depname}
            [/SOURCE:sourcename
            /SOURCEUSER:username /SOURCEPASSWORD:*|pwd]

AC DEPLOY   /ENABLESYNC
            [/SOURCE:sourcename
            /SOURCEUSER:username /SOURCEPASSWORD:*|pwd]

AC DEPLOY   /DISABLESYNC
            [/SOURCE:sourcename
            /SOURCEUSER:username /SOURCEPASSWORD:*|pwd]

AC DEPLOY   /STATUS[:All]
            [/SOURCE:sourcename
            /SOURCEUSER:username /SOURCEPASSWORD:*|pwd]

Parameters

Parameter | Description
/START | Starts the deployment job.
/DEPNAME:depname | Specifies a friendly name for the deployment.
/SOURCE:sourcename | Specifies the source (the cluster controller or cluster member) for deployment. Also specifies the member on which to enable or disable automatic synchronization or obtain status. If you want to authenticate on the source computer, use the /SOURCEUSER and /SOURCEPASSWORD options with /SOURCE. If omitted, the source is assumed to be the local computer.
/SOURCEUSER:username | Specifies the user name to use for credentials when authenticating on the source computer, which can be supplied as "domain\username".
/SOURCEPASSWORD:*|pwd | Specifies the password to use for credentials when authenticating on the source computer.
/TARGETS:targetname1[,...] | Specifies a list of targets on which to deploy the specified applications. Note Note If this parameter is omitted, the application will be deployed to the members of the source cluster.
/TARGETUSER:username | Specifies the user name to use for credentials when authenticating on the target computer, which can be supplied as "domain\username".
/TARGETPASSWORD:*|pwd | Specifies the password to use for credentials when authenticating on the target computer.
/APPNAME:appname1[,...] | Specifies a list of applications to deploy (by application name). If no applications are specified, the command will deploy all applications from the source.
/APPGUID:appguid1[,...] | Specifies a list of applications to deploy (by application GUID). If no applications are specified, the command will deploy all applications from the source.
/NOACL | Specifies that Access Control Lists (ACLs) should not be deployed. ACLs are deployed by default. Note Note ACLs are not deployed on partitions that do not support ACLs (for example, FAT), or in non-domain configurations.
/COMPLUS | Specifies that COM+ applications should be deployed as part of the deployment job.
/WAIT | Indicates that the deployment should happen synchronously; that is, the command should not return until the deployment is complete. The default behavior is asynchronously; that is, the command returns immediately.
/LISTDEPLOYMENTS | Lists the current ongoing deployment jobs and their identifiers, which have been started on the source computer.
/TERMINATE | Terminates the deployment job. This parameter requires execution confirmation.
/JOBID:jobid | Specifies the job identifier of the deployment job to terminate. This parameter requires execution confirmation.
/ENABLESYNC | Turns on synchronization for the specified cluster member. This places it in the synchronization loop. This parameter is not allowed if the cluster controller is specified as the source.
/DISABLESYNC | Turns off synchronization for the specified cluster member, taking it out of the synchronization loop. This parameter is not allowed if the cluster controller is specified as the source. This parameter requires execution confirmation.
/STATUS[:All] | Displays the current deployment-related status information. If :All is specified, status is given for all members.

Samples

The following example shows how to deploy applications app1, app2, and app3 from controller0 to server1 and server2.

AC DEPLOY /START /SOURCE:controller0 /TARGETS:server1,server2
/APPNAME:app1,app2,app3 /SOURCEUSER:dba018 /SOURCEPASSWORD:********
/TARGETUSER:dba018 /TARGETPASSWORD:**********

Related Topics

  • For more information about applications, see Application Fundamentals.
  • For more information about command-line basics, see Using the Command-Line Tool.


CLUSTER Command

AC CLUSTER provides the ability to manage a cluster. This includes:

  • Creating a cluster.
  • Disbanding a cluster.
  • Changing the cluster controller.
  • Adding or removing a cluster member.
  • Listing cluster members.
  • Listing the network adapters on a given computer.
  • Cleaning a computer of all Application Center cluster settings.

Usage

Note Note Different usages are shown for the /CREATE, /ADD, and /REMOVE options. Following each option are instructions on how to use the option.

AC CLUSTER   /CREATE
             [/CONTROLLER:controller_name]
             [/USER:username /PASSWORD:password]
             /NAME:cluster_name
             [/DESCRIPTION:cluster_desc]
             /TYPE:web | complusrouting
             /LOADBALANCING:nlb
             /CLUSTERIP:cluster_ip
             /CLUSTERIPSUBNETMASK:ip_subnetmask
             [/DEDICATEDIP:dedicated_ip
             /DEDICATEDIPSUBNETMASK:ded_subnetmask]
             [/AFFINITY:single | class_C | none]
             /LBNIC:nic_id
             /MANAGEMENTNIC:nic_id

Use the preceding set of options for a Web or COM+ routing cluster with NLB with a clean install.

AC CLUSTER   /CREATE
             [/CONTROLLER:controller_name]
             [/USER:username /PASSWORD:password]
             /NAME:cluster_name
             [/DESCRIPTION:cluster_desc]
             /TYPE:web | complusrouting
             /LOADBALANCING:nlb
             /KEEPNLBSETTINGS
             /MANAGEMENTNIC:nic_id

Use the preceding set of options for a Web or COM+ routing cluster with NLB when upgrading NLB.

AC CLUSTER   /CREATE
             [/CONTROLLER:controller_name]
             [/USER:username /PASSWORD:password]
             /NAME:cluster_name
             [/DESCRIPTION:cluster_desc]
             /TYPE:web | complusrouting
             /LOADBALANCING:other
             [/LBNIC:nic_id]
             /MANAGEMENTNIC:nic_id

Use the preceding set of options for a Web or COM+ routing cluster when using a load-balancing method other than NLB.

AC CLUSTER   /CREATE
             [/CONTROLLER:controller_name]
             [/USER:username /PASSWORD:password]
             /NAME:cluster_name
             [/DESCRIPTION:cluster_desc]
             /TYPE:web | complusrouting
             /LOADBALANCING:none
             /MANAGEMENTNIC:nic_id

Use the preceding set of options for a Web or COM+ routing cluster with no load balancing.

AC CLUSTER   /CREATE
             [/CONTROLLER:controller_name]
             [/USER:username /PASSWORD:password]
             /NAME:cluster_name
             [/DESCRIPTION:cluster_desc]
             /TYPE:complusapp
             /LOADBALANCING:clb
             /MANAGEMENTNIC:nic_id

Use the preceding set of options for a COM+ application cluster when using CLB.

AC CLUSTER   /CREATE
             [/CONTROLLER:controller_name]
             [/USER:username /PASSWORD:password]
             /NAME:cluster_name
             [/DESCRIPTION:cluster_desc]
             /TYPE:complusapp
             /LOADBALANCING:nlb
             /CLUSTERIP:cluster_ip
             /CLUSTERIPSUBNETMASK:ip_subnetmask
             [/DEDICATEDIP:dedicated_ip
             /DEDICATEDIPSUBNETMASK:ded_subnetmask]
             /LBNIC:nic_id
             /MANAGEMENTNIC:nic_id

Use the preceding set of options for a COM+ application cluster with NLB and a clean install.

AC CLUSTER   /DELETE
             /CONTROLLER:controller_name
             [/USER:username /PASSWORD:password]

AC CLUSTER   /ADD
             /CONTROLLER:controller_name
             [/MEMBER:member_name]
             /USER:username /PASSWORD:password | *
             [/DEDICATEDIP:dedicated_ip
             /DEDICATEDIPSUBNETMASK:ded_subnetmask]
             [/NOSYNCONADD]
             [/DISABLELOADBALANCING]
             [/LBNIC:nic_id]
             /MANAGEMENTNIC:nic_id

Use the preceding set of options only when adding a new member to a cluster that is using NLB.

AC CLUSTER   /ADD
             /CONTROLLER:controller
             [/MEMBER:member_name]
             /USER:username /PASSWORD:password | *
             [/NOSYNCONADD]
             [/DISABLELOADBALANCING]
             [/LBNIC:nic_id]
             /MANAGEMENTNIC:nic_id

Use the preceding set of options only when adding a new member to a cluster that is using CLB or a load-balancing method other than NLB.

AC CLUSTER   /ADD
             /CONTROLLER:controller_name
             [/MEMBER:member_name]
             /USER:username /PASSWORD:password | *
             [/NOSYNCONADD]
             [/DISABLELOADBALANCING]
             /MANAGEMENTNIC:nic_id

The preceding set of options apply only when adding a new member to a cluster with no load balancing.

AC CLUSTER   /REMOVE
             [/MEMBER:member_name]
             /USER:username /PASSWORD:password | *

AC CLUSTER   /REMOVE
             /MEMBER:member_name
             /CONTROLLER:controller_name
             /USER:username /PASSWORD:password | *

Use the preceding set of options to remove a cluster member that does not have Application Center installed or to remove a cluster member that cannot be reached.

AC CLUSTER   /SETCONTROLLER
             [/MEMBER:member_name]
             [/USER:username /PASSWORD:password | *]
             [/FORCE]

AC CLUSTER   /CLEAN
             [/KEEPIPS]

AC CLUSTER   /LISTMEMBERS
             [/MEMBER:member_name]
             [/USER:username /PASSWORD:password | *]

AC CLUSTER   /LISTNICS
             [/COMPUTER:computer_name]
             [/USER:username /PASSWORD:password | *]

Parameters

Parameter | Description
/CREATE | Create a new cluster
/CONTROLLER:controller_name | Specifies the computer to be used as the cluster controller.
/USER:username | Specifies the user name to use for authentication, which can be supplied as "domain\username".
/PASSWORD:password | Specifies the password to use for authentication.
/NAME:cluster_name | Specifies a friendly name for the cluster that will be created.
/DESCRIPTION:cluster_desc | Provides a text description of the cluster.
/TYPE:web | complusapp | complusrouting Specifies one of three cluster types to create:
  • web: a Web cluster.
  • complusrouting: a COM+ routing cluster.
  • complusapp: a COM+ application cluster.
/LOADBALANCING:NLB | clb | other | none Specifies which type of load balancing to use for the cluster:
  • nlb: Network Load Balancing.
  • clb: Component Load Balancing, which is valid for a COM+ application cluster only.
  • other: third-party load balancing.
  • none: no load balancing supported.
/CLUSTERIP:cluster_ip | Specifies the cluster (shared or virtual) IP address. This parameter is valid only for NLB clusters.
/CLUSTERIPSUBNETMASK:ip_subnetmask | Specifies the subnet mask of the cluster IP address.
/DEDICATEDIP:dedicated_ip | Specifies the dedicated IP address of the cluster controller. This parameter is valid only for NLB clusters.
/DEDICATEDSUBNETMASK:ded_subnetmask | Specifies the dedicated subnet mask of the cluster controller. This parameter is valid only for NLB clusters.
/AFFINITY:single | class_c | none | Specifies the NLB affinity of the cluster. This parameter is valid only for NLB clusters.
/KEEPNLBSETTINGS | Indicates that an NLB upgrade should be performed and to maintain existing NLB settings. This is valid only if the load balancing type is NLB, the cluster type is not complusapp, and NLB is already being used on the computer on which the cluster is being created.
/MANAGEMENTNIC:nic_id | Specifies the instance number of the management network adapter to use on the computer. This identifier can be obtained by executing the command AC CLUSTER /LISTNICS.
/LBNIC:nic_id | Specifies the instance number of the load balancing network adapter to use on the computer. This identifier can be obtained by using /LISTNICS.
/DELETE | Disband a cluster.
/ADD | Adds the given computer to the cluster. Once the computer is added to the cluster it will be synchronized with the cluster controller unless /NOSYNCONADD is specified. Note that a different set of options applies depending on whether you are adding a member to an NLB cluster or a non-NLB cluster.
/MEMBER:member_name | Specifies a cluster member. If omitted, the local computer is assumed.
/NOSYNCONADD | Specifies that once a member is added to a cluster, it should not be synchronized with the controller.
/DISABLELOADBALANCING | Specifies that the newly added member should not be set online once it is added to the cluster.
/REMOVE Specifies that a member should be removed from the cluster it currently belongs to.

Note Note Two sets of syntax are shown for use with /REMOVE. Use the second set to remove a cluster member that does not have Application Center installed. You can also use the second set of syntax to remove a member that cannot be reached; in that case, the message "Some settings in the member could not be removed" may be displayed. Use AC CLUSTER /CLEAN to remove these settings from the removed member.

/FORCE | Specifies that a controller change should be forced even if the existing controller is not available. This flag must be used in conjunction with /SETCONTROLLER.
/SETCONTROLLER | Specifies that the member identified by /MEMBER should be promoted to cluster controller for the cluster to which it currently belongs.
/CLEAN | Specifies that all cluster information should be removed from the local computer. Use this option on computers that are no longer part of a cluster. If the computer on which you want to use /CLEAN is part of cluster, first use AC CLUSTER /REMOVE to remove the member from the cluster. You can also use this command to remove a cluster member while the controller is unavailable. The parameter is available locally only and cannot be executed remotely. This parameter requires execution confirmation.
/KEEPIPS | Indicates that when cleaning a computer the cluster IP addresses should not be removed. You can only use this parameter with NLB clusters. Use this parameter only on the cluster controller (when it is the last member in the cluster) or it may result in IP address conflicts.
/LISTMEMBERS Displays a list of all cluster members in the cluster containing the specified member. When you execute the AC CLUSTER command with /LISTMEMBERS, you receive the following output:
  • Server name.
  • Online status, which can be online, offline, or UNKNOWN.
  • Drain status, which can be draining, blank (if the server is not draining), or UNKNOWN.
  • Alive status, which can be alive, dead, or UNKNOWN.
  • Synchronization status, which can be replicating, blank (if synchronization is not taking place on the computer), or UNKNOWN.
  • Member status, which can be controller, blank (if the computer is a member rather than a controller), or UNKNOWN.
Column headings are not shown in the output. If there are any ambiguities (because of blank or UNKNOWN values), use the order specified in the preceding list to ascertain which status values correspond to which properties.
/LISTNICS Displays a list of all network adapters on the computer that can be used for load balancing or management traffic.

Note Note The following sample output identifies, in bold type, the location of the network adapter id:

Network adapters on <machine>
0: [00000000] <description>
1: [00000001] <description>

/COMPUTER:computer_name | Specifies a computer name to use for listing network adapter information. If this parameter is omitted, the local computer is used.

Samples

The following example illustrates the process of setting machine1 as the new controller of an existing cluster.

AC CLUSTER /SETCONTROLLER /MEMBER:machine1

Related Topics

  • For more information about cluster creation, see Cluster Creation Process.
  • For more information about performing basic administrative tasks on Application Center clusters, see Cluster Management Fundamentals.
  • For more information about command-line basics, see Using the Command-Line Tool.


CLB Command

AC CLB provides the ability to update the CLB routing list on the controller of a Web/COM+ routing cluster. You can:

  • Set the CLB list on the cluster controller.
  • Add members to or remove members from the CLB routing list.
  • Load all the members of the cluster that a specified member is in to the CLB routing list for a specified cluster.
  • List all of the computers in a routing list.

Usage

AC CLB      /SETCLBMEMBERS
            [/ROUTINGMEMBER:routing_member]
            [/ROUTINGUSER:username /ROUTINGPASSWORD:*|pwd]
            /COMPLUSMEMBERS:member[,...]

AC CLB      /LOADCLBMEMBERS
            [/ROUTINGMEMBER:routing_member]
            [/ROUTINGUSER:username /ROUTINGPASSWORD:*|pwd]
            /COMPLUSMEMBER:clbmember
            [/COMPLUSUSER:username /COMPLUSPASSWORD:*|pwd]

AC CLB      /ADDCLBMEMBER
            [/ROUTINGMEMBER:routing_member]
            [/ROUTINGUSER:username /ROUTINGPASSWORD:*|pwd]
            /COMPLUSMEMBER:clbmember

AC CLB      /REMOVECLBMEMBER
            [/ROUTINGMEMBER:routing_member]
            [/ROUTINGUSER:username /ROUTINGPASSWORD:*|pwd]
            /COMPLUSMEMBER:clbmember

AC CLB      /LISTCLBMEMBERS
            [/ROUTINGMEMBER:routing_member]
            [/ROUTINGUSER:username /ROUTINGPASSWORD:*|pwd]

Parameters

Parameter | Description
/SETCLBMEMBERS | Sets the CLB routing list on the controller of the cluster to which the routing member belongs. The routing list is updated with a list of members specified by /COMPLUSMEMBERS. No verification is performed in the list specified by /COMPLUSMEMBERS.
/LISTCLBMEMBERS | Lists all of the members contained in the CLB routing list.
/ROUTINGMEMBER:routing_member | Specifies the name of a member in the COM+ routing cluster. If not specified, routing_member is assumed to be the local computer.
/ROUTINGUSER:username | Specifies the user name to use for credentials when authenticating on the routing cluster.
/ROUTINGPASSWORD:*|pwd | Specifies the password to use for credentials when authenticating on the routing cluster.
/COMPLUSMEMBERS:member[,...] | Specifies the COM+ application cluster members used in the CLB routing list.
/LOADCLBMEMBERS | Loads all the members of the cluster that /CLBMEMBER is in to the routing list for the cluster that /ROUTINGMEMBER is a member of.
/COMPLUSMEMBER:clbmember | Specifies a member of the COM+ application cluster.
/COMPLUSUSER:username | Specifies the user name to use for credentials when authenticating on a COM+ application cluster.
/COMPLUSPASSWORD:*|pwd | Specifies the password to use for credentials when authenticating on the back-end COM+ application cluster.
/ADDCLBMEMBER | Specifies that the clbmember should be added to the routing list on the controller of the cluster to which the routing member belongs.
/REMOVECLBMEMBER | Specifies that the clbmember should be removed from the CLB routing list on the controller of the cluster to which the routing member belongs.

Samples

The following example shows how you can retrieve a list of members contained in the CLB routing list. Additionally, the example shows how to provide a user name for authentication and request a prompt to enter a password:

AC CLB /LISTCLBMEMBERS /ROUTINGMEMBER:machine1 /ROUTINGUSER:user1 /ROUTINGPASSWORD:*

Related Topics

  • For more information about configuring a cluster to perform Component Load Balancing (CLB), see Configure CLB.
  • For more information about command-line basics, see Using the Command-Line Tool.


APPLICATION Command

AC APPLICATION allows you to manage applications on a cluster. An application is defined as a collection of resources and can include:

  • Web sites and certificates.
  • COM+ applications.
  • Registry keys.
  • Files and DSNs.
The AC APPLICATION command allows you to:
  • Create an application on or delete an application from a cluster or member.
  • Add resources to or remove resources from an application.
  • List applications and resources.

Usage

AC APPLICATION   /CREATE
                 [/MEMBER:member_name]
                 [/USER:username /PASSWORD:password]
                 /NAME:appl_name
                 [/MEMBERONLY]

AC APPLICATION   /DELETE
                 [/MEMBER:member_name]
                 [/USER:username /PASSWORD:password]
                 {/NAME:appl_name | /GUID:appl_guid}
                 [/MEMBERONLY]

AC APPLICATION   /LIST
                 [/MEMBER:member_name]
                 [/USER:username /PASSWORD:password]
                 [/MEMBERONLY]

AC APPLICATION   /ADDRESOURCE
                 [/MEMBER:member_name]
                 [/USER:username /PASSWORD:password]
                 {/NAME:appl_name | /GUID:appl_guid}
                 /RESOURCETYPE:resource_type
                 /RESOURCEPATH:resource_path
                 [/MEMBERONLY]

AC APPLICATION   /REMOVERESOURCE
                 [/MEMBER:member_name]
                 [/USER:username /PASSWORD:password]
                 {/NAME:appl_name | /GUID:appl_guid}
                 /RESOURCETYPE:resource_type
                 /RESOURCEPATH:resource_path
                 [/MEMBERONLY]

AC APPLICATION   /LISTRESOURCES
                 [/MEMBER:member_name]
                 [/USER:username /PASSWORD:password]
                 {/NAME:appl_name | /GUID:appl_guid}
                 [/MEMBERONLY]

Parameters

Parameter | Description
/CREATE | Specifies that you want to create an application on an existing cluster or member.
/MEMBER:member_name | Specifies a cluster member. If omitted, the local member is assumed.
/USER:username | Specifies the user name to use for authentication, which can be supplied as "domain\username".
/PASSWORD:password | Specifies the password to use for authentication.
/NAME:appl_name | Specifies the name of the application being managed.
/MEMBERONLY | Specifies that the command should be run on the specified member, not on the controller.
/DELETE | Indicates that you want to delete an application on a cluster member.
/GUID:appl_guid | Specifies the GUID of the application being managed.
/LISTRESOURCES | Displays a list of all existing resources for a given application.
/ADDRESOURCE | Indicates that you want to add a single resource to a single application on the controller of the cluster to which the specified member belongs. You must specify the fully qualified path to the resource to add it to the designated application. If /MEMBERONLY is specified, the resource is added only to the specified member, not to the controller.
/RESOURCETYPE:resource_type Specifies the resource to be added to or removed from the application. The following are valid resource types:
  • FileSystem
  • IIS
  • Registry
  • DSN
  • COMPlusApp
/RESOURCEPATH:resource_path Specifies the path to the resource to add to or remove from the application. Paths are specified as follows:
  • IIS: the complete metabase path. For example, "/LM/W3SVC/3" or site name ("My Web Site").
  • Registry: the complete registry path. For example, "HKEY_CURRENT_USERS\Software\Microsoft\ Active Setup\{guid}".
  • FileSystem: the complete file system path. For example, "C:\Program Files\Misc\ MyResource.txt".
  • DSN: the friendly name of the DSN (for example, "My DSN") or unique registry path, such as "My Computer\HKEY_LOCAL_MACHINE\Software\ ODBC\ODBC.INI\Name".
  • COMPlusApp (COM+ application): the friendly name of the COM+ application or its GUID (CLSID).
/REMOVERESOURCE | Indicates that you want to remove a single resource from a single application on the controller of the cluster to which the member belongs. If /MEMBERONLY is specified, the resource is removed only from the specified member, not from the controller.

Samples

The following example shows how to create an application named gamescentral on all the members of an existing cluster.

AC APPLICATION /CREATE /NAME:gamescentral

The following example shows how to add a Web site resource to the application salesui.

AC APPLICATION /ADDRESOURCE /NAME:salesui /RESOURCETYPE:iis
/RESOURCEPATH:host1/b_svc/2/root/myvirtualdirectory

The following example shows how to remove a file resource from the application salesui.

AC APPLICATION /REMOVERESOURCE /NAME:salesui /RESOURCETYPE:filesystem
/RESOURCEPATH:"c:\Program Files\Resources\MyFile.txt"

Related Topics

  • For more information about applications, see Application Fundamentals.
  • For more information about command-line basics, see Using the Command-Line Tool.


References

Welcome to the Application Center 2000 reference section. This section provides a set of reference materials for the Application Center product.

This section includes:

  • Application Center Event Reference
  • Application Center Event Schema
  • Application Center Monitors Schema
  • Application Center Log Schema
  • Application Center Error Message Reference
  • General Samples
  • Application Center Glossary


Application Center Event Reference

The following table lists the events generated by Application Center 2000 with their corresponding Event IDs, an icon representing event severity, names, and descriptions.

  • Error event icon = Error
  • Warning event icon = Warning
  • Information event icon = Information
4010 | Warning event icon | Cluster Topology Server Add | Server was added to cluster
4011 | Warning event icon | Cluster Topology Server Remove | Server removed from cluster
4015 | Warning event icon | Cluster Loadbalancing Server Online | Member brought online
4016 | Warning event icon | Cluster Loadbalancing Server Offline | Member brought offline
4017 | Warning event icon | Cluster Loadbalancing Drain Start | Request drain has begun
4018 | Warning event icon | Cluster Loadbalancing Drain Stop | Request drain completed
4019 | Warning event icon | Cluster Controller ChangeStart | Cluster controller change begun
4020 | Warning event icon | Cluster Master Changed | Cluster controller change complete
4021 | Error event icon | Cluster Controller ChangeFailed | Could not change to new controller
4022 | Error event icon | Cluster Controller Discovery Failed | Could not find controller
4023 | Error event icon | Cluster Membership ServerFailed | Cluster member failed
4024 | Information event icon | Cluster Membership Server Live | Member is alive
4025 | Information event icon | Cluster Activity | Cluster activity
4031 | Information event icon | Cluster TimeSync Succeeded | Current time synchronized with cluster controller
4032 | Error event icon | Cluster TimeSync SyncFailed | Current time could not be synchronized with controller
4034 | Warning event icon | Cluster Topology Cluster ClusterCreated | Cluster has been created
4035 | Warning event icon | Cluster Topology Cluster ClusterDisbanded | Cluster disbanded
4036 | Error event icon | Cluster Loadbalancing OfflineDueToMonitor | Member offline - monitor state critical
4037 | Error event icon | Cluster Loadbalancing OfflineDueToW3SVC | W3SVC service could not be started
4039 | Information event icon | Cluster Loadbalancing Rollup | Health status reported
4042 | Error event icon | ClusterService StartFailed MSCSDetected | Cluster service failed to start - MSCS cluster detected
4043 | Error event icon | Cluster Topology Server Auto-Remove | Server no longer in cluster - automatically removed
4044 | Error event icon | ClusterService StartFailed ServerRenameDetected | Cluster service failed to start - member renamed
4126 | Error event icon | Cluster Loadbalancing NetCfgUnsupported FOPR | Single-host port rules not supported for NLB
4127 | Error event icon | Cluster Loadbalancing NetCfgUnsupported 1NIC | Single-adapter not supported for NLB
4128 | Error event icon | Cluster Loadbalancing NetCfgUnsupported HostPriConflict | NLB host-priority conflict detected
4129 | Error event icon | Cluster Loadbalancing CluLoaNetCfgUnsupported NLBNotBound | NLB not bound to network adapter
4130 | Information event icon | ClusterService StartSuccess | Cluster service started successfully
4131 | Error event icon | ClusterService StartError | Cluster service failed to start
4132 | Information event icon | ClusterService StopSuccess | Cluster service stopped successfully
4133 | Information event icon | ClusterNameResolution StartSuccess | Name Resolution service started successfully
4134 | Information event icon | ClusterNameResolution StopSuccess | Name Resolution service stopped successfully
4135 | Warning event icon | ClusterNameResolution NetBIOSIsDisabled | NetBIOS is disabled on management network adapter
4136 | Error event icon | ClusterNameResolution HostFileUpdateError | Failed to update hosts file
4137 | Error event icon | ClusterNameResolution StartError | Name Resolution service failed to start
4139 | Information event icon | Cluster Topology Partition Add | Partition added to cluster
4140 | Information event icon | Cluster Topology Partition Remove | Partition was removed from cluster
4141 | Information event icon | Cluster LoadBalancing ServerOnlineRequest | Member requested to come online
4142 | Information event icon | Cluster_LoadBalancing_ServerOfflineRequest | Member requested to go offline
4148 | Error event icon | Cluster LoadBalancing ServerOnlineFailed | Member failed to come online
4149 | Error event icon | Cluster LoadBalancing ServerOfflineFailed | Member failed to go offline
4153 | Information event icon | Cluster LoadBalancing NLB NLBStarted | NLB has been started
4154 | Information event icon | Cluster LoadBalancing NLB NLBStopped | NLB has stopped
4157 | Information event icon | Cluster LoadBalancing NLB NLBConverged | NLB has converged
4158 | Information event icon | Cluster LoadBalancing ServerDrainStartRequest | Member requested to start draining
4159 | Error event icon | Cluster NameResolution NetBIOSHasBeenBound | NetBIOS bound to management network adapter
5015 | Information event icon | Replication Engine StartStop Start | Synchronization service started
5016 | Information event icon | Replication Engine StartStop Stop | Synchronization service stopped successfully
5017 | Error event icon | Replication Engine StartStop StartError | Synchronization service could not be started
5018 | Information event icon | Replication Engine General SetDriverAttr | Set attribute on synchronization driver
5019 | Error event icon | Replication Engine General SetDriverAttrFailed | Could not set attribute on driver
5020 | Information event icon | Replication Engine General SetReplAttr | Set synchronization global setting
5021 | Error event icon | Replication Engine General SetReplAttrFailed | Could not change synchronization global setting
5022 | Information event icon | Replication Engine General StartRepl | Synchronization enabled successfully
5023 | Error event icon | Replication Engine General StartReplFailed | Synchronization could not be enabled
5024 | Information event icon | Replication Engine General StopRepl | Synchronization disabled successfully
5026 | Information event icon | Replication Session Connection Con | Connected to target server
5027 | Error event icon | Replication Session Connection ConFailed | Could not connect to target server
5030 | Error event icon | Replication Session Connection HttpConFailed | HTTP connection to target server failed
5031 | Error event icon | Replication Session Authentication ConFailed | Authentication failed while connecting to target server
5033 | Error event icon | Replication Session General AuthFailed | Authentication failed while creating synchronization session
5035 | Warning event icon | Replication Session General Start | Synchronization session started
5036 | Error event icon | Replication Session General StartFailed | Could not start synchronization session
5037 | Warning event icon | Replication Session General Success | Synchronization session completed
5038 | Error event icon | Replication Session General Failed | Failure during synchronization session
5039 | Warning event icon | Replication Session General Cancelled | Synchronization session was canceled
5040 | Information event icon | Replication Session General ReqCancel | Request to cancel synchronization session
5041 | Information event icon | Replication Session General SetTargetList | Target server list defined
5042 | Information event icon | Replication Session General ReadyToCommit | Ready to commit session
5043 | Information event icon | Replication Session General Commit | Synchronization session committed
5046 | Information event icon | Replication Session DriverEvents IHave List | Controller synchronization list generated
5047 | Error event icon | Replication Session DriverEvents IHave ListFailed | Could not generate synchronization list
5048 | Information event icon | Replication Session DriverEvents IHave ListStart | Begin generating IHave list
5049 | Error event icon | Replication Session DriverEvents IHave EnumObjFailed | Could not enumerate objects
5050 | Error event icon | Replication Session DriverEvents ObjectSecurity AccessDenied | Access denied during synchronization session
5051 | Error event icon | Replication Session DriverEvents ObjectSecurity AclFailed | Could not set security descriptor
5055 | Error event icon | Replication Session DriverEvents ResourceAvailability OpenFailed | Could not open object
5056 | Warning event icon | Replication Session DriverEvents ResourceAvailability Busy | Object is busy
5060 | Warning event icon | Replication Session DriverEvents ResourceAvailability SourceUNC | Source file is UNC - cannot synchronize
5061 | Error event icon | Replication Session DriverEvents ResourceAvailability SourceExfs | Source file is Exchange file system - not synchronized
5064 | Error event icon | Replication Session DriverEvents ActionListTransfer SendFileFailed | Could not send file
5068 | Information event icon | Replication Session DriverEvents Action ListStart | Start action list generation
5069 | Information event icon | Replication Session DriverEvents Action List | Action list generated
5070 | Error event icon | Replication Session DriverEvents Action ListFailed | Could not generate list
5074 | Information event icon | Replication Sesssion DriverEvents UpdateList Start | Generating Update list
5075 | Information event icon | Replication Session DriverEvents Update List | Update list generated
5076 | Error event icon | Replication Session DriverEvents Update ListFailed | Could not generate Update list
5077 | Information event icon | Replication Session DriverEvents UpdateListApply FileSet | File was applied
5078 | Error event icon | Replication Session DriverEvents UpdateListApply FileMoveFailed | Synchronization could not move file
5079 | Error event icon | Replication Session DriverEvents UpdateListApply FileTempMoveFailed | Synchronization could not rename file
5080 | Warning event icon | Replication Session DriverEvents UpdateListApply FileSkip | File skipped because it could not be opened
5081 | Information event icon | Replication Session DriverEvents UpdateListApply ObjectSet | Object set successfully
5082 | Error event icon | Replication Session DriverEvents UpdateListApply ObjectSetFailed | Could not update object configuration
5084 | Information event icon | Replication Session Summary DriverItems | Driver items summary
5085 | Information event icon | Replication Session DriverEvents UpdateListApply FileDeleted | File was deleted
5086 | Information event icon | Replication Session DriverEvents UpdateListApply ObjectDeleted | Object deleted successfully
5087 | Error event icon | Replication Session DriverEvents UpdateListApply ObjectDelFailed | Failed to delete object
5088 | Error event icon | Replication Session General InvalidContentDesc | Content description not valid
5089 | Error event icon | Replication Session Connection ResFailed | Could not find target server
5100 | Error event icon | Replication Session DriverEvents General Failed | Driver failed to load
5106 | Error event icon | Replication Session DriverEvents General LoadFailed | Could not load driver
5108 | Information event icon | Replication Session General NewContent | Received new content description
5110 | Information event icon | Replication Engine Definition Updated | Synchronization definition updated
5111 | Information event icon | Replication Engine Definition Deleted | Synchronization definition deleted
5112 | Error event icon | Replication Engine Definition UpdateFailed | Could not update synchronization definition
5113 | Error event icon | Replication Engine Definition DeleteFailed | Could not delete synchronization definition
5115 | Information event icon | Replication Session DriverEvents IHave FileExists | File already exists on target
5118 | Error event icon | Replication Session DriverEvents UpdateListApply RegDeletekeyFailed | Could not delete registry key
5120 | Error event icon | Replication Session DriverEvents UpdateListApply RegOpenFailed | Could not open registry key
5121 | Error event icon | Replication Session DriverEvents UpdateListApply RegDeletevalueFailed | Could not delete registry value
5122 | Warning event icon | Replication Engine General RemovedirectoryFailed | Could not remove file system directory
5123 | Error event icon | Replication Session Driver ResourceAvailability WMIObjectNotFound | WMI Object not found while enumerating instances
5124 | Warning event icon | Replication Session DriverEvents ResourceAvailability WMIError | WMI error during processing of configuration objects
5126 | Error event icon | Replication Session General AcsRestartStopFailed | Web service failed to stop
5127 | Information event icon | Replication Session General AcsRestartStarting | Starting Web service
5128 | Error event icon | Replication Session General AcsRestartExtStopFailed | Could not stop one or more extended services
5129 | Information event icon | Replication Session General AcsRestartExtStarting | Starting extended service(s)
5130 | Information event icon | Replication Session General AcsRestartStopping | Stopping Web service
5131 | Information event icon | Replication Session General AcsRestartExtStopping | Stopping service(s)
5132 | Error event icon | Replication Session General AcsRestartExtStartFailed | Could not start one or more services
5133 | Error event icon | Replication Session General AcsRestartStartFailed | Could not start Web service
5134 | Information event icon | Replication Session General AcsRestartStarted | Web service started
5135 | Information event icon | Replication Session General AcsRestartExtStarted | Extended services started
5136 | Warning event icon | Replication Engine General DirChangeNotifyFailed | Changes made to file system were not synchronized
5137 | Error event icon | Replication Engine General AutomaticUpdateFailure | Error during automatic update
5139 | Error event icon | Replication Session DriverEvents Complus RemoveFailed | Unable to remove COM+ application
5140 | Error event icon | Replication Session DriverEvents ComProxyNotReplicated | COM+ proxy application not replicated
5141 | Error event icon | Replication Session DriverEvents ComInstallapplicationFailed | Unable to install COM+ application
5142 | Error event icon | Replication Session DriverEvents ComExportApplicationFailed | Unable to export COM+ application
5143 | Error event icon | Replication Session DriverEvents ComShutdown | Unable to shut down COM+ application
5144 | Warning event icon | Replication Session DriverEvents ComSaveAppChangesFailed | Unable to save changes to COM+ applications
5146 | Error event icon | Replication Session DriverEvents Capi SerializeCertFailed | Unable to serialize certificate
5147 | Error event icon | Replication Session DriverEvents Capi SerializeCtlFailed | Unable to serialize a certificate trust list
5148 | Error event icon | Replication Session DriverEvents UpdateListApply DeleteFileFailed | Could not delete file
5149 | Error event icon |  | Virtual site already exists
6002 | Error event icon | RequestForwarding Initialize WrongProcess | Attempt to run Request Forwarding in wrong process
6006 | Error event icon | RequestForwarding Initialize ThreadPool | Thread pool failure
6007 | Error event icon | RequestForwarding Initialize Computer Name | Could not find server name
6008 | Error event icon | RequestForwarding Initialize Missing W3SVC | Metabase entry for W3SVC missing
6009 | Error event icon | RequestForwarding Initialize MissingWebCluster | Metabase entry for Cluster missing
6010 | Error event icon | RequestForwarding Initialize OutOfMemory | Out of memory
6015 | Error event icon | RequestForwarding Initialize MbChangeNotify FpDisabled | Cache change notification for FrontPage publishing rules disabled
6016 | Error event icon | RequestForwarding Initialize MbChangeNotify DavDisabled | Cache change notification for DAV publishing rules disabled
6018 | Error event icon | RequestForwarding Initialize MbChangeNotify SpecialHeadersDisabled | Cache change notification for special header rules disabled
6019 | Error event icon | RequestForwarding Initialize MbChangeNotify OcfDisabled | Cache change notification for OCF rules disabled
6020 | Warning event icon | RequestForwarding Initialize MbChangeNotify WebSvcDisabled | Cache change notification for W3SVC disabled
6021 | Error event icon | RequestForwarding Initialize MbChangeNotify AcsClusterDisabled | Cache change notification for Cluster disabled
6022 | Error event icon | RequestForwarding Initialize MbChangeNotify DirCacheDisabled | Cache change notification for directories disabled
6023 | Error event icon | RequestForwarding Initialize MbChangeNotify VSitesCacheDisabled | Cache change notification for virtual sites disabled
6024 | Error event icon | RequestForwarding Initialize MbChangeNotify StaticFilesDisabled | Cache change notification for static file types disabled
6025 | Error event icon | RequestForwarding Initialize MbChangeNotify Register | Could not register metabase change notifications
6026 | Error event icon | RequestForwarding Initialize Cluster Common | Could not initialize cluster support DLL
6027 | Error event icon | RequestForwarding Initialize PerfmonSetup | Could not initialize performance counter(s)
6028 | Error event icon | RequestForwarding Initialize ClusterSetup | Could not initialize cluster management code
6029 | Information event icon | RequestForwarding Initialize Started | Request Forwarding service started
6031 | Error event icon | RequestForwarding Install PerfCounters | Could not install performance counter(s)
6032 | Error event icon | RequestForwarding Install Extension | Could not add script mapping
6034 | Error event icon | RequestForwarding MbUpdate ScriptMappings | Could not process new script mapping
6036 | Error event icon | RequestForwarding Security FileAccess | Request for RQFW file not valid
6037 | Error event icon | RequestForwarding Initialize CheckServerBindings | Error validating server bindings
6038 | Error event icon | RequestForwarding Initialize StatePollingFailure | Could not initialize state polling
6039 | Warning event icon | RequestForwarding MbUpdate IpSecSettings | Failed to change IP security settings
6040 | Error event icon | RequestForwarding Initialize AsyncEventSetup | Failed to initialize asynchronous event handler
6041 | Error event icon | RequestForwarding Initialize AsyncEventThread | Could not create asynchronous event status thread
6042 | Warning event icon | RF Install DredgerFailure | Failure while attempting to call Dredger.exe
6043 | Warning event icon | RF Initialize CheckVsites | Error checking vsites for /filtext.rqfw metabase entry
6044 | Warning event icon | RF Initialize HtmlaSiteId | Could not find HTMLA site ID
6045 | Error event icon | RF Initialize MbChangeNotify HeaderListDisabled | Cache change notification for header rules disabled
6046 | Error event icon | RF Initialize MbChangeNotify FileCacheDisabled | Cache change notification for file IP restrictions disabled
8007 | Information event icon | Monitoring LC Start | Log consumer started
8009 | Error event icon | Monitoring LC CreateFailed | Could not create logging consumer
8010 | Error event icon | Monitoring LC IndicateFailed | WMI could not indicate changes to log consumer
8011 | Error event icon | Monitoring Logging AgentCreateFailed | Could not create log agent
8012 | Error event icon | Monitoring Logging AgentWriteDbFailed | Log agent could not write to database
8013 | Error event icon | Monitoring Logging QueryCreateFailed | Could not create the log query
8014 | Warning event icon | Monitoring Logging QueryTimeout | Log query timed out
8015 | Error event icon | Monitoring Logging QueryFailed | Log query failed
8019 | Error event icon | Monitoring PerfLog ConfigError | Performance log consumer configuration error
8020 | Error event icon | Monitoring PerfLog WriteError | Performance log consumer could not log to database
8022 | Error event icon | Monitoring PerfLog PDHError | Performance log consumer could not read counter from PDH
8024 | Information event icon | Monitoring OnlineAction Success | Updated Online property
8025 | Error event icon | Monitoring OnlineAction Failure | Could not update Online property
8026 | Warning event icon | Monitoring PerfLog LoggingDisabled | Performance logging was disabled
8027 | Warning event icon | Monitoring PerfLog CounterDisabled | Performance counter logging was disabled


Application Center Event Schema

This is a schematic representation of the Application Center event hierarchy. The events are Windows Management Instrumentation (WMI) classes that inherit from a base class. The top parent class in the Application Center event schema (namespace) is the MicrosoftAC_Base_Event, which inherits from the WMI class __ExtrinsicEvent.

Base classes (container classes) are not sent as events and do not appear in either the Windows Event log or the Application Center snap-in Event View. The base classes are in Bold; fired events are in plain text.

The Event Schema

  • __ExtrinsicEvent
    • MicrosoftAC_Base_Event
      • MicrosoftAC_Replication_Event
        • MicrosoftAC_Replication_Engine_Event
          • MicrosoftAC_Replication_Engine_General_Event
            • MicrosoftAC_Replication_Engine_General_SetReplAttrFailed_Event
            • MicrosoftAC_Replication_Engine_General_SetDriverAttrFailed_Event
            • MicrosoftAC_Replication_Engine_General_StartReplFailed_Event
            • MicrosoftAC_Replication_Engine_General_SetDriverAttr_Event
            • MicrosoftAC_Replication_Engine_General_SetReplAttr_Event
            • MicrosoftAC_Replication_Engine_General_StartRepl_Event
            • MicrosoftAC_Replication_Engine_General_StopRepl_Event
            • MicrosoftAC_Replication_Engine_General_DirChangeNotifyFailed_Event
            • MicrosoftAC_Replication_Engine_General_RemovedirectoryFailed_Event
            • MicrosoftAC_Replication_Engine_General_AutomaticUpdateFailure_Event
          • MicrosoftAC_Replication_Engine_StartStop_Event
            • MicrosoftAC_Replication_Engine_StartStop_Start_Event
            • MicrosoftAC_Replication_Engine_StartStop_StartError_Event
            • MicrosoftAC_Replication_Engine_StartStop_Stop_Event
          • MicrosoftAC_Replication_Engine_Definition_Event
            • MicrosoftAC_Replication_Engine_Definition_Updated_Event
            • MicrosoftAC_Replication_Engine_Definition_Deleted_Event
            • MicrosoftAC_Replication_Engine_Definition_UpdateFailed_Event
            • MicrosoftAC_Replication_Engine_Definition_DeleteFailed_Event
        • MicrosoftAC_Replication_Session_Event
          • MicrosoftAC_Replication_Session_General_Event
            • MicrosoftAC_Replication_Session_General_Start_Event
            • MicrosoftAC_Replication_Session_General_Success_Event
            • MicrosoftAC_Replication_Session_General_StartFailed_Event
            • MicrosoftAC_Replication_Session_General_ReqCancel_Event
            • MicrosoftAC_Replication_Session_General_SetTargetList_Event
            • MicrosoftAC_Replication_Session_General_Commit_Event
            • MicrosoftAC_Replication_Session_General_AuthFailed_Event
            • MicrosoftAC_Replication_Session_General_Failed_Event
            • MicrosoftAC_Replication_Session_General_Cancelled_Event
            • MicrosoftAC_Replication_Session_General_ReadyToCommit_Event
            • MicrosoftAC_Replication_Session_General_NewContent_Event
            • MicrosoftAC_Replication_Session_General_InvalidContentDesc_Event
            • MicrosoftAC_Replication_Session_General_AcsRestart_Event
              • MicrosoftAC_Replication_Session_General_AcsRestartExtStarted_Event
              • MicrosoftAC_Replication_Session_General_AcsRestartStarted_Event
              • MicrosoftAC_Replication_Session_General_AcsRestartExtStartFailed_Event
              • MicrosoftAC_Replication_Session_General_AcsRestartExtStarting_Event
              • MicrosoftAC_Replication_Session_General_AcsRestartStopping_Event
              • MicrosoftAC_Replication_Session_General_AcsRestartExtStarting_Event
              • MicrosoftAC_Replication_Session_General_AcsRestartExtStopping_Event
              • MicrosoftAC_Replication_Session_General_AcsRestartExtStopFailed_Event
              • MicrosoftAC_Replication_Session_General_AcsRestartStarting_Event
              • MicrosoftAC_Replication_Session_General_AcsRestartStartFailed_Event
              • MicrosoftAC_Replication_Session_General_AcsRestartStopFailed_Event
          • MicrosoftAC_Replication_Session_Connection_Event
            • MicrosoftAC_Replication_Session_Connection_Con_Event
            • MicrosoftAC_Replication_Session_Connection_ConFailed_Event
            • MicrosoftAC_Replication_Session_Connection_HttpConFailed_Event
            • MicrosoftAC_Replication_Session_Connection_ResFailed_Event
          • MicrosoftAC_Replication_Session_Authentication_Event
            • MicrosoftAC_Replication_Session_Authentication_ConFailed_Event
          • MicrosoftAC_Replication_Session_DriverEvents_Event
            • MicrosoftAC_Replication_Session_DriverEvents_IHave_Event
              • MicrosoftAC_Replication_Session_DriverEvents_IHave_List_Event
              • MicrosoftAC_Replication_Session_DriverEvents_IHave_ListFailed_Event
              • MicrosoftAC_Replication_Session_DriverEvents_IHave_EnumObjFailed_Event
              • MicrosoftAC_Replication_Session_DriverEvents_IHave_FileExists_Event
              • MicrosoftAC_Replication_Session_DriverEvents_IHaveList_Start_Event
            • MicrosoftAC_Replication_Session_DriverEvents_ObjectSecurity_Event
              • MicrosoftAC_Replication_Session_DriverEvents_ObjectSecurity_AccessDenied_Event
              • MicrosoftAC_Replication_Session_DriverEvents_ObjectSecurity_AclFailed_Event
            • MicrosoftAC_Replication_Session_DriverEvents_UpdateListApply_Event
              • MicrosoftAC_Replication_Session_DriverEvents_UpdateListApply_FileSet_Event
              • MicrosoftAC_Replication_Session_DriverEvents_UpdateListApply_ObjectSet_Event
              • MicrosoftAC_Replication_Session_DriverEvents_UpdateListApply_FileSkip_Event
              • MicrosoftAC_Replication_Session_DriverEvents_UpdateListApply_FileMoveFailed_Event
              • MicrosoftAC_Replication_Session_DriverEvents_UpdateListApply_FileTempMoveFailed_Event
              • MicrosoftAC_Replication_Session_DriverEvents_UpdateListApply_ObjectSetFailed_Event
              • MicrosoftAC_Replication_Session_DriverEvents_UpdateListApply_RegDeletekeyFailed_Event
              • MicrosoftAC_Replication_Session_DriverEvents_UpdateListApply_RegDeletevalueFailed_Event
              • MicrosoftAC_Replication_Session_DriverEvents_UpdateListApply_RegOpenFailed_Event
              • MicrosoftAC_Replication_Session_DriverEvents_UpdateListApply_FileDel_Event
              • MicrosoftAC_Replication_Session_DriverEvents_UpdateListApply_DeleteFileFailed_Event
              • MicrosoftAC_Replication_Session_DriverEvents_UpdateListApply_ObjectDel_Event
              • MicrosoftAC_Replication_Session_DriverEvents_UpdateListApply_ObjectDel_Failed_Event
            • MicrosoftAC_Replication_Session_DriverEvents_ResourceAvailability_Event
              • MicrosoftAC_Replication_Session_DriverEvents_ResourceAvailability_Busy_Event
              • MicrosoftAC_Replication_Session_DriverEvents_ResourceAvailability_SourceUNC_Event
              • MicrosoftAC_Replication_Session_DriverEvents_ResourceAvailability_OpenFailed_Event
              • MicrosoftAC_Replication_Session_DriverEvents_ResourceAvailability_SourceExfs_Event
              • MicrosoftAC_Replication_Session_DriverEvents_ResourceAvailability_WMIError_Event
              • MicrosoftAC_Replication_Session_Driver_ResourceAvailability_WMIObjectNotFound_Event
            • MicrosoftAC_Replication_Session_DriverEvents_ActionListTransfer_Event
              • MicrosoftAC_Replication_Session_DriverEvents_ActionListTransfer_SendFileFailed_Event
            • MicrosoftAC_Replication_Session_DriverEvents_Update_Event
              • MicrosoftAC_Replication_Session_DriverEvents_Upd_Start_Event
              • MicrosoftAC_Replication_Session_DriverEvents_Update_List_Event
              • MicrosoftAC_Replication_Session_DriverEvents_Update_ListFailed_Event
            • MicrosoftAC_Replication_Session_DriverEvents_Action_Event
              • MicrosoftAC_Replication_Session_DriverEvents_Action_ListStart_Event
              • MicrosoftAC_Replication_Session_DriverEvents_Action_List_Event
              • MicrosoftAC_Replication_Session_DriverEvents_Action_ListFailed_Event
            • MicrosoftAC_Replication_Session_DriverEvents_General_Event
              • MicrosoftAC_Replication_Session_DriverEvents_General_Failed_Event
              • MicrosoftAC_Replication_Session_DriverEvents_General_LoadFailed_Event
            • MicrosoftAC_Replication_Session_DriverEvents_Capi_Event
              • MicrosoftAC_Replication_Session_DriverEvents_Capi_SerializeCertFailed_Event
              • MicrosoftAC_Replication_Session_DriverEvents_Capi_SerializeCtlFailed_Event
            • MicrosoftAC_Replication_Session_DriverEvents_Complus_Event
              • MicrosoftAC_Replication_Session_DriverEvents_ComProxyNotReplicated_Event
              • MicrosoftAC_Replication_Session_DriverEvents_ComSaveAppChangesFailed_Event
              • MicrosoftAC_Replication_Session_DriverEvents_ComShutdown_Failed_Event
              • MicrosoftAC_Replication_Session_DriverEvents_ComInstallapplicationFailed_Event
              • MicrosoftAC_Replication_Session_DriverEvents_ComExportApplicationFailed_Event
              • MicrosoftAC_Replication_Session_DriverEvents_Complus_RemoveFailed_Event
          • MicrosoftAC_Replication_Session_Summary_Event
            • MicrosoftAC_Replication_Session_Summary_DriverItems_Event
      • MicrosoftAC_Cluster_Event
        • MicrosoftAC_Cluster_Activity_Event
        • MicrosoftAC_Cluster_Controller_Event
          • MicrosoftAC_Cluster_Controller_Changed_Event
          • MicrosoftAC_Cluster_Controller_Discovery_Failed_Event
          • MicrosoftAC_Cluster_Controller_ChangeStart_Event
          • MicrosoftAC_Cluster_Controller_ChangeFailed_Event
        • MicrosoftAC_Cluster_Membership_Event
          • MicrosoftAC_Cluster_Membership_Server_Live_Event
          • MicrosoftAC_Cluster_Membership_ServerFailed_Event
        • MicrosoftAC_Cluster_Topology_Event
          • MicrosoftAC_Cluster_Topology_Server_Event
            • MicrosoftAC_Cluster_Topology_Server_Remove_Event
            • MicrosoftAC_Cluster_Topology_Server_Add_Event
            • MicrosoftAC_Cluster_Topology_Server_AutoRemove_Event
          • MicrosoftAC_Cluster_Topology_Partition_Event
            • MicrosoftAC_Cluster_Topology_Partition_Remove_Event
            • MicrosoftAC_Cluster_Topology_Partition_Add_Event
          • MicrosoftAC_Cluster_Topology_Cluster_Event
            • MicrosoftAC_Cluster_Topology_Cluster_ClusterCreated_Event
            • MicrosoftAC_Cluster_Topology_Cluster_ClusterDisbanded_Event
        • MicrosoftAC_Cluster_Loadbalancing_Event
          • MicrosoftAC_Cluster_Loadbalancing_ServerOffline_Event
          • MicrosoftAC_Cluster_Loadbalancing_DrainStop_Event
          • MicrosoftAC_Cluster_LoadBalancing_ServerOnlineRequest_Event
          • MicrosoftAC_Cluster_Loadbalancing_ServerOnline_Event
          • MicrosoftAC_Cluster_Loadbalancing_ServerDrainStart_Event
          • MicrosoftAC_Cluster_Loadbalancing_NetCfgUnsupported_Event
            • MicrosoftAC_Cluster_Loadbalancing_NetCfgUnsupported_FOPR_Event
            • MicrosoftAC_Cluster_Loadbalancing_NetCfgUnsupported_HostPriConflict_Event
            • MicrosoftAC_Cluster_Loadbalancing_NetCfgUnsupported_1NIC_Event
            • MicrosoftAC_Cluster_Loadbalancing_NetCfgUnsupported_NLBNotBound_Event
          • MicrosoftAC_Cluster_LoadBalancing_ServerOfflineRequest_Event
          • MicrosoftAC_Cluster_Loadbalancing_Rollup_Event
          • MicrosoftAC_Cluster_LoadBalancing_ServerDrainStartRequest_Event
          • MicrosoftAC_Cluster_LoadBalancing_ServerOfflineFailed_Event
          • MicrosoftAC_Cluster_Loadbalancing_OfflineDueToMonitor_Event
          • MicrosoftAC_Cluster_Loadbalancing_OfflineDueToW3SVC_Event
          • MicrosoftAC_Cluster_LoadBalancing_ServerOnlineFailed_Event
          • MicrosoftAC_Cluster_LoadBalancing_NLB_Event
            • MicrosoftAC_Cluster_LoadBalancing_NLB_NLBConverged_Event
            • MicrosoftAC_Cluster_LoadBalancing_NLB_NLBStarted_Event
            • MicrosoftAC_Cluster_LoadBalancing_NLB_NLBStopped_Event
        • MicrosoftAC_Cluster_TimeSync_Event
          • MicrosoftAC_Cluster_TimeSync_Succeeded_Event
          • MicrosoftAC_Cluster_TimeSync_SyncFailed_Event
        • MicrosoftAC_Cluster_NameResolutionService_Event
          • MicrosoftAC_Cluster_NameResolution_NetBIOSHasBeenBound_Event
          • MicrosoftAC_ClusterNameResolution_StartSuccess_Event
          • MicrosoftAC_ClusterNameResolution_StopSuccess_Event
          • MicrosoftAC_ClusterNameResolution_NetBIOSIsDisabled_Event
          • MicrosoftAC_ClusterNameResolution_HostFileUpdateError_Event
          • MicrosoftAC_ClusterNameResolution_StartError_Event
        • MicrosoftAC_Cluster_Service_Event
          • MicrosoftAC_ClusterService_StartFailed_ServerRenameDetected_Event
          • MicrosoftAC_ClusterService_StartFailed_MSCSDetected_Event
          • MicrosoftAC_ClusterService_StartError_Event
          • MicrosoftAC_ClusterService_StartSuccess_Event
          • MicrosoftAC_ClusterService_StopSuccess_Event
      • MicrosoftAC_RequestForwarding_Event
        • MicrosoftAC_RequestForwarding_Initialize_Event
          • MicrosoftAC_RequestForwarding_Initialize_OutOfMemory_Event
          • MicrosoftAC_RequestForwarding_Initialize_MissingWebCluster_Event
          • MicrosoftAC_RequestForwarding_Initialize_ThreadPool_Event
          • MicrosoftAC_RequestForwarding_Initialize_Computer_Name_Event
          • MicrosoftAC_RequestForwarding_Initialize_Missing_W3SVC_Event
          • MicrosoftAC_RequestForwarding_Initialize_WrongProcess_Event
          • MicrosoftAC_RequestForwarding_Initialize_Started_Event
          • MicrosoftAC_RequestForwarding_Initialize_MbChangeNotify_Event
            • MicrosoftAC_RequestForwarding_Initialize_MbChangeNotify_VSitesCacheDisabled_Event
            • MicrosoftAC_RequestForwarding_Initialize_MbChangeNotify_FpDisabled_Event
            • MicrosoftAC_RequestForwarding_Initialize_MbChangeNotify_DavDisabled_Event
            • MicrosoftAC_RequestForwarding_Initialize_MbChangeNotify_StaticFilesDisabled_Event
            • MicrosoftAC_RequestForwarding_Initialize_MbChangeNotify_SpecialHeadersDisabled_Event
            • MicrosoftAC_RequestForwarding_Initialize_MbChangeNotify_OcfDisabled_Event
            • MicrosoftAC_RequestForwarding_Initialize_MbChangeNotify_WebSvcDisabled_Event
            • MicrosoftAC_RequestForwarding_Initialize_MbChangeNotify_AcsClusterDisabled_Event
            • MicrosoftAC_RequestForwarding_Initialize_MbChangeNotify_DirCacheDisabled_Event
            • MicrosoftAC_RequestForwarding_Initialize_MbChangeNotify_Register_Event
            • MicrosoftAC_RF_Initialize_MbChangeNotify_HeaderListDisabled_Event
            • MicrosoftAC_RF_Initialize_MbChangeNotify_FileCacheDisabled_Event
          • MicrosoftAC_RequestForwarding_Initialize_CheckServerBindings_Event
          • MicrosoftAC_RequestForwarding_Initialize_AsyncEventSetup_Event
          • MicrosoftAC_RF_Initialize_CheckVsites_Event
          • MicrosoftAC_RequestForwarding_Initialize_StatePollingFailure_Event
          • MicrosoftAC_RequestForwarding_Initialize_Cluster_Common_Event
          • MicrosoftAC_RequestForwarding_Initialize_PerfmonSetup_Event
          • MicrosoftAC_RequestForwarding_Initialize_ClusterSetup_Event
          • MicrosoftAC_RequestForwarding_Initialize_AsyncEventThread_Event
          • MicrosoftAC_RF_Initialize_HtmlaSiteId_Event
        • MicrosoftAC_RequestForwarding_MbUpdate_Event
          • MicrosoftAC_RequestForwarding_MbUpdate_IpSecSettings_Event
          • MicrosoftAC_RequestForwarding_MbUpdate_ScriptMappings_Event
        • MicrosoftAC_RequestForwarding_Install_Event
          • MicrosoftAC_RF_Install_DredgerFailure_Event
          • MicrosoftAC_RequestForwarding_Install_Extension_Event
          • MicrosoftAC_RequestForwarding_Install_PerfCounters_Event
        • MicrosoftAC_RequestForwarding_Security_Event
          • MicrosoftAC_RequestForwarding_Security_FileAccess_Event
      • MicrosoftAC_Monitoring_Event
        • MicrosoftAC_Monitoring_LC_Event
          • MicrosoftAC_Monitoring_LC_Start_Event
          • MicrosoftAC_Monitoring_LC_CreateFailed_Event
          • MicrosoftAC_Monitoring_LC_IndicateFailed_Event
        • MicrosoftAC_Monitoring_Logging_Event
          • MicrosoftAC_Monitoring_Logging_QueryCreateFailed_Event
          • MicrosoftAC_Monitoring_Logging_AgentCreateFailed_Event
          • MicrosoftAC_Monitoring_Logging_AgentWriteDbFailed_Event
          • MicrosoftAC_Monitoring_Logging_QueryFailed_Event
          • MicrosoftAC_Monitoring_Logging_QueryTimeout_Event
        • MicrosoftAC_Monitoring_OnlineAction_Event
          • MicrosoftAC_Monitoring_OnlineAction_Success_Event
          • MicrosoftAC_Monitoring_OnlineAction_Failure_Event
        • MicrosoftAC_Monitoring_PerfLog_Event
          • MicrosoftAC_Monitoring_PerfLog_LoggingDisabled_Event
          • MicrosoftAC_Monitoring_PerfLog_CounterDisabled_Event
          • MicrosoftAC_Monitoring_PerfLog_ConfigError_Event
          • MicrosoftAC_Monitoring_PerfLog_WriteError_Event
          • MicrosoftAC_Monitoring_PerfLog_PDHError_Event


Application Center Monitors Schema

Application Center Monitors Schema

This hierarchy describes the schema of Application Center default monitors in the Health Monitor snap-in as Data Groups, Data Collectors, Thresholds, and Actions.

  • All Monitored Computers - This is all the computers that Health Monitor has information for. Potentially, this can be any computer in your domain, but you can connect only to computers for which you have the administrative privileges.
    • <Server Name> - The name of the server that you are connected to in the Application Center snap-in will automatically appear here. You can also connect in the Health monitor snap-in to any cluster member and view monitoring information.
      • Actions
        • Bring Server Online
        • Take Server Offline
        • Log to file : offline.log
        • Log to file : websitefailures.log
        • Email administrator The email address of this action is picked up from the value given in the Add Member Wizard or the Create Cluster Wizard. It can also be changed in the Health Monitor snap-in, by opening properties on the action and selecting the Details tab.

          Note Note If no default address is supplied to Application Center during cluster creation and no address is given in the Action's properties in Health Monitor, the mail action will fail.

      • Synchronized Monitors (Application Center) - All data collectors, thresholds, and data groups in this data group are synchronized to cluster members by Application Center synchronization.
        • Application Center Monitors
          • Application Center Log Monitors - These data collectors are disabled by default.
            • Log Agent Job Failure - This data collector monitors the Windows Applications Event Log for Microsoft SQL Server Agent job failure events. These data collectors are as follows:
              • (Instances > 0) Status -> Critical
              • (WMI Error Code != 0) Status -> Critical
            • Log Agent Service - This data collector monitors the Microsoft SQL Server Agent for start failure and other WMI errors.
              • (Started != True) Status -> Critical
              • (WMI Error Code != 0) Status -> Critical
            • Log Database Service - This data collector monitors the Application Center Log for start failure and other WMI errors.
              • (Started != True) Status -> Critical
              • (WMI Error Code != 0) Status -> Critical
            • Log Database Size - This data collector monitors the size of the Application Center Log.
              • (Data Files Size > 100 Mb) Status -> Critical
              • (WMI Error Code != 0) Status -> Critical
          • Cluster Service - This data collector monitors the Application Center Cluster service (ACCluster) for failures.
            • (Started != True) Status -> Critical
            • (WMI Error Code != 0) Status -> Critical
          • Health Monitor Action Failure - This data collector monitors Health Monitor actions for failures.
            • (Instances > 0) Status -> Critical
            • (WMI Error Code != 0) Status -> Critical
          • Synchronization Session Failure - This data collector monitors Application Center synchronization sessions for failures.
            • Email administrator (Status = Critical)
            • (Instances of EventID = 5038) Status -> Critical
            • (WMI Error Code != 0) Status -> Critical
          • Request Forwarding Failure - This data collector monitors Application Center Request Forwarding for failures.
            • Email administrator (Status = Critical)
            • (Instances of Request Forwarding Initialization Event type = 1 (error)) Status -> Critical
            • (WMI Error Code != 0) Status -> Critical
          • Server Offline - This data collector monitors the server for the Offline load balancing status.
            • Log to file : offline.log (Status = Normal, Warning, or Critical)
            • (Instances of EventID = 4016) Status -> Critical
            • (WMI Error Code != 0) Status -> Critical
        • Online / Offline Monitors
          • Bring Server Online (Status = Normal)
          • Take Server Offline (Status = Critical)
          • W3SVC (Web Service) - This data collector monitors the Web service for failures and takes the server Offline if the service fails.
            • (Started != True) Status -> Critical
            • (WMI Error Code != 0) Status -> Critical
        • System Monitors
          • LogicalDisk - This data collector monitors the size and state of the hard disk.
            • (%Free Space < 10) Status -> Warning
            • (WMI Error Code != 0) Status -> Critical
          • Memory - This data collector monitors the performance of the RAM and paged memory.
            • (Page faults/sec > 500) Status -> Warning
            • (WMI Error Code != 0) Status -> Critical
          • Processor - This data collector monitors the performance of the CPU.
            • Email administrator (Status = Critical)
            • (& Processor Time > 90) Status -> Warning
            • (WMI Error Code != 0) Status -> Critical
        • Web Site Monitors
          • http://127.0.0.1 (default page) - This data collector monitors the availability of the default Web site, and is disabled by default.
            • Email administrator (Status = Critical)
            • Log to file : websitefailures.log (Status = Critical)
            • (WMI Error Code != 0) Status -> Critical
            • (HTTP Monitor - Response Time > 30 seconds) Status -> Critical
            • (HTTP Monitor - Status code > 400) Status -> Critical


Application Center Log Schema

This is a tabular representation of the event log and performance logs schemes for Application Center. This information is given to facilitate archiving and report generation by third-party tools, or by Microsoft Access, SQL Server 2000, or Office 2000. The database can be found at %InstallationPartition%\Program Files\Microsoft SQL Server\MSSQL$MSAC\data\ACLog.mdf.

ACLog Database

The ACLog database contains several tables used by Application Center to store data and to retrieve stored data for display in the user interface.

Table Name | Description
Servers | Used to store cluster server identifying information (for example, GUID)
Events | Used to store unique event instance information such as: the server ID and GUID, Event class ID, event generation time, and event data.
EventClasses | Used to store common event information such as: event severity, the event log, category or sub-category, the name displayed, short message, and event description.
EventHelpMessages | Used to display the event Troubleshooting Information associated with a given event.
Counters | Used to store counter information such as: the counter name, counter status (active or inactive), the scale used, type of server or cluster data aggregation, and units of measurement.
PerfHistory | Used to store counter information that is collected every 10 seconds for active counters. The information stored includes the server and counter ID, the time the data was collected, and the actual data.
PerfHistory2 | Used to store PerfHistory data that's been rolled up into one-minute intervals
PerfHistory3 | Used to store PerfHistory data that's been rolled up into 15-minute intervals
PerfHistory4 | Used to store PerfHistory data that's been rolled up into two-hour intervals
PerfHistory5 | Used to store PerfHistory data that's been rolled up into one-day intervals


Application Center Error Message Reference

How to Use This Reference

This reference consists of two error message tables with links to Microsoft Support Online. The tables list most of the common Application Center error messages in ascending order of their HRESULTs. By clicking on the HRESULT, you can go to Microsoft Support Online for that specific error message. If no article or reference has been written for the specific error, you will be brought to a default page with more general support information.

Search Support Online Web Site

You can search the Microsoft Support Online Web site for a specific error message by entering an HRESULT in the text box below. An HRESULT is an hexadecimal value that identifies an error message, for example 0x800706BA. Enter only the last part of the HRESULT, for example 800706BA.

The values entered must be 8 characters long
and begin C, c, or 8,
and have as their third and forth characters (facility code)
00, 04, 07, 08, 0C, 13, or 14.
Ex. 80070023

Windows Errors Used by Application Center

Application Center intercepts several standard Windows 2000 errors and provides additional context information for them. This table lists these with the Windows 2000 HRESULT and ERROR_CONSTANT that is being used.

HRESULT | AC Constant | AC Message | Default Constant
80040154 | AC_ERROR_CLASSNOTREG | Could not connect to the server. Verify that the server has a full installation of Application Center on it. You cannot connect to a computer with only the Administration Client installed on it. | REGDB_E_CLASSNOTREG
80070057 | AC_ERROR_INVALID_PARAMETER | One or more parameters or arguments are incorrect. | ERROR_INVALID_PARAMETER
80070094 | AC_ERROR_RESOURCE_UNAVAILABLE | Could not access a resource. Either the Web service is paused or off, or some other process has a lock on the resource. Restart the Web service and try the task again. | ERROR_PATH_BUSY
800706BA | AC_ERROR_SERVER_UNAVAILABLE | Could not connect to the server. Verify that the server exists, that it is part of an Application Center cluster, that it has correct network and DNS settings, and that the credentials supplied have administrative privileges on the server. | RPC_S_SERVER_UNAVAILABLE
800708AC | AC_ERROR_GROUPNOTFOUND | Unable to locate the domain for the credentials provided. Try a different set of credentials. | NERR_GroupNotFound
8007138E | AC_ERROR_CONTROLLER_NOT_AVAILABLE | Could not connect to the cluster controller for the specified server. Verify that the cluster controller is available. | ERROR_RESOURCE_NOT_AVAILABLE
80074002 | AC_ERROR_NOINTERFACE | Could not connect to the server. Verify that the server has Application Center installed on it. | E_NOINTERFACE

Application Center Error Messages

This table lists error messages unique to, or that are raised directly by, Application Center. This table lists these with the HRESULT and Application Center ERROR_CONSTANT.

HRESULT | AC Constant | AC Message
C00CC800 | AS_MD_ERROR_NOT_INITIALIZED | Some data in the metabase was not initialized. The data must be initialized before use.
C00CC801 | AS_MD_ERROR_DATA_NOT_FOUND | The specified data was not found in the metabase.
C00CC803 | AS_MD_WARNING_PATH_NOT_FOUND | A specified metabase object path was not found. The object and associated metabase data was ignored.
C00CC804 | AS_MD_WARNING_DUP_NAME | Metabase data was specified more than once. The duplicate was ignored.
C00CC805 | AS_MD_WARNING_INVALID_DATA | The metabase data specified is not valid. The data was ignored.
C00CC806 | AS_MD_ERROR_SECURE_CHANNEL_FAILURE | A secure communications channel could not be established with the target server.
C00CC807 | AS_MD_WARNING_PATH_NOT_INSERTED | The path was not inserted into the string as requested. The probable cause is that the data is in an object at a higher level than the specified object handle.
C00CC808 | AS_MD_ERROR_CANNOT_REMOVE_SECURE_ATTRIBUTE | The METADATA_SECURE attribute cannot be removed from a data item by using the GetData method. Use the DeleteData method to remove the secure data.
C00CC809 | AS_MD_WARNING_SAVE_FAILED | The current metabase data could not be saved prior to backup. The previous version of the data was backed up.
C00CC810 | AS_MD_ERROR_IISAO_INVALID_SCHEMA | The schema information could not be loaded. A required key or property is missing from the metabase.
C0140001 | AS_ERROR_BAD_OS | To use this feature, install or upgrade to Windows 2000 Advanced Server or later.
C0140002 | AS_ERROR_NLB_NOT_INSTALLED | Network Load Balancing (NLB) is not installed on this server.
C0140003 | AS_ERROR_MACHINE_ALREADY_IN_CLUSTER | This server is already part of a cluster. Try a different server name.
C0140004 | AS_ERROR_BAD_IIS_VERSION | This feature requires Internet Information Services (IIS), version 5.0 or later.
C0140005 | AS_ERROR_MACHINE_NOT_IN_CLUSTER | This server is not part of an Application Center cluster.
C0140006 | AS_ERROR_INVALID_PARTITION | The partition ID is not valid.
C0140007 | AS_ERROR_MACHINE_ALREADY_IN_PARTITION | The server is already part of the partition.
C0140008 | AS_ERROR_SVC_NOT_INSTALLED | A necessary service is not installed. The services are Application Center... Administration, Cluster, Log Query Helper, Name Resolution, and Synchronization.
C0140009 | AS_ERROR_INVALID_SITE_BINDING | A site is bound to an IP address that is not valid.
C014000A | AS_ERROR_BAD_SUBNET | The server is on a different subnet.
C014000B | AS_ERROR_MASTER_NOT_FOUND | The cluster controller could not be located.
C014000C | AS_ERROR_NOT_CLUSTER_MASTER | This server is not the cluster controller.
C014000D | AS_ERROR_DIFFERENT_CLUSTER | This server is part of a different cluster.
C014000E | AS_ERROR_WRONG_MEMBERSHIP | This server is part of a different domain/workgroup than the cluster controller.
C014000F | AS_ERROR_SVC_SHUTTING_DOWN | The Cluster service is shutting down.
C0140010 | AS_ERROR_NOT_INITIALIZED | The object was not initialized.
C0140011 | AS_ERROR_INVALID_CLUSTER_IP | The cluster IP address and/or subnet mask is not valid.
C0140012 | AS_ERROR_INVALID_DEDICATED_IP | The dedicated IP address and/or subnet mask is not valid.
C0140013 | AS_ERROR_NO_NIC | No network adapter was supplied.
C0140014 | AS_ERROR_ALREADY_INITIALIZED | The object was already initialized.
C0140015 | AS_ERROR_NETWORK_CFG_CONFLICT | Network properties are already being modified.
C0140016 | AS_ERROR_CONFLICTING_ACTION | An administrative action is in progress that conflicts with the requested action.
C0140017 | AS_ERROR_STALE_DATA | A more recent copy of the data exists.
C0140018 | AS_ERROR_CONTROLLER_CHANGING | A cluster controller change is in progress.
C0140019 | AS_ERROR_CONTROLLER_NOT_CHANGING | There is no cluster controller change currently in progress.
C0140020 | AS_ERROR_CONTROLLER_EXISTS | A cluster controller already exists for this cluster.
C0140021 | AS_ERROR_CONTROLLER_UNREACHABLE | The cluster controller could not be reached.
C0140022 | AS_ERROR_NLB_NOT_BOUND | Network Load Balancing (NLB) is not bound to any network adapter.
C0140023 | AS_ERROR_NLB_CONFLICTING_HOST_PRIORITY | The server has a conflicting Network Load Balancing (NLB) host priority.
C0140024 | AS_ERROR_NLB_ONLY_ONE_NIC | The server has only one network adapter.
C0140025 | AS_ERROR_NLB_UNSUPP_PORTRULES | The server has unsupported (probably single-host) Network Load Balancing (NLB) port rules.
C0140026 | AS_ERROR_NLB_UNMANAGEABLE_CONFIG | The server has a Network Load Balancing (NLB) or network configuration that prevents it from going into managed NLB mode.
C0140027 | AS_ERROR_NLB_ON_DHCP_NIC | Network Load Balancing (NLB) is bound to a network adapter that is using Dynamic Host Configuration Protocol(DHCP) instead of static addresses.
C0140029 | AS_ERROR_STOPPING_WORKER_THREAD | A worker thread could not be stopped.
C0140036 | ACS_ERROR_PASSPROV_FAILED_SENDEVENT |
C0140037 | ACS_ERROR_CANT_REMOVE_CONTROLLER | The cluster controller could not be removed from the cluster.
C0140038 | ACS_ERROR_MEMBER_CLEANUP_FAILED | Some settings on the cluster member could not be removed.
C0140040 | ACS_ERROR_ACSARRAY_SVC_TOO_BUSY | The Cluster service is too busy to complete this request.
C0140041 | ACS_ERROR_LB_CRITICAL_MONITOR | The server could not be brought online because a monitor was in the critical state.
C0140042 | ACS_ERROR_CONTROLLER_CLEANUP_FAILED | Some settings on the controller could not be updated.
C0140043 | ACS_ERROR_LB_DISABLED | Load balancing is disabled on this server.
C0140044 | AC_ERROR_CLUSTER_NAME_CONFLICT | The cluster name conflicts with an existing name on the network. The cluster name must be unique.
C0140045 | AC_ERROR_MSDE_INSTALL_CONFLICT | The SQL Server 2000 Desktop Engine (MSDE) setting on the member is not the same as on the controller. This flag is used to confirm that the members and the controller have the same MSDE installation configuration.
C0140046 | AC_ERROR_MSDE_SETTING_MISSING | The SQL Server 2000 Desktop Engine (MSDE) setting could not be found. This flag is used to confirm that the members and the controller have the same MSDE installation. A cluster cannot be created without this setting.
C0140047 | AC_ERROR_CLUSTERIZATION_IN_PROGRESS | A cluster is being created or disbanded, or a server is being added to, or removed from, the cluster.
C0140048 | AC_ERROR_MORE_THAN_FIVE_GATEWAYS | A maximum of five default gateways may be specified.
C0140049 | AC_ERROR_INVALID_IP | An IP address was specified that is not valid.
C014004A | AC_ERROR_INVALID_GATEWAY_IP | A default gateway IP address was specified that is not valid.
C014004B | AC_ERROR_REGISTRY_FAILURE | The Windows registry could not be changed.
C014004C | AC_ERROR_NO_PRIMARY_WINS_SERVER | No primary Windows Internet Name Service (WINS) server was specified.
C014004D | AC_ERROR_INVALID_WINS_LOOKUP_FILE | A Windows Internet Name Service (WINS) host lookup file was specified that is not valid.
C014004E | AC_ERROR_INVALID_SYSTEM_PATH | The system path was not valid.
C014004F | AC_ERROR_FILE_COPY_FAILED | The file could not be copied.
C0140050 | AC_ERROR_UNABLE_TO_CONFIG_TCPIP | The TCP/IP NetBIOS Helper service could not be configured.
C0140051 | AC_ERROR_UNABLE_TO_CONFIG_DHCP | Configuring the Dynamic Host Configuration Protocol (DHCP) service failed.
C0140052 | AC_ERROR_UNABLE_TO_RENEW_DHCP_LEASE | The Dynamic Host Configuration Protocol (DHCP) lease could not be renewed.
C0140053 | AC_ERROR_UNABLE_TO_RELEASE_DHCP_LEASE | The Dynamic Host Configuration Protocol (DHCP) lease could not be released.
C0140054 | AC_ERROR_IP_NOT_ENABLED | The Internet Protocol (TCP/IP) is not enabled on this network adapter.
C0140055 | AC_ERROR_IPX_NOT_ENABLED | The IPX protocol is not enabled on this network adapter.
C0140056 | AC_ERROR_UNABLE_TO_NOTIFY_DNS_SERVICE | The Domain Name Server (DNS) service could not be notified.
C0140057 | AC_ERROR_INTERFACE_NOT_CONFIGURABLE | The network adapter is not configurable.
C0140058 | AC_ERROR_PARTIAL_COMPLETION | The operation was partially successful.
C0140059 | AC_ERROR_PARAMETER_OUTSIDE_BOUNDS | The parameter is outside the valid range.
C014005A | AC_ERROR_MSCS_NOT_SUPPORTED | The server is part of a Microsoft Cluster Service (MSCS) cluster. The server must be removed from the MSCS cluster before being made a member of an Application Center cluster.
C014005B | AC_ERROR_ALREADY_OFFLINE | The server is already offline.
C014005C | AC_ERROR_ALREADY_DRAINING | The server is already draining.
C014005D | AC_ERROR_NO_BACKEND_DEFAULT_GW | The back-end network adapter does not have a default gateway associated with it.
C014005E | AC_ERROR_NAMERES_SVC_TOO_BUSY | The Application Center Name Resolution Service is too busy to complete this request.
C014005F | AC_ERROR_NETCARD_MISCONFIGURED | The network adapter is misconfigured - it may have IP addresses and/or subnet masks that are not valid.
C0140060 | AC_ERROR_SQL_CONNECT_FAILED | Failed to authenticate, or connect to, SQL Server.
C0140061 | AC_ERROR_SQL_QUERY_FAILED | Failed to execute a SQL query.
C0140062 | AC_ERROR_NETBT_DISABLED | NetBIOS over TCP/IP is disabled on one or more network adapters.
C0140063 | AC_ERROR_MISMATCHED_DIR_STRUCTURE | The server to be added did not have the same directory and drive structure as the controller. Ensure that the server being added has the same System Root, Default Web Site, and Program Files paths as the controller.
C0140064 | AC_ERROR_MSDE_NOT_INSTALLED | Unable to retrieve information because the Application Center Logging feature is not installed.
C0140065 | AC_ERROR_NO_APP_ON_SOURCE | The source server does not have any applications to deploy. There must be at least one application on the source server to deploy.
C0140066 | AC_ERROR_VERSION_NOT_COMPATIBLE | The Application Center cluster that you are trying to administer is not compatible with the version of the Administrative client you are using.
C0140067 | AC_ERROR_MAX_MEMBER_NUM | The maximum number of members allowed for this cluster has been reached.
C0140068 | AC_ERROR_CLUSTERSERVICE_START_FAILURE | The Application Center Cluster service could not be started. For more details, see the Windows Event log.
C0140069 | AC_ERROR_CONTROLLER_RENAMED | The cluster controller has been renamed. If you experience problems connecting to the cluster, you must disconnect from the controller, rename it back to what it was, and then reconnect to the controller.
C014006A | AC_ERROR_MACHINE_RENAMED | The server has been renamed.
C014006B | AC_ERROR_OVERLAPPING_NIC_GUIDS | The management and load-balanced network cards cannot be the same.
C014006C | AC_ERROR_RELICATIONSERVICE_START_FAILURE | The Application Center Replication service could not be started. For more details, see the Windows Event log.
C014006D | AC_ERROR_ASAI_START_FAILURE | The Application Center Administration service could not be started. For more details, see the Windows Event log.
C014006E | AC_ERROR_NAMERES_START_FAILURE | The Application Center Name Resolution service could not be started. For more details, see the Windows Event log.
C014006F | AC_ERROR_LQH_START_FAILURE | The Application Center Log Query service could not be started. For more details, see the Windows Event log.
C0140070 | AC_ERROR_IISADMINSERVICE_START_FAILURE | The Internet Information Services (IIS) Admin service could not be started. For more details, see the Windows Event log.
C0140071 | AC_ERROR_REPLICATE_TO_SELF | A deployment can not deploy to the source server.
C0140072 | AC_ERROR_NO_RESOURCES_TO_DEPLOY | The deployment does not reference any applications with resources.
C0140073 | AC_ERROR_BACKWARDS_COMPATIBILITY | The operation cannot complete because it is being performed between incompatible versions of Application Center.
C0140074 | AC_ERROR_NOT_SUPPORTED_ON_CONTROLLER | This operation is not allowed on the cluster controller.
C0140075 | AC_ERROR_NOT_SUPPORTED_IN_CLUSTER | This operation is not supported in this cluster.
C0140076 | AC_ERROR_NLB_OPERATIONS_SUSPENDED | Network Load Balancing (NLB) is suspended on this server. The operation cannot be performed until NLB is resumed.
C0140077 | AC_ERROR_NLB_LEADING_NUMERICS_NOT_SUPPORTED | Network Load Balancing (NLB) does not support server names starting with a number.
C0140200 | AS_WEBADMIN_ERROR_WRONG_OS | The operating system is not the correct version. You must be using Windows 98, Windows NT 4.0, or Windows 2000. You must be running Microsoft Internet Explorer 5 or later.
C0140202 | AS_WEBADMIN_ERROR_WRONG_BROWSER | The browser is not the correct type. You must use Microsoft Internet Explorer 5 or later.
C0140203 | AS_WEBADMIN_ERROR_WRONG_BROWSER_VER | The browser is not the correct type. You must use Microsoft Internet Explorer 5 or later.
C0140204 | AS_WEBADMIN_ERROR_IP_CONFLICT | One or more of your IP addresses has a conflict. Please correct this problem by adjusting your IP settings on the load balanced network adapter using the Windows Network Connection Properties dialog.
C0140205 | AS_WEBADMIN_ERROR_SINGLE_MEMBER | There are no other members in the cluster.
C0140051 | AC_ERROR_DHCP_FAILED | The Dynamic Host Configuration Protocol (DHCP) service could not be configured. The most likely reason is that the IP address is already in use.

Related Topics

  • For more information about events, see Events.
  • For a list of all the Application Center events, see Application Center Event Reference.


General Samples

The Microsoft Windows Script Host (WSH) is a tool that enables powerful scripting using languages such as VBScript and JScript. Using the scripting languages you already know you can now write scripts to automate common tasks, and to bind them to Application Center events. The following sample scripts have been provided with the Application Center documentation to help illustrate the process of scripting by way of example.

Directory Listing Sample

The Directory Listing sample script demonstrates how to use the WSH to gather useful information. This script can be attached to any of the numerous events in Application Center, and upon activation, reports the available space on each physical drive. In addition, the script prompts you to create a set of text files that lists all files and directories for each physical drive. Although not directly related to Application Center, the following script is provided here to help illustrate the process of writing a script for use with an Application Center event.

DirList.js (JScript)

var objShell = new ActiveXObject("WScript.Shell");

for (fsoSys = new Enumerator (GetObject("winmgmts:").ExecQuery
    ("select FreeSpace,Size,Name from WIN32_LogicalDisk where drivetype = 3"));
    !fsoSys.atEnd(); fsoSys.moveNext ())
{
    var fsoDrive = fsoSys.item ();

    WScript.Echo ("Space Available: " + fsoDrive.FreeSpace);
    var strFile = fsoDrive.Name
    objShell.Run("cmd /C tree /F /A " + fsoDrive.Name +
        "\\ > " + strFile.substring(0,1) + "-dir.txt", 0);
}

To Use

From Notepad, or another text editor, cut and paste the above code and name the file DirList.js. You can cause Health Monitor to run this file, through the use of an action, when a specified threshold is reached. For more information on Monitoring, see Using Health Monitor in Application Center, Using Monitoring, and Thresholds and Actions.

Offline Events Sample

OffEvent.vbs (VBScript)

The Offline Events sample script demonstrates how to synchronously catch the first 10 server offline events. The script uses the WMI ExecNotificationQuery method to select the fields in the MicrosoftAC_Cluster_LoadBalancing_ServerOffline_Event class. The script then uses the ServerName, TimeGenerated, and DrainTime fields to return information back about the offline event. After 10 server events, the script terminates.

Dim objEvents, objOfflineEvent

Set objEvents=GetObject("winmgmts:root\MicrosoftApplicationCenter") _
    .ExecNotificationQuery ("select * from " & _
    "MicrosoftAC_Cluster_LoadBalancing_ServerOffline_Event ")

WScript.Echo "Waiting for Server to go offline..."
For n = 1 to 10
    Set objOfflineEvent=objEvents.NextEvent
    WScript.Echo  "Server " & objOfflineEvent.ServerName & _
        " was taken offline at " & objOfflineEvent.TimeGenerated
    WScript.Echo " with a drain time of " & objOfflineEvent.DrainTime
Next

To Use

From Notepad, or another text editor, cut and paste the above code and save the file as OffEvent.vbs. You can run this file by either double-clicking it, or executing it from the command shell with cscript.exe or wscript.exe.

Sync Events Sample

SyncEvt.vbs (VBScript)

The Sync Events sample script demonstrates how to synchronously catch the first 10 server online and offline events. The script uses the WMI ExecNotificationQuery method to select the fields in the MicrosoftAC_Cluster_LoadBalancing_Event class. The script then uses the EventID, ServerName, and the NextEvent fields to return information back about the event. After 10 server events, the script terminates.

Dim strState, intCount, objEvents

Set objEvents = GetObject("winmgmts:root\MicrosoftApplicationCenter") _
    .ExecNotificationQuery ("select * from  " & _
    "MicrosoftAC_Cluster_LoadBalancing_Event where " & _
    "EventId = 4015 or EventId = 4016")

WScript.Echo "Waiting for Server on/offline..."

intCount = 0
While intCount < 10
    Set NTEvent = objEvents.NextEvent
    If NTEvent.EventId = 4015 Then
        strState = "put online"
    ElseIf NTEvent.EventId = 4016 Then
        strState = "taken offline"
    End If
    WScript.Echo  "Server " & NTEvent.ServerName & " was " & strState
    intCount = intCount + 1
Wend

To Use

From Notepad, or another text editor, cut and paste the above code and save the file as SyncEvt.vbs. You can run this file by either double-clicking it, or executing it from the command shell with cscript.exe or wscript.exe.


Glossary list

A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Glossary

Select the first letter of the word from the list above to jump to the appropriate section of the glossary.

Symbols

.NET Enterprise server

A server product that complies with the Microsoft .NET Enterprise Servers platform.

See also: Microsoft .NET Enterprise Servers

A

Active Directory Service Interface

A COM-based directory service that provides a unified view of differing directory structures, such as networks, e-mail systems, and groupware. This allows ADSI-compliant client applications to access a wide variety of directory services on a variety of platforms by using a single, standard set of interfaces.

Administrative client

A Windows 2000 Microsoft Management Console (MMC) snap-in that is used for remote management of Application Center clusters. The Administrative client provides the same functionality as the full server version, except that it cannot participate in cluster membership.

See also: full server version, Web-based Administrative client

ADSI

The acronym for Active Directory Service Interface.

advanced synchronization

A type of on-demand synchronization that provides granular control over which applications, cluster members, and configuration settings are synchronized. Additionally, you can use advanced synchronization to synchronize content across cluster boundaries.

See also: application synchronization, cluster synchronization, member synchronization, on-demand synchronization

affinity

A network load balancing method that specifies how incoming client requests are distributed to cluster members.

See also: Class C affinity, No affinity, Single affinity

Application Center

See definition for: Microsoft Application Center 2000

Application Center application

The logical set of content that provides a business solution. An Application Center application can be anything from a COM+ file or a registry key to an entire Web site. The application is deployed and synchronized across the entire cluster.

See also: deployment, publishing

Application Center Events and Performance Logging

The Application Center database that is used to for cluster-wide event and performance logs, providing you with a cluster-wide view of performance trends and events.

application synchronization

A type of on-demand synchronization that synchronizes a specific application with all of the cluster members in the synchronization loop.

See also: advanced synchronization, cluster synchronization, member synchronization, on-demand synchronization

ASP session coherency

A load-balancing feature that ensures that client requests are sent to the correct cluster member for the duration of a session. If a client requires a server-side state (that is, all client requests for a given session must return to the same member), or if a member holds information for a specific client and the client is load-balanced to the wrong member, ASP session coherency ensures that the client requests are forwarded to the correct member.

See also: request forwarder

ASP session state

The condition of and settings for a client connection to a specific cluster member.

See also: request forwarder

automatic replication

See definition for: automatic synchronization

automatic synchronization

A type of simultaneous update that occurs when any piece of an Application Center application is modified. There are two types of automatic synchronization: change-based synchronization and interval-based synchronization.

See also: change-based synchronization, cluster synchronization, interval-based synchronization, member synchronization, on-demand synchronization, synchronization

B

back-end adapter

See definition for: management-traffic adapter

C

CAPI certificate

Used for Secure Sockets Layer (SSL) and public key authentication.

change-based synchronization

A type of automatic synchronization that receives notification when synchronized content on the cluster controller changes. The changed content is updated automatically and immediately on all cluster members in the synchronization loop.

See also: automatic synchronization, interval-based synchronization

Class C affinity

A Network Load Balancing (NLB) method that directs multiple incoming client requests from the same TCP/IP Class C address range to the same cluster member.

See also: affinity, No affinity, Single affinity

CLB

The acronym for Component Load Balancing.

cluster

A group of independent servers working together as a unified computing resource. An Application Center cluster does not share resources; rather, it provides high availability by isolating and ignoring failed cluster members. Compare with Microsoft Windows 2000 Clustering, which provides high reliability through resource sharing and failover.

See also: cluster controller, cluster member

cluster controller

The cluster member that controls configuration and synchronization for the cluster.

See also: cluster, cluster member

cluster member

A server that is part of a cluster and is in the cluster's directory list. A cluster member receives content from the cluster controller and it can serve requests as part of the load-balancing loop.

See also: cluster, cluster controller

cluster synchronization

A type of on-demand synchronization in which all cluster members in the synchronization loop are synchronized with the cluster controller. All applications are synchronized, except for COM+ applications.

See also: advanced synchronization, application synchronization, automatic synchronization, member synchronization, on-demand synchronization

COM

The acronym for Component Object Model, a software architecture that allows applications to be built for binary software components. COM enables software components to operate regardless of the language in which they are written, the operating system, and the location.

See also: COM+, Component Load Balancing

COM+

A set of services based on extensions of Microsoft Transaction Server (MTS) and the Component Object Model (COM) that provides improved threading and security, transaction management, object pooling, queued components, and application administration and packaging.

See also: COM, Component Load Balancing

Component Load Balancing

A load-balancing method that allows cluster members to access COM+ components on component servers and enables the distribution of the COM+ workload among members.

See also: COM, COM+, load balancing, Network Load Balancing

controller

See definition for: cluster controller

D

data collector

See definition for: Health Monitor data collector

data point

See definition for: Health Monitor threshold

DAV

The acronym for Distributed Authoring and Versioning.

DAV publishing

See definition for: Web Distributed Authoring and Versioning

deferred procedure call

A software-based interrupt request, used by Windows 2000, to preempt the execution thread for a process. This interrupt is part of Windows 2000 preempted multitasking and is necessary to allow other process threads to gain access to the CPU.

deployment

The distribution of Application Center applications and/or a server image within a cluster or from a server outside of the cluster.

See also: Application Center application, publishing

disabled server

See definition for: failed

disband

To terminate the association of cluster members, thereby dissolving the cluster.

DPC

The acronym for deferred procedure call.

drain time

See definition for: draining

draining

A state in which a cluster member no longer serves new requests but continues to serve existing requests. New traffic handling is disabled and no new connections to the specified member are allowed, but all active connections are maintained until the client releases the connection or a fixed time-out period expires.

See also: offline

E

enabled server

See definition for: online

F

failed

A failed server is not serving content due to a problem that Health Monitor detected, such as low memory or missing pages. A failed state might take a server offline, depending on Health Monitor settings.

See also: offline, online

front-end adapter

See definition for: load-balanced adapter

full server version

The full server version includes all of the functionality that is required to use Application Center to manage clusters.

See also: Administrative client, Web-based Administrative client

G

H

Health Monitor data collector

A data collector receives and holds Windows Management Instrumentation (WMI) data. You create and configure data points in the Health Monitor console to specify which data to collect, when, and from which server. You can group related data points into a data group.

See also: Health Monitor threshold

Health Monitor rules

See definition for: Health Monitor threshold

Health Monitor threshold

A user-defined limit, such as a percentage of available storage space. When a Health Monitor threshold is crossed, the state for the data collector changes. For example, the state changes from Normal to Warning.

See also: Health Monitor data collector

high availability

Describes a device that remains operational and usable with a very low percentage of failures that interrupt services.

I

interval-based synchronization

A type of automatic synchronization where Application Center synchronizes all Application Center applications (except for COM+ applications) to ensure that the content is identical across the cluster.

See also: automatic synchronization, change-based synchronization

J

K

L

load balancing

A technique that is used to distribute incoming client requests across cluster members. Each host can specify the relative load percentage that it will handle, or the load can be distributed across all members equally. If a member fails, the network load is redistributed dynamically across the remaining members.

See also: Component Load Balancing, load weight, Network Load Balancing

load weight

A value that specifies the relative percentage of load-balanced network traffic for a cluster member to manage.

See also: load balancing

load-balanced adapter

The front-end network adapter that handles client communication.

See also: management-traffic adapter

load-balancing loop

The group of cluster members that are participating in load balancing.

M

management-traffic adapter

A back-end network adapter that handles communication within the cluster (between cluster members).

See also: load-balanced adapter

manual replication

See definition for: on-demand synchronization

member

See definition for: cluster member

member synchronization

A type of on-demand synchronization in which only the specified cluster member is synchronized with the cluster controller. This type of synchronization occurs whether or not the member is in the synchronization loop.

See also: advanced synchronization, application synchronization, automatic synchronization, cluster synchronization, on-demand synchronization

Microsoft .NET Enterprise Servers

The Windows 2000 platform for building and deploying distributed Web applications on the business Internet. Microsoft .NET Enterprise Servers supersedes Windows 2000 DNA.

See also: .NET Enterprise server

Microsoft Application Center

See definition for: Microsoft Application Center 2000

Microsoft Application Center 2000

Built on the Microsoft Windows 2000 operating system, Microsoft Application Center 2000 (Application Center) is a deployment and management tool for Web applications. Application Center builds on the core Web application services provided in Windows 2000 and provides a suite of monitoring and diagnostic tools that are not available in Windows 2000.

MOF file

A text file, used by Windows Management Instrumentation (WMI), that contains definitions of the classes and instances in the Managed Object Format (MOF) language.

multicast support

An option that specifies whether Network Load Balancing (NLB) should use a multicast media access control address for cluster operations. If this option is enabled, NLB converts the cluster network address into a multicast address, if necessary. It also ensures that the cluster IP addresses resolve to this multicast address as part of the Address Resolution Protocol (ARP).

N

Network Load Balancing

A load-balancing solution that distributes incoming traffic to specified TCP and UDP ports within TCP/IP. Application Center configures and manages Network Load Balancing (NLB), keeps NLB settings consistent across the cluster, allows for configuration of key NLB settings, and integrates Application Center monitoring with NLB operations.

See also: Component Load Balancing, load balancing

NLB

The acronym for Network Load Balancing.

No affinity

A load-balancing method that distributes incoming client requests across cluster members based on the client's IP address and port. Multiple requests from the same client do not need to be directed to the same member because all client requests are balanced across members without respect to the source.

See also: affinity, Class C affinity, Single affinity

O

offline

A condition where a cluster member is not participating in load balancing and does not respond to incoming clients requests sent to the cluster.

See also: draining, failed, online

on-demand synchronization

A type of synchronization in which on demand copying of content from one cluster member to another only occurs with an administrator's interaction. There are four types of on-demand synchronization: advanced synchronization, application synchronization, cluster synchronication, and member synchronization.

See also: advanced synchronization, application synchronization, automatic synchronization, cluster synchronization, member synchronization, synchronization

online

A condition where a cluster member is participating in load balancing and is responding to client requests sent to the cluster.

See also: failed, offline

P

performance history

A set of data from performance counters for a period of time.

port rules

A technique that allows you to control how TCP or UDP ports handle various types of TCP/IP traffic.

publishing

To distribute static content, such as Web pages, images, and user code.

See also: Application Center application, deployment

Q

R

replication

The underlying process of copying data within the server. When the server has completed the replication process, it synchronizes the data to other servers.

See also: synchronization

request

A signal, usually generated by a client, that asks a server for information and/or services.

request forwarder

The request forwarder is used for session coherency. It sits between the client and the application and ensures that client requests are sent to the correct cluster member. This load-balancing feature ensures that clients maintain session state. If a client has established a session with a specific member and if subsequent requests are load balanced to the wrong member, the request forwarder routes the requests to the appropriate member.

See also: ASP session coherency, ASP session state

S

session state

See definition for: ASP session state

Single affinity

A load-balancing method that directs multiple incoming client requests from the same IP address to the same cluster member.

See also: affinity, Class C affinity, No affinity

stager

A server outside of a cluster on which an Application Center application is prepared for deployment.

See also: target

sticky session

See definition for: request forwarder

synchronization

The process of comparing and updating replicated data from one cluster member and/or cluster to another member and/or cluster. In the context of Application Center, synchronization is the replication of content and configuration settings from the cluster controller to one or more members. Synchronization ensures that all synchronized content is identical across the cluster. When you add a new cluster member, it is automatically synchronized with the controller.

See also: automatic synchronization, on-demand synchronization, replication

T

target

A server that receives content from another server. In a cluster, the target is the controller.

See also: stager

threshold

See definition for: Health Monitor threshold

U

V

W

Web Distributed Authoring and Versioning

An extension to the HTTP 1.1 standard that facilitates access to files and directories through an HTTP connection.

Web-based Administrative client

A version of the Administrative client that you can use with Microsoft Internet Explorer version 5.0 or later to perform remote Web-based administration of Application Center clusters. With the Web-based Administrative client, you can view performance, availability, synchronization status, and event logs, and view, enable, and disable monitors.

See also: Administrative client, full server version

WebDAV

The acronym for Web Distributed Authoring and Versioning.

Windows DNA 2000

See definition for: Microsoft .NET Enterprise Servers

Windows integrated security

The Windows 2000 authentication protocol for transactions between two servers in a domain, where one or both servers are running Microsoft Windows NT 4.0 or earlier.

Windows Management Instrumentation

An operating system interface through which instrumented components can provide information and notification.

WMI

The acronym for Windows Management Instrumentation.

X

Y

Z

Did you find this information useful? Please send your suggestions and comments about the documentation to acdocs@microsoft.com.

Copyright © 1999–2000 Microsoft Corporation.
All rights reserved.


Administrative Client Requirements

The Administrative client is an Application Center MMC snap-in that can be used to remotely manage clusters.

Operating Systems

You can install the Administrative client on the following operating systems:

Microsoft® Windows 2000 Professional
Microsoft® Windows 2000 Server
Microsoft® Windows 2000 Advanced Server
Microsoft® Windows 2000 Datacenter Server

Note Note Windows 2000 Service Pack 1 is required for an Administrative client installation.

Hardware Requirements

These are the Administrative Client hardware requirements

Pentium-compatible 266 MHz or higher processor
128 MB of RAM minimum recommended
20 MB of available hard-disk space
CD-ROM drive
One network adapter
Windows 2000-compatible video graphics adapter with 800x600 minimum resolution
Microsoft Mouse or compatible pointing device

Administrative Website

Application Center has a website that allows certain adminstration tasks to be performed through Internet Explorer 5.0 and above.

Related Topics

  • For more information about the Administrative Website, see Web-based Administrative Client.


Monitoring Applications

This topic contains information about monitoring your applications.

Analyzing Application Efficiency

You will periodically analyze your application efficiency to ensure that your content and services are at their highest availability and performance. This involves monitoring your applications' performance and resource usage. To do this pay special attention to the following performance counters:

  • Requests Queued (ASP): If this is getting high, you might have either an ASP application which could be made more efficient, a database that is not responding well, or a hardware bottleneck.
  • Requests per second (ASP): If this number is low, and the Requests Queued number is high, then you might want to investigate your ASP applications for resource bottlenecks or inefficient resource usage.
  • Total Blocking Locks (SQL): If this number is growing, then there might be a database resource bottleneck.


Monitoring Clusters

This topic contains information about monitoring your cluster.

Analyzing Network Availability

You will periodically analyze your network availability to ensure that your content and services are at their highest availability and performance. To do this pay special attention to the following performance counters:

  • Current Connections (Web Service or FTP Service): These connections consume memory and, if data is being transmitted across them, your available bandwidth, so if this number continues to grow, you might want to check the ASP time-out setting. For more information about this setting, see the Microsoft Internet Information Services documentation.
  • User Connections (SQL): These connections consume your available bandwidth, so if this number continues to grow, you might want to check the SQL Server time-out setting. For more information about this setting, see the Microsoft SQL Server documentation.


Monitoring Databases

This topic discusses monitoring your databases.


Monitoring Computer Resources

This topic contains information about monitoring your computer resources for availability and performance.

Analyzing Hardware Performance

You can periodically analyze your computer hardware needs to ensure that your content and services are at their highest performance. This involves monitoring your computer's performance and disk space. There are three main areas you will want to monitor: memory usage, disk space and allocation, and network speed and bandwidth availability.

Memory Usage

Insufficient RAM memory is the most common cause of computer performance problems. Many of the applications and content that your computer uses resides in memory. If there is insufficient memory for these, the computer will use disk space, called the page file, and transfer content back and forth between RAM and the page file. This consumes CPU resources that could be used to serve content and functionality to users.

To make sure that you have sufficient RAM memory to allow your computers to function optimally, you can periodically monitor memory usage using either the Performance View or through reports.

Performance Counters to Monitor

Events to Monitor

CPU Usage

The second most common cause of insufficient computer performance is insufficient CPU resources.

Disk Space

Network Performance

Related Topics

  • For more information about about generating reports, see Generating Reports and Archiving Data.


The Status Views

This topic discusses the information available in the Cluster and Member Views and how to use it in monitoring your clusters.

The Tree View

The Tree View, the navigation pane of the Application Center snap-in, provides an aggregation, or roll-up, of the status of your entire cluster. The icons in the tree view depict the aggregated status of hte individual servers as well as the status of each cluster member.

The Status Views

Cluster View

Member View

Did you find this information useful? Please send your suggestions and comments about the documentation to acdocs@microsoft.com.

Copyright © 1999–2000 Microsoft Corporation.
All rights reserved.


Monitoring Scenarios

This section is an in-depth discussion of monitoring scenarios in Application Center.

This section includes:

  • Monitoring Computer Resources:
  • Monitoring Clusters:
  • Monitoring Applications:


Programmatic Monitoring

This section discusses programmatic access to the monitoring features in Aplication Center. This includes information about using and modifying the database monitoring samples.

This section includes:

  • Samples


Manage CLB Clusters

This section provides procedural information on managing CLB clusters.

This section includes:

  • Update the CLB Routing List
  • Enable Dynamic Load Balancing Support


Microsoft Application Center 2000 ~ Copyright

Information in this document, including URL and other Internet Web site references, is subject to change without notice. Unless otherwise noted, the example companies, organizations, products, people and events depicted herein are fictitious and no association with any real company, organization, product, person, or event is intended or should be inferred. Complying with all applicable copyright laws is the responsibility of the user. Without limiting the rights under copyright, no part of this document may be reproduced, stored in or introduced into a retrieval system, or transmitted in any form or by any means (electronic, mechanical, photocopying, recording, or otherwise), or for any purpose, without the express written permission of Microsoft Corporation.

Microsoft may have patents, patent applications, trademarks, copyrights, or other intellectual property rights covering subject matter in this document. Except as expressly provided in any written license agreement from Microsoft, the furnishing of this document does not give you any license to these patents, trademarks, copyrights, or other intellectual property.

Copyright © 1999–2000 Microsoft Corporation. All rights reserved.

Microsoft, BizTalk Server, FrontPage, JScript, SQL Server, Visual Basic, Visual Studio, Win32, Windows, and Windows NT are either registered trademarks or trademarks of Microsoft Corporation in the United States and/or other countries.

The names of actual companies and products mentioned herein may be the trademarks of their respective owners.